<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  functions.php
* Location: /modules/contactus/functions.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

/*********************************************************************************************
* System functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_contactus_blocks($position_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Includes all the block-*.php files on directory modules/contactus/blocks/
* $position_id	= the id of the desired position
*********************************************************************************************/
function get_contactus_blocks($position_id) {
	global $dbi;
	$result = sql_query("SELECT * FROM contactus_blocks WHERE position_id='".$position_id."' AND block_status='1'  ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$block_id   	= $row['block_id'];
		$module_name   	= $row['module_name'];
		$block_title   	= $row['block_title'];
		$block_status   = $row['block_status'];

		if (is_file('modules/contactus/blocks/block-'.$block_title.'.php')) {
			include('modules/contactus/blocks/block-'.$block_title.'.php');
		}
		echo '<br>';
	}
}
/*********************************************************************************************
* Function Name:  purge_departments()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder the Departments
*********************************************************************************************/
function purge_departments() {

	global $dbi;
	$result = sql_query("SELECT * FROM contactus_departments ORDER BY view_order", $dbi);
	$i = 1;
	while($row = sql_fetch_array($result, $dbi)){
		$department_id    		= $row['department_id'];
		$view_order[$department_id] = $i;
		$i++;
	}
	if(is_array($view_order)){
		foreach($view_order as $key => $val){
			sql_query("UPDATE contactus_departments SET view_order='".$val."' WHERE department_id='".$key."'", $dbi);
		}
	}
}

/*********************************************************************************************
* STORE USER RIGHTS
*********************************************************************************************/

function groups_and_users_contactus($group_id, $start){
	global $dbi, $userid, $theme;
	$content = '<table width="600" border="0" cellspacing="0" cellpadding="0">';
	if($start=='') {
		$content .= '<tr>';
		$content .= '<td class="AdminFormTbHeader" colspan="6">'.GROUP.'</td>';
		$content .= '<tr>';
		$start++;
	}
	$result = sql_query("SELECT * FROM user_groups WHERE  group_parent_id='".$group_id."' ORDER BY group_title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$group_parent_id   = $row['group_parent_id'];
		$group_title   = $row['group_title'];
		$group_status   = $row['group_status'];
		$group_deletable   = $row['group_deletable'];

		$content .= '<tr class="AdminFormTbRowLight" onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
		$content .= '<td width="10" align="left" valign="top"><img src="themes/'.$theme.'/images/arrow_icon.gif" border="0" ></td>';
		$content .= '<td width="80" align="left" valign="top" ><div class="textTitle">'.$group_title.'<div></td>';
		$content .= '<td align="right">';
		// edit group
		$result2 = sql_query("SELECT * FROM users WHERE user_group='".$_group_id."' ORDER BY user_group, user_firstname, user_lastname, user_company ASC", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$_user_id   	= $row2['user_id'];
			$user_firstname = $row2['user_firstname'];
			$user_lastname  = $row2['user_lastname'];
			$user_company   = $row2['user_company'];
			$user_city    	= $row2['user_city'];
			$user_state    	= $row2['user_state'];
			$user_country   = $row2['user_country'];
			$user_group    	= $row2['user_group'];
			$status    		= $row2['user_status'];

			$content .= '<table width="450" border="0" cellspacing="0" cellpadding="0">';
			$content .= '<tr onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= $user_company;
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="left" nowrap>';
			$is_overrided = checkSomethingFromTable($table='contactus_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$_user_id, $langkey='', $langkeyvalue='', $sqlanswer='');

			// Allow edition for subusers
			$ok=0;
			if (xomol_check_contactus_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_contactus_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($is_overrided>'1') {
					$content .= '<a href="index.php?op=contactus&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights1.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				} else {
					$content .= '<a href="index.php?op=contactus&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights2.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				}
			}
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="center" nowrap>';
			$ok=0;
			if (xomol_check_contactus_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_contactus_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				$content .= '<a href="index.php?op=admin&op2=admin_users_viewdet&user='.$_user_id.'" class="AdminFormRsTitle" target="viewdet"><img src="themes/'.$theme.'/images/information.gif" border="0" alt="'.EDIT_USER.'"></a>';
			}
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= '<div class="textTitle">'.$user_firstname.' '.$user_lastname.'</div>';
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$user_city = checkSomethingFromTable($table='geo_cities', $what='place', $key='city_id', $keyvalue=$user_city, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_state = checkSomethingFromTable($table='geo_states', $what='state_code', $key='state_id', $keyvalue=$user_state, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_country = checkSomethingFromTable($table='geo_countries', $what='countries_name', $key='countries_id', $keyvalue=$user_country, $langkey='', $langkeyvalue='', $sqlanswer='');
			$content .= $user_city.',<br>'.$user_state.'/'.$user_country;
			$content .= '</td>';
			$content .= '<td width="20" valign="top" align="center" nowrap>';

			$ok=0;
			if (xomol_check_contactus_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($_user_id, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_contactus_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($status==1) {
					$status='<a href="index.php?op=contactus&op2=admin&op3=statusu&switch=0&user='.$_user_id.'">
								<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'"></a>';
				} else {
					$status='<a href="index.php?op=contactus&op2=admin&op3=statusu&switch=1&user='.$_user_id.'">
								<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'"></a>';
					}
			} else {
				if($status==1) {
					$status='<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'">';
				} else {
					$status='<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'">';
				}
			}
			$content .= $status;
			$content .= '</td>';
			$content .= '</tr>';
			$content .= '<tr  >';
			$content .= '<td height="1" colspan="6">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
			$content .= '</table>';
		}
		$content .= '</td>';
		$content .= '</tr>';

			$content .= '<tr  >';
			$content .= '<td height="1" colspan="3">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
		if(get_subgroups($_group_id)!='') {

			$content .= '<tr class="AdminFormTbRowLight">';
			$content .= '<td width="10" align="left" valign="top">&nbsp;</td>';
			$content .= '<td align="left" colspan="4" valign="top">';
			$content .= groups_and_users_contactus($_group_id, $start);
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}

/*********************************************************************************************
* Function Name:  xomol_check_contactus_user_rights_specific($user, $task_title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users, users_rights
* Returns field user_rights FROM TABLE users
* $user 	= to check own rights use $_SESSION['user_id'] or $userid;
*         	  to check others rights pass the desired user id as string..
* $what 	= desired field value in TABLE xomol_contactus_user_rights_tasks2users
*			  if no overrided user rights then check from  TABLE xomol_contactus_user_rights_tasks2groups
*********************************************************************************************/
function xomol_check_contactus_user_rights_specific($user, $rights_title){
	global $dbi;
	$rights_id = checkSomethingFromTable($table='contactus_user_rights', $what='rights_id', $key='title', $keyvalue=$rights_title, $langkey='', $langkeyvalue='', $sqlanswer='');
	$user_group = check_user_group($user);
	$is_overrided = checkSomethingFromTable($table='contactus_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');
	if($is_overrided>='2') {
		$result2 = sql_query("SELECT * FROM contactus_user_rights2users WHERE user_id='".$user."' AND user_rights_id='".$rights_id."'", $dbi);
		$row2 = sql_fetch_array($result2, $dbi);
		return $row2['value'];
	} else {
		$result3 = sql_query("SELECT * FROM contactus_user_rights2groups WHERE group_id='".$user_group."' AND user_rights_id='".$rights_id."'", $dbi);
		$row3 = sql_fetch_array($result3, $dbi);
		return $row3['value'];
	}
}


/*********************************************************************************************
* Function Name:  get_contactus_config_value($config_key)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table contactus_configure
* Returns field config_value FROM TABLE contactus_configure
* $config_key 	= the value of the configuration
*********************************************************************************************/
function get_contactus_config_value($config_key) {
	global $dbi;
	if($result = sql_query("SELECT * FROM contactus_configure WHERE config_key='".$config_key."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['config_value'];
	}
}

/*********************************************************************************************
* Function Name:  purge_contactus_modules($config_key)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder the Modules
*********************************************************************************************/
function purge_contactus_modules() {
	global $dbi, $op;
	$handle=opendir('modules/'.$op.'/modules');
	while ($file = readdir($handle)) {
		if ( (!ereg("[.]",$file)) ) {
			$modlist .= "$file ";
		}
	}
	closedir($handle);
	$modlist = explode(" ", $modlist);
	sort($modlist);
	echo '<br>';
	for ($i=0; $i < sizeof($modlist); $i++) {
		if($modlist[$i] != "") {
			$result_modules = sql_query("SELECT contactus_module_id FROM contactus_modules WHERE contactus_module_name='".$modlist[$i]."'", $dbi);
			$row_modules = sql_fetch_array($result_modules, $dbi);
			$contactus_module_id = $row_modules['contactus_module_id'];
			if ($contactus_module_id == "") {
				$contactus_module_id = time()+$i;
				sql_query("insert into contactus_modules values (NULL, '$modlist[$i]', '$modlist[$i]', '0', '0')", $dbi);
				sql_query("insert into contactus_modules values ($contactus_module_id, '0', $modlist[$i], '0', '0')", $dbi);
			}
		}
	}
	return;
}

/*********************************************************************************************
* Function Name:  purge_contactus_blocks($config_key)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder the Blocks on Positions order
*********************************************************************************************/
function purge_contactus_blocks() {
	global $dbi, $op;
	$result = sql_query("SELECT * FROM contactus_positions ORDER BY position_id", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$position_id    		= $row['position_id'];
		$result2 = sql_query("SELECT * FROM contactus_blocks WHERE position_id='".$position_id."' ORDER BY view_order", $dbi);
		$i = 1;
		while($row2 = sql_fetch_array($result2, $dbi)){
			$block_id    		= $row2['block_id'];
			sql_query("UPDATE contactus_blocks SET view_order='".$i."' WHERE block_id='".$block_id."'", $dbi);
			$i++;
		}
	}
}

/*********************************************************************************************
* Navegation
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  contactus_navigation($category_id, $product_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Dynamic category navegation
*********************************************************************************************/
function contactus_products_cat_navigation($category_id, $product_id)  {
	global $op, $currentlang;
	if($product_id!='') {
		$category_id = get_contactus_parent_cat_from_art($product_id) ;
	} elseif(isset($category_id)) {
		$content = get_contactus_all_upper_cats($category_id);
	}
	$module_name = checkSomethingFromTable($table='modules_desc', $what='title', $key='title', $keyvalue=$op, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$contents = '<a href="index.php" class="textTitleSmall">'.HOME.'</a> | ';
	$contents .= '<a href="index.php?op='.$op.'" class="textTitleSmall">'.$module_name.'</a> ';
	$content = split(' ', $content);
	$content = array_reverse($content);
	$content = array_unique($content);
	foreach($content AS $key => $val) {
		if($val>='1'){
			$contents .= ' | <a href="index.php?op=contactus&op2=browse&cat='.$val.'" class="textTitleSmall">'.get_contactus_products_cat_name($val).'</a>';
		}
	}
	return $contents;
}

/*********************************************************************************************
* Function Name:  contactus_cat_admin_navigation($category_id, $article_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Dynamic category navegation
*********************************************************************************************/
function contactus_cat_admin_navigation($category_id, $product_id)  {
	global $op;
	if($product_id!='') {
		$cat_id = checkSomethingFromTable($table='contactus_products', $what='product_catid', $key='product_id', $keyvalue=$product_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$content = get_contactus_all_upper_cats($cat_id);
	} elseif(isset($category_id)) {
		$content = get_contactus_all_upper_cats($category_id);
	}
	$contents = '<a href="index.php?op=contactus&op2=admin&op3=admin_cat_view" class="textTitleSmall">'.HOME.'</a> ';
	$content = split(' ', $content);
	$content = array_reverse($content);
	$content = array_unique($content);
	foreach($content AS $key => $val) {
		if($val>='1'){
			$contents .= ' | <a href="index.php?op=contactus&op2=admin&op3=admin_cat_view&cat_parent_id='.$val.'" class="textTitleSmall">'.get_contactus_products_cat_name($val).'</a>';
		}
	}
	if($category_id!='') {
		$contents .= ' | <a href="index.php?op=contactus&op2=admin&op3=admin_cat_view&cat_parent_id='.$category_id.'" class="textTitleSmall">'.get_contactus_products_cat_name($category_id).'</a> ';
	}
	return $contents;
}


/*********************************************************************************************
* STORE CONTENT functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_contactus_content_cat_name($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table contactus_content_cat_desc
* Returns Category name in Content
* $category_id = the category_id;
*********************************************************************************************/
function get_contactus_content_cat_name($category_id) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT title FROM contactus_content_cat_desc WHERE category_id='".$category_id."' AND language='".$currentlang."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	return	$row['title'];
}

/*********************************************************************************************
* Function Name:  get_contactus_content_all_upper_cats($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns all upper categories ids
* $category_id = the category_id;
*********************************************************************************************/
function get_contactus_content_all_upper_cats($category_id) {
	$content .= get_contactus_parent_cat($category_id).' ';
	if(get_contactus_content_parent_cat($category_id)!='') {
		$content .= get_contactus_content_all_upper_cats(get_contactus_content_parent_cat($category_id)).' ';
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  contactus_content_cat_admin_navigation($category_id, $article_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Dynamic category navegation
*********************************************************************************************/
function contactus_content_cat_admin_navigation($category_id, $article_id)  {
	global $op;
	if($product_id!='') {
		$cat_id = checkSomethingFromTable($table='contactus_content_art', $what='article_catid', $key='article_id', $keyvalue=$article_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$content = get_contactus_content_all_upper_cats($cat_id);
	} elseif(isset($category_id)) {
		$content = get_contactus_content_all_upper_cats($category_id);
	}
	$contents = '<a href="index.php?op=contactus&op2=admin&op3=admin_contactus_content_cat_view" class="textTitleSmall">'.SPECIAL_STORE_CONTENT.'</a> ';
	$content = split(' ', $content);
	$content = array_reverse($content);
	$content = array_unique($content);
	foreach($content AS $key => $val) {
		if($val>='1'){
			$contents .= ' | <a href="index.php?op=contactus&op2=admin&op3=admin_contactus_content_cat_view&cat_parent_id='.$val.'" class="textTitleSmall">'.get_contactus_content_cat_name($val).'</a>';
		}
	}
	if($category_id!='') {
		$contents .= ' | <a href="index.php?op=contactus&op2=admin&op3=admin_contactus_content_cat_view&cat_parent_id='.$category_id.'" class="textTitleSmall">'.get_contactus_content_cat_name($category_id).'</a> ';
	}
	return $contents;
}

/*********************************************************************************************
* Function Name:  contactus_content_dropdown_menu($name, $category_id, $expected, $space, $start)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Drop Down menu list of the given category_id.
* $name			= the name of the INPUT field to be generated ($_POST[$name])
* $category_id	= the id of the category
* $cat_exp		= the id of the selected category
*********************************************************************************************/
function contactus_content_dropdown_menu($name, $category_id, $expected, $space, $start) {
	global $dbi, $userid;
	$start++;
	if($start=='1') { $content = '<select name="'.$name.'" >'; }
	$space .= '*';
	$result = sql_query("SELECT * FROM contactus_content_cat WHERE  category_parent_id='".$category_id."'", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		if($cat_id==$expected) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$cat_id.'" '.$selected.'>'.$space.' '.get_contactus_content_cat_name($cat_id).'</option>';
		if(get_contactus_content_under_cat($cat_id)!='') {
			$start++;
			$content .= contactus_content_dropdown_menu($name, $cat_id, $expected, $space, $start);
		}
	}
	if($start=='1') { $content .= '</select>'; }
	return $content;
}

/*********************************************************************************************
* Function Name:  get_contactus_content_under_cat($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns all under categories ids on Store Content
* $category_id = the category_id;
*********************************************************************************************/
function get_contactus_content_under_cat($category_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT category_id FROM contactus_content_cat WHERE category_parent_id='".$category_id."' AND category_parent_id!='0' AND category_status='1' ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		$content .= ''.$cat_id.',';
	}
	return $content;
}





/*********************************************************************************************
* STORE HEADER functions
*********************************************************************************************/

?>