<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename:  functions.php
* Location: /modules/content/functions.php
*
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

/*********************************************************************************************
* System functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  purge_content_fp_cat_listing()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder the Frontpage Category Listing order
*********************************************************************************************/
function purge_content_fp_cat_listing() {

	global $dbi;
	$result = sql_query("SELECT * FROM content_fp_cat_lists ORDER BY fpc_order", $dbi);
	$i = 1;
	while($row = sql_fetch_array($result, $dbi)){
		$fpc_id    		= $row['fpc_id'];
		$fp_order[$fpc_id] = $i;
		$i++;
	}
	if(is_array($fp_order)){
		foreach($fp_order as $key => $val){
			sql_query("UPDATE content_fp_cat_lists SET fpc_order='".$val."' WHERE fpc_id='".$key."'", $dbi);
		}
	}
}

/*********************************************************************************************
* Function Name:  purge_content_blocks()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder the Blocks on Positions order
*********************************************************************************************/
function purge_content_blocks() {
	global $dbi, $op;
	$result = sql_query("SELECT * FROM content_positions ORDER BY position_id", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$position_id    		= $row['position_id'];
		$result2 = sql_query("SELECT * FROM content_blocks WHERE position_id='".$position_id."' ORDER BY view_order", $dbi);
		$i = 1;
		while($row2 = sql_fetch_array($result2, $dbi)){
			$block_id    		= $row2['block_id'];
			sql_query("UPDATE content_blocks SET view_order='".$i."' WHERE block_id='".$block_id."'", $dbi);
			$i++;
		}
	}
}

/*********************************************************************************************
* Function Name:  get_content_config_value($config_key)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table content_configure
* Returns the value of a given configuration, returns 0 if configuration does not exist,
*********************************************************************************************/
function get_content_config_value($config_key) {
	global $dbi;
	if($result = sql_query("SELECT config_value FROM content_configure WHERE config_key='".$config_key."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['config_value'];
	}
}

/*********************************************************************************************
* Function Name:  get_content_blocks($position_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Includes all the block-*.php files on directory modules/content/blocks/
* $position_id	= the id of the desired position
*********************************************************************************************/
function get_content_blocks($position_id) {
	global $dbi;
	$result = sql_query("SELECT * FROM content_blocks WHERE position_id='".$position_id."' AND block_status='1'  ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$block_id   	= $row['block_id'];
		$module_name   	= $row['module_name'];
		$block_title   	= $row['block_title'];
		$block_status   = $row['block_status'];

		if (is_file('modules/content/blocks/block-'.$block_title.'.php')) {
			include('modules/content/blocks/block-'.$block_title.'.php');
		}
	}
}

/*********************************************************************************************
* User Rights functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  xomol_check_content_user_rights_specific($user, $rights_title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users, users_rights
* Returns field user_rights FROM TABLE users
* $user 	= to check own rights use $_SESSION['user_id'] or $userid;
*         	  to check others rights pass the desired user id as string..
* $task 	= desired field value in TABLE xomol_user_rights_tasks2users
*			  if no overrided user rights then check from  TABLE xomol_user_rights_tasks2groups
*********************************************************************************************/
function xomol_check_content_user_rights_specific($user, $rights_title){
	global $dbi;
	$rights_id = checkSomethingFromTable($table='content_user_rights', $what='rights_id', $key='title', $keyvalue=$rights_title, $langkey='', $langkeyvalue='', $sqlanswer='');
	$user_group = check_user_group($user);
	$is_overrided = checkSomethingFromTable($table='content_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');
	if($is_overrided>='2') {
		$result2 = sql_query("SELECT * FROM content_user_rights2users WHERE user_id='".$user."' AND user_rights_id='".$rights_id."'", $dbi);
		$row2 = sql_fetch_array($result2, $dbi);
		return $row2['value'];
	} else {
		$result3 = sql_query("SELECT * FROM content_user_rights2groups WHERE group_id='".$user_group."' AND user_rights_id='".$rights_id."'", $dbi);
		$row3 = sql_fetch_array($result3, $dbi);
		return $row3['value'];
	}
}

function groups_and_users_content($group_id, $start){
	global $dbi, $op, $userid, $theme;
	$content = '<table width="600" border="0" cellspacing="0" cellpadding="0">';
	if($start=='') {
		$content .= '<tr>';
		$content .= '<td class="AdminFormTbHeader" colspan="6">'.GROUP.'</td>';
		$content .= '<tr>';
		$start++;
	}
	$result = sql_query("SELECT * FROM user_groups WHERE  group_parent_id='".$group_id."' ORDER BY group_title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$group_parent_id   = $row['group_parent_id'];
		$group_title   = $row['group_title'];
		$group_status   = $row['group_status'];
		$group_deletable   = $row['group_deletable'];

		$content .= '<tr class="AdminFormTbRowLight" onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
		$content .= '<td width="10" align="left" valign="top"><img src="themes/'.$theme.'/images/arrow_icon.gif" border="0" ></td>';
		$content .= '<td width="80" align="left" valign="top" ><div class="textTitle">'.$group_title.'<div></td>';
		$content .= '<td align="right">';
		// edit group
		$result2 = sql_query("SELECT * FROM users WHERE user_group='".$_group_id."' ORDER BY user_group, user_firstname, user_lastname, user_company ASC", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$_user_id   	= $row2['user_id'];
			$user_firstname = $row2['user_firstname'];
			$user_lastname  = $row2['user_lastname'];
			$user_company   = $row2['user_company'];
			$user_city    	= $row2['user_city'];
			$user_state    	= $row2['user_state'];
			$user_country   = $row2['user_country'];
			$user_group    	= $row2['user_group'];
			$status    		= $row2['user_status'];

			$content .= '<table width="450" border="0" cellspacing="0" cellpadding="0">';
			$content .= '<tr onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= $user_company;
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="left" nowrap>';
			$is_overrided = checkSomethingFromTable($table='content_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$_user_id, $langkey='', $langkeyvalue='', $sqlanswer='');

			// Allow edition for subusers
			$ok=0;
			if (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($is_overrided>'1') {
					$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights1.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				} else {
					$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights2.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				}
			}
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="center" nowrap>';
			$ok=0;
			if (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				$content .= '<a href="index.php?op=admin&op2=admin_users_viewdet&user='.$_user_id.'" class="AdminFormRsTitle" target="viewdet"><img src="themes/'.$theme.'/images/information.gif" border="0" alt="'.EDIT_USER.'"></a>';
			}
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= '<div class="textTitle">'.$user_firstname.' '.$user_lastname.'</div>';
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$user_city = checkSomethingFromTable($table='geo_cities', $what='place', $key='city_id', $keyvalue=$user_city, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_state = checkSomethingFromTable($table='geo_states', $what='state_code', $key='state_id', $keyvalue=$user_state, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_country = checkSomethingFromTable($table='geo_countries', $what='countries_name', $key='countries_id', $keyvalue=$user_country, $langkey='', $langkeyvalue='', $sqlanswer='');
			$content .= $user_city.',<br>'.$user_state.'/'.$user_country;
			$content .= '</td>';
			$content .= '<td width="20" valign="top" align="center" nowrap>';

			$ok=0;
			if (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($_user_id, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_content_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($status==1) {
					$status='<a href="index.php?op='.$op.'&op2=admin&op3=statusu&switch=0&user='.$_user_id.'">
								<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'"></a>';
				} else {
					$status='<a href="index.php?op='.$op.'&op2=admin&op3=statusu&switch=1&user='.$_user_id.'">
								<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'"></a>';
					}
			} else {
				if($status==1) {
					$status='<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'">';
				} else {
					$status='<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'">';
				}
			}
			$content .= $status;
			$content .= '</td>';
			$content .= '</tr>';
			$content .= '<tr  >';
			$content .= '<td height="1" colspan="6">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
			$content .= '</table>';
		}
		$content .= '</td>';
		$content .= '</tr>';

			$content .= '<tr  >';
			$content .= '<td height="1" colspan="3">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
		if(get_subgroups($_group_id)!='') {

			$content .= '<tr class="AdminFormTbRowLight">';
			$content .= '<td width="10" align="left" valign="top">&nbsp;</td>';
			$content .= '<td align="left" colspan="4" valign="top">';
			$content .= groups_and_users_content($_group_id, $start);
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}
/*********************************************************************************************
* Categories functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  purge_content_categories($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder Categories
*********************************************************************************************/
function purge_content_categories($category_id) {

	global $dbi;
	$result = sql_query("SELECT * FROM content_cat WHERE category_parent_id='".$category_id."' ORDER BY view_order", $dbi);
	$i = 1;
	while($row = sql_fetch_array($result, $dbi)){
		$category_id    		= $row['category_id'];
		$view_order[$category_id] = $i;
		$i++;
	}
	if(is_array($view_order)){
		foreach($view_order as $key => $val){
			sql_query("UPDATE content_cat SET view_order='".$val."' WHERE category_id='".$key."'", $dbi);
		}
	}
}

/*********************************************************************************************
* Function Name:  get_cat_name($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table content_cat_desc
* Returns the Name of the category
* $category_id	= the id of the category
*********************************************************************************************/
function get_cat_name($category_id) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT title FROM content_cat_desc WHERE category_id='".$category_id."' AND language='".$currentlang."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	return	$row['title'];
}

/*********************************************************************************************
* Function Name:  get_content_owner($article_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table content_art
* Returns the author_id of the article
* $article_id	= the id of the article
*********************************************************************************************/
function get_content_owner($article_id) {
	global $dbi;
	if($result = sql_query("SELECT author_id FROM content_art WHERE article_id='".$article_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['author_id'];
	}
}

/*********************************************************************************************
* Function Name:  getundercat($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a string of all under categories IDs
* $category_id	= the id of the category
*********************************************************************************************/
function getundercat($category_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT category_id FROM content_cat WHERE category_parent_id='".$category_id."' AND category_parent_id!='0' AND category_status='1' ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		$content .= $cat_id.',';
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  getunderarts($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a string of all Articles under a given category
* $category_id	= the id of the category
*********************************************************************************************/
function getunderarts($category_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT article_id FROM content_art WHERE article_catid='".$category_id."'  ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$art_id   = $row['article_id'];
		$content .= $art_id.',';
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  get_parent_cat($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table content_cat
* Returns the Parent Category ID of the category
* $category_parent_id	= the id of the category
*********************************************************************************************/
function get_parent_cat($category_id) {
	global $dbi;
	if($result = sql_query("SELECT category_parent_id FROM content_cat WHERE category_id='".$category_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['category_parent_id'];
	}
}

/*********************************************************************************************
* Function Name:  get_all_upper_cats($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses function get_parent_cat($category_id);
* Returns a string of all upper categories IDs
* $category_id	= the id of the category
*********************************************************************************************/
function get_all_upper_cats($category_id) {
	$parent_category = get_parent_cat($category_id);
	$content = $parent_category.' ';
	if($parent_category!='') {
		$content .= get_all_upper_cats($parent_category);
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  get_all_under_cats($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses function get_parent_cat($category_id);
* Returns a string of all upper categories IDs
* $category_id	= the id of the category
*********************************************************************************************/
function get_all_under_cats($category_id) {
	$undercats = getundercat($category_id);
	$content = $undercats;
	$undercats_array = split(',', $undercats);
	if(is_array($undercats_array)) {
		foreach($undercats_array AS $key => $val) {
			if($val!='') {
				$content .= get_all_under_cats($val);
			}
		}
	}
	return $content;
}

/*********************************************************************************************
* Navegation
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  cat_navigation($category_id, $article_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Dynamic category navegation
*********************************************************************************************/
function cat_navigation($category_id, $article_id)  {
	global $op, $currentlang;
	if($article_id!='') {
		$cat_id = checkSomethingFromTable($table='content_art', $what='article_catid', $key='article_id', $keyvalue=$article_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$content = get_all_upper_cats($cat_id);
	} elseif(isset($category_id)) {
		$content = get_all_upper_cats($category_id);
	}
	$module_name = checkSomethingFromTable($table='modules_desc', $what='title', $key='title', $keyvalue=$op, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$contents = '<a href="index.php" class="textTitleSmall">'.HOME.'</a> | ';
	$contents .= '<a href="index.php?op='.$op.'" class="textTitleSmall">'.$module_name.'</a> ';
	$content = split(' ', $content);
	$content = array_reverse($content);
	$content = array_unique($content);
	foreach($content AS $key => $val) {
		if($val>='1'){
			$contents .= ' | <a href="index.php?op='.$op.'&op2=browse&cat='.$val.'" class="textTitleSmall">'.get_cat_name($val).'</a>';
		}
	}
	return $contents;
}

/*********************************************************************************************
* Function Name:  cat_admin_navigation($category_id, $article_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Dynamic category navegation
*********************************************************************************************/
function cat_admin_navigation($category_id, $article_id)  {
	global $op;
	if($article_id!='') {
		$cat_id = checkSomethingFromTable($table='content_art', $what='article_catid', $key='article_id', $keyvalue=$article_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$content = get_all_upper_cats($cat_id);
	} elseif(isset($category_id)) {
		$content = get_all_upper_cats($category_id);
	}
	$contents = '<a href="index.php?op='.$op.'&op2=admin&op3=admin_cat_view" class="textTitleSmall">'.HOME.'</a> ';
	$content = split(' ', $content);
	$content = array_reverse($content);
	$content = array_unique($content);
	foreach($content AS $key => $val) {
		if($val>='1'){
			$contents .= ' | <a href="index.php?op='.$op.'&op2=admin&op3=admin_cat_view&cat_parent_id='.$val.'" class="textTitleSmall">'.get_cat_name($val).'</a>';
		}
	}
	if($category_id!='') {
		$contents .= ' | <a href="index.php?op='.$op.'&op2=admin&op3=admin_cat_view&cat_parent_id='.$category_id.'" class="textTitleSmall">'.get_cat_name($category_id).'</a> ';
	}
	return $contents;
}





/*********************************************************************************************
* Function Name:  content_categories_dropdown_menu($name, $category_id, $expected, $space, $start)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Drop Down menu list of the given category_id.
* $name			= the name of the INPUT field to be generated ($_POST[$name])
* $category_id	= the id of the category
* $cat_exp		= the id of the selected category
* $space		= leave blank -this makes spaces on options
* $start		= leave blank -this is the counter...
*********************************************************************************************/
function content_categories_dropdown_menu($name, $category_id, $expected, $space, $start) {
	global $dbi, $userid;
	$start++;
	if($start=='1') {
		$content = '<select name="'.$name.'" >';
		$content .= '<option value="0" '.$selected.'>'.ROOT_CATEGORY.'</option>';
	}
	$space .= '&nbsp;&nbsp;&nbsp;';
	$result = sql_query("SELECT * FROM content_cat WHERE  category_parent_id='".$category_id."'", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		if($cat_id==$expected) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$cat_id.'" '.$selected.'>'.$space.' '.get_cat_name($cat_id).'</option>';
		if(getundercat($cat_id)!='') {
			$start++;
			$content .= content_categories_dropdown_menu($name, $cat_id, $expected, $space, $start);
		}
	}
	if($start=='1') { $content .= '</select>'; }
	return $content;
}


/*********************************************************************************************
* Function Name:  dropdown_menu($name, $category_id, $cat_exp, $start)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Drop Down menu list of the given category_id.
* $name			= the name of the INPUT field to be generated ($_POST[$name])
* $category_id	= the id of the category
* $cat_exp		= the id of the selected category
*********************************************************************************************/
function dropdown_menu($name, $category_id, $cat_exp, $start) {
	global $dbi, $article_catid;
	$start++;
	if($start=='1') { $content = '<select name="'.$name.'">'; }
	$result = sql_query("SELECT * FROM content_cat WHERE  category_parent_id='".$category_id."'", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		if( get_parent_cat($cat_id) =='0') {
			$space = '';
		}
		if( get_parent_cat(get_parent_cat($cat_id)) =='0') {
			$space = '&nbsp;&nbsp;';
		}
		if( get_parent_cat(get_parent_cat(get_parent_cat($cat_id))) =='0') {
			$space = '&nbsp;&nbsp;&nbsp;&nbsp;';
		}
		if( get_parent_cat(get_parent_cat(get_parent_cat(get_parent_cat($cat_id)))) =='0') {
			$space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
		}
		if( get_parent_cat(get_parent_cat(get_parent_cat(get_parent_cat(get_parent_cat($cat_id))))) =='0') {
			$space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
		}
		if( get_parent_cat(get_parent_cat(get_parent_cat(get_parent_cat(get_parent_cat(get_parent_cat($cat_id)))))) =='0') {
			$space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
		}

		if($cat_id==$cat_exp) { $selected = ' selected'; } else { $selected = ' '; }
		if(get_cat_name($cat_id)!='') {
			$cat_name = get_cat_name($cat_id);
			$content .= '<option value="'.$cat_id.'" '.$selected.'>'.$space.$cat_name.'</option>';
			$category = dropdown_menu($name, $cat_id, $cat_exp, $start);
			if(isset($category)){
				$content .= $category;
			}
		}
	}
	if($start=='1') { $content .= '</select>'; }
	return $content;
}


/*********************************************************************************************
* CONTENT -METATAGS-
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_content_category_metas($category_id, $what)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* browse.php has own header meta-tags settings.
* $what = 'title'		returns the meta-tag title
* $what = 'keywords'	returns the meta-tag keywords
* $what = 'description'	returns the meta-tag description
*********************************************************************************************/
function get_content_category_metas($category_id, $what) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT * FROM content_cat_desc WHERE category_id='" . $category_id . "' AND language='" . $currentlang . "'", $dbi);
	if($row = sql_fetch_array($result, $dbi)){
		$meta_title   = $row['meta_title'];
		$meta_keywords   = $row['meta_keywords'];
		$meta_description   = $row['meta_description'];
	}
	if($what=='title') { return $meta_title; }
	if($what=='keywords') { return $meta_keywords; }
	if($what=='description') { return $meta_description; }
}

/*********************************************************************************************
* Function Name:  get_content_articles_metas($category_id, $what)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* view_details.php has own header meta-tags settings.
* $what = 'title'		returns the meta-tag title
* $what = 'keywords'	returns the meta-tag keywords
* $what = 'description'	returns the meta-tag description
*********************************************************************************************/
function get_content_articles_metas($article_id, $what) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT meta_title, meta_keywords, meta_description FROM content_art_desc WHERE article_id='".$article_id."' AND language='".$currentlang."' ", $dbi);
	if($row = sql_fetch_array($result, $dbi)){
		$meta_title   = $row['meta_title'];
		$meta_keywords   = $row['meta_keywords'];
		$meta_description   = $row['meta_description'];
	}
	if($what=='title') { return $meta_title; }
	if($what=='keywords') { return $meta_keywords; }
	if($what=='description') { return $meta_description; }
}

/*********************************************************************************************
* Other functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  stripos($str,$needle)
* Author(s):  Found from PHP.NET.
*
*********************************************************************************************/
if (!function_exists("stripos")) {
  function stripos($str,$needle) {
   return strpos(strtolower($str),strtolower($needle));
  }
}

function show_content_comments($art, $comment_id, $comment_partent_id, $level) {
	global $dbi, $op, $userid;
	if($comment_id=='') {
		$content = '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
		$result = sql_query("SELECT * FROM comments WHERE  module='".$op."'
													AND module_key ='".$art."'
													AND comment_partent_id ='".$comment_partent_id."'
													ORDER BY comment_id DESC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){

			$_module_key   = $row['module_key'];
			$_comment_partent_id   = $row['comment_partent_id'];
			$_comment_id   = $row['comment_id'];
			$author_id   = $row['author_id'];
			$creation   = $row['creation'];
			$comment   = $row['comment'];

			switch($level){
				case "1":
					if($i=='0') { $rwclass = "rowLevel1Dark"; $rwclass2 = "rowLevel2Dark"; $i=1; } else { $rwclass = "rowLevel1Bright"; $rwclass2 = "rowLevel2Bright"; $i=0; }
				break;
				case "2":
					if($i=='0') { $rwclass = "rowLevel2Dark"; $rwclass2 = "rowLevel3Dark"; $i=1; } else { $rwclass = "rowLevel2Bright"; $rwclass2 = "rowLevel3Bright"; $i=0; }
				break;
				case "3":
					if($i=='0') { $rwclass = "rowLevel1Dark"; $rwclass2 = "rowLevel2Dark"; $i=1; } else { $rwclass = "rowLevel1Bright"; $rwclass2 = "rowLevel2Bright"; $i=0; }
					$level = 2;
				break;
				default:
					if($i=='0') { $rwclass = "rowLevel1Dark"; $rwclass2 = "rowLevel2Dark"; $i=1; } else { $rwclass = "rowLevel1Bright"; $rwclass2 = "rowLevel2Bright"; $i=0; }
					$level = 1;
				break;
			}
			if($i2=='1') { $rwclass2 = 'rowBright'; $i2='0'; } else { $rwclass2 = 'rowDark'; $i2++; }
			$content .= '<tr class="'.$rwclass.'">';
			$content .=  '<td class="'.$rwclass.'" width="12" valign="top">';
			$content .= draw_line($image='black', $width='20', $height='14');
			$content .=  '</td>';
			$content .=  '<td class="'.$rwclass.'" valign="top">';
			$content .= draw_line($image='black', $width='100%', $height='1').'<br>';
			$content .=  '<div class="textTitleSmall">';
			$content .=  '<b>'.POSTED_ON.':</b> '.$creation.' - ';
			$content .=  '<b>'.AUTHOR.':</b> '.get_user_name($author_id, '3').' ';
			$content .=  '</div>';
			$content .=  '</td>';
			$content .=  '</tr>';

			$content .= '<tr class="'.$rwclass.'">';
			$content .=  '<td class="'.$rwclass.'"  valign="top">';
			$content .=  '</td>';
			$content .=  '<td  valign="top"  class="'.$rwclass.'">';
			$content .=  '<div  class="'.$rwclass.'">';
			$content .=  $comment;
			$content .=  '</div>';;
			$content .=  '</td>';
			$content .=  '</tr>';


			$content .=  '<tr class="'.$rwclass.'">';
			$content .=  '<td class="'.$rwclass.'" valign="top">';
			$content .=  '</td>';
			$content .=  '<td class="'.$rwclass.'" valign="top">';
			if( xomol_check_content_user_rights_specific($userid, 'ALLOW_COMMENTS_ADD') == '1') {
				$article_catid = checkSomethingFromTable($table='content_art', $what='article_catid', $key='article_id', $keyvalue=$_module_key, $langkey='', $langkeyvalue='', $sqlanswer='');
				$content .=  '<a href="index.php?op='.$op.'&op2=view_details_replay_comment&op3=replay_coment&art='.$_module_key.'&comment_id='.$_comment_id.'&cat='.$article_catid.'" class="textTitle">';
				$content .=  YOU_CAN_REPLAY;
				$content .=  '</a>';
			}
			$content .=  '</td>';
			$content .=  '</tr>';

			$undercomments = get_comments_undercomments($_comment_id);
			if(is_array($undercomments) ) {
				// if($i2=='1') { $rwclass2 = 'rowBright'; $i2='0'; } else { $rwclass2 = 'rowDark'; $i2++; }
				$content .=  '<tr class="'.$rwclass.'">';
				$content .=  '<td class="'.$rwclass.'" valign="top">';
				$content .=  '</td>';
				$content .= '<td class="'.$rwclass.'" valign="top">';

				$undercomments = array_unique($undercomments);
				$undercomments = array_reverse($undercomments);
				foreach($undercomments AS $key => $val) {
					//$content .= '$val: '.$val.'<br>';
					//$content .= '$art: '.$art.'<br>';
					//$content .= '$_comment_id: '.$_comment_id.'<br>';
					//$content .= '$op: '.$op.'<hr>';

					if($val>='1') {
						$level ++;
						$content .= show_content_comments($art, $val, $val, $level, $edition_id, $week_expected, $year_expected);
					}
				}
				$content .= '</td>';
				$content .= '</tr>';

			}

		}
		$content .= '</table>';
	} else {

		$content =  '<table width="100%" border="0" cellspacing="2" cellpadding="0">';
		$result = sql_query("SELECT * FROM comments WHERE  comment_id='".$comment_id."' ", $dbi);
		$row = sql_fetch_array($result, $dbi);
		$_comment_partent_id   = $row['comment_partent_id'];
		$_comment_id   = $row['comment_id'];
		$author_id   = $row['author_id'];
		$creation   = $row['creation'];
		$comment   = $row['comment'];
		$_module_key   = $row['module_key'];

			switch($level){
				case "1":
					if($i=='0') { $rwclass = "rowLevel1Dark"; $rwclass2 = "rowLevel2Dark"; $i=1; } else { $rwclass = "rowLevel1Bright"; $rwclass2 = "rowLevel2Bright"; $i=0; }
				break;
				case "2":
					if($i=='0') { $rwclass = "rowLevel2Dark"; $rwclass2 = "rowLevel3Dark"; $i=1; } else { $rwclass = "rowLevel2Bright"; $rwclass2 = "rowLevel3Bright"; $i=0; }
				break;
				case "3":
					if($i=='0') { $rwclass = "rowLevel1Dark"; $rwclass2 = "rowLevel2Dark"; $i=1; } else { $rwclass = "rowLevel1Bright"; $rwclass2 = "rowLevel2Bright"; $i=0; }
					$level = 2;
				break;
				default:
					if($i=='0') { $rwclass = "rowLevel1Dark"; $rwclass2 = "rowLevel2Dark"; $i=1; } else { $rwclass = "rowLevel1Bright"; $rwclass2 = "rowLevel2Bright"; $i=0; }
					$level = 1;
				break;
			}
		// if($i2=='1') { $rwclass = 'rowBright'; $i2='0'; } else { $rwclass = 'rowDark'; $i2++; }
		$content .= '<tr class="'.$rwclass.'">';
		$content .=  '<td class="'.$rwclass.'" width="12" valign="top">';
		$content .= draw_line($image='black', $width='20', $height='10');
		$content .=  '</td>';
		$content .=  '<td class="'.$rwclass.'" valign="top">';
		$content .= draw_line($image='black', $width='100%', $height='1').'<br>';
		$content .=  '<div class="textTitleSmall">';
		$content .=  '<b>'.POSTED_ON.':</b> '.$creation.' - ';
		$content .=  '<b>'.AUTHOR.':</b> '.get_user_name($author_id, '3').' ';
		$content .=  '</div>';
		$content .=  '</td>';
		$content .=  '</tr>';
		$content .= '<tr class="'.$rwclass.'">';
		$content .=  '<td class="'.$rwclass.'" valign="top">';
		$content .=  '</td>';
		$content .=  '<td  valign="top">';
		$content .=  $comment;
		$content .=  '</td>';
		$content .=  '</tr>';

		$content .=  '<tr class="'.$rwclass.'">';
		$content .=  '<td class="'.$rwclass.'" width="12" valign="top">';
		$content .=  '</td>';
		$content .=  '<td class="'.$rwclass.'" valign="top">';
		if( xomol_check_content_user_rights_specific($userid, 'ALLOW_COMMENTS_ADD') == '1') {
			$article_catid = checkSomethingFromTable($table='content_art', $what='article_catid', $key='article_id', $keyvalue=$_module_key, $langkey='', $langkeyvalue='', $sqlanswer='');
			$content .=  '<a href="index.php?op='.$op.'&op2=view_details_replay_comment&op3=replay_coment&art='.$_module_key.'&comment_id='.$_comment_id.'&cat='.$article_catid.'" class="textTitle">';
			$content .=  YOU_CAN_REPLAY;
			$content .=  '</a>';
		}
		$content .=  '</td>';
		$content .=  '</tr>';
		/*
		*/

		$undercomments = get_comments_undercomments($_comment_id);
		if(is_array($undercomments) ) {
			// if($i1=='1') { $rwclass = 'rowDark'; $i1='0'; } else { $rwclass = 'rowBright'; $i1++; }
			$content .=  '<tr class="'.$rwclass.'">';
			$content .=  '<td class="'.$rwclass.'" width="12" valign="top">';
			//$content .= draw_line($image='black', $width='12', $height='1');
			$content .=  '</td>';
			$content .= '<td class="'.$rwclass.'" valign="top">';

				$undercomments = array_unique($undercomments);
				$undercomments = array_reverse($undercomments);
			foreach($undercomments AS $key => $val) {
				//$content .= '$val: '.$val.'<br>';
				//$content .= '$art: '.$art.'<br>';
				//$content .= '$_comment_id: '.$_comment_id.'<br>';
				//$content .= '$op: '.$op.'<hr>';

				if($val>='1') {
					$level ++;
					$content .= show_content_comments($art, $val, $val, $level, $edition_id, $week_expected, $year_expected);
				}
			}
			$content .= '</td>';
			$content .= '</tr>';

		}

		$content .= '</table>';
		//////////////////////////////////////////////////////////////////
		//////////////////////////////////////////////////////////////////
	}

	return $content;
}
/*********************************************************************************************
* Function Name:  get_survey_owner($survey_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table surveys
* Returns the author_id of the survey
* $survey_id	= the id of the survey
*********************************************************************************************/
function get_survey_owner_content($survey_id) {
	global $dbi;
	if($result = sql_query("SELECT author_id FROM surveys WHERE survey_id='".$survey_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['author_id'];
	}
}



?>