## 
## Tabellenstruktur fr Tabelle 'directory'
## 

DROP TABLE IF EXISTS directory;
CREATE TABLE `directory` (
  directory_id int(20) NOT NULL default '0',
  directory_countries varchar(255) NOT NULL,
  directory_states tinytext NOT NULL,
  directory_cities text NOT NULL,
  directory_status int(1) default NULL,
  directory_parent_id int(10) NOT NULL default '0',
  author_id int(10) NOT NULL,
  view_order int(3) NOT NULL default '1',
  directory_image varchar(64) NOT NULL default '',
  secondary_menu int(1) NOT NULL default '0',
  history text NOT NULL,
  comments int(1) NOT NULL,
  PRIMARY KEY  (directory_id),
  KEY author_id (author_id),
  KEY region_status (directory_status),
  KEY view_order (view_order),
  KEY directory_parent_id (directory_parent_id),
  KEY comments (comments)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

## 
## Daten fr Tabelle 'directory'
## 

INSERT INTO directory VALUES(1212932206, '', '', '', 1, 1212860644, 0, 1, '', 0, '', 1);
INSERT INTO directory VALUES(1211896709, '138', '11381013 ', '1138101313782  ', 1, 0, 0, 2, '', 0, '', 1);
INSERT INTO directory VALUES(1213820502, '', '', '', 1, 0, 0, 9, '', 0, '', 1);
INSERT INTO directory VALUES(1213217263, '', '', '', 1, 1213217249, 0, 1, '450hiphop_0087mu_ben.jpg', 0, '', 1);
INSERT INTO directory VALUES(1213828471, '', '', '', 1, 0, 0, 10, '', 0, '', 1);
INSERT INTO directory VALUES(1213217388, '', '', '', 1, 1213217349, 0, 1, '7272007_hiphop_250.jpg', 0, '', 1);
INSERT INTO directory VALUES(1213203969, '', '', '', 1, 1213062252, 0, 1, 'alice.jpg', 0, '', 1);
INSERT INTO directory VALUES(1213216897, '', '', '', 1, 1213062252, 0, 2, '30765.jpeg', 0, '', 1);
INSERT INTO directory VALUES(1213817804, '', '', '', 1, 0, 0, 9, '', 0, '', 1);
INSERT INTO directory VALUES(1214100075, '', '', '', 0, 1214100046, 0, 1, '', 0, '', 1);
INSERT INTO directory VALUES(1214100173, '', '', '', 0, 1214100046, 0, 3, '', 0, '', 1);
INSERT INTO directory VALUES(1214100546, '', '', '', 0, 1214100046, 0, 4, '', 0, '', 1);
INSERT INTO directory VALUES(1214100095, '', '', '', 0, 1214100046, 0, 2, '', 0, '', 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_2_users'
## 

DROP TABLE IF EXISTS `directory_2_users`;
CREATE TABLE directory_2_users (
  user_id int(10) NOT NULL,
  directory_id int(10) NOT NULL,
  view_order int(4) NOT NULL,
  PRIMARY KEY  (user_id,directory_id),
  KEY view_order (view_order)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'directory_2_users'
## 

INSERT INTO directory_2_users VALUES(1, 1211896709, 1);
INSERT INTO directory_2_users VALUES(1, 1213820502, 2);
INSERT INTO directory_2_users VALUES(1, 1213817804, 3);
INSERT INTO directory_2_users VALUES(1, 1213828471, 4);
INSERT INTO directory_2_users VALUES(10, 1211896709, 1);
INSERT INTO directory_2_users VALUES(10, 1213820502, 4);
INSERT INTO directory_2_users VALUES(10, 1213817804, 2);
INSERT INTO directory_2_users VALUES(10, 1213828471, 3);
INSERT INTO directory_2_users VALUES(100, 1213820502, 1);
INSERT INTO directory_2_users VALUES(100, 1213817804, 2);
INSERT INTO directory_2_users VALUES(101, 1211896709, 1);
INSERT INTO directory_2_users VALUES(101, 1213820502, 2);
INSERT INTO directory_2_users VALUES(101, 1213817804, 3);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_art'
## 

DROP TABLE IF EXISTS directory_art;
CREATE TABLE directory_art (
  directory_id bigint(20) NOT NULL auto_increment,
  directory_directory_id int(10) NOT NULL default '0',
  directory_directory_id_related text NOT NULL,
  viewer_group int(10) NOT NULL default '0',
  targeted_user int(10) NOT NULL default '0',
  directory_status int(1) default NULL,
  author_id int(9) NOT NULL default '0',
  creation varchar(32) NOT NULL default '',
  updates text NOT NULL,
  is_default int(1) NOT NULL default '0',
  viewed int(12) NOT NULL default '0',
  comments int(1) NOT NULL,
  PRIMARY KEY  (directory_id),
  KEY directory_directory_id (directory_directory_id),
  KEY viewer_group (viewer_group),
  KEY targeted_user (targeted_user),
  KEY directory_status (directory_status),
  KEY author_id (author_id),
  KEY creation (creation),
  KEY is_default (is_default),
  KEY comments (comments)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

## 
## Daten fr Tabelle 'directory_art'
## 


###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_art_desc'
## 

DROP TABLE IF EXISTS `directory_art_desc`;
CREATE TABLE directory_art_desc (
  directory_id int(20) NOT NULL default '0',
  `language` varchar(20) NOT NULL default 'german',
  title text NOT NULL,
  directory_description_1 text NOT NULL,
  directory_description_2 text NOT NULL,
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  seo_link varchar(256) NOT NULL,
  PRIMARY KEY  (directory_id,`language`),
  KEY seo_link (seo_link)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'directory_art_desc'
## 


###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_blocks'
## 

DROP TABLE IF EXISTS `directory_blocks`;
CREATE TABLE directory_blocks (
  block_id int(3) NOT NULL auto_increment,
  position_id int(3) NOT NULL default '0',
  module_name varchar(32) NOT NULL default '0',
  block_title varchar(64) NOT NULL,
  block_status varchar(64) NOT NULL,
  undeletable int(1) NOT NULL default '0',
  view_order int(3) NOT NULL default '1',
  PRIMARY KEY  (block_id,position_id,block_title),
  UNIQUE KEY position_id (position_id,block_title),
  KEY module_name (module_name),
  KEY block_status (block_status)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'directory_blocks'
## 

INSERT INTO directory_blocks VALUES(23, 1, 'content', 'directory_Menu_show_subs_by1cat', '1', 0, 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_configure'
## 

DROP TABLE IF EXISTS `directory_configure`;
CREATE TABLE directory_configure (
  config_id int(6) NOT NULL auto_increment,
  module_name varchar(64) NOT NULL default '',
  config_type varchar(64) NOT NULL default '0',
  config_title varchar(64) NOT NULL default '',
  config_description text NOT NULL,
  config_key varchar(128) NOT NULL default '',
  config_value varchar(128) NOT NULL default '',
  undeletable int(1) NOT NULL default '0',
  PRIMARY KEY  (config_id),
  KEY config_type (config_type,config_key)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'directory_configure'
## 

INSERT INTO directory_configure VALUES(1, 'directory', 'Main Config', 'View Modus', '', 'CONT_VIEW_MOD', '2', 1);
INSERT INTO directory_configure VALUES(2, 'directory', 'Front Page', 'Frontpage View Modus', '', 'FP_VIEW_MODUS', '2', 1);
INSERT INTO directory_configure VALUES(3, 'directory', 'Front Page', 'Num of Random Articles', '', 'RANDOM_ART_NUM', '5', 1);
INSERT INTO directory_configure VALUES(28, 'directory', 'Pictures Upload', 'Max image logo 1 height', '', 'MAX_IMAGE_1_HEIGHT', '100', 1);
INSERT INTO directory_configure VALUES(27, 'directory', 'Pictures Upload', 'Max image logo 1 width', '', 'MAX_IMAGE_1_WIDTH', '750', 1);
INSERT INTO directory_configure VALUES(26, 'directory', 'Pictures Upload', 'Max image logo 2 height', '', 'MAX_IMAGE_2_HEIGHT', '100', 1);
INSERT INTO directory_configure VALUES(25, 'directory', 'Pictures Upload', 'Max image logo 3 height', '', 'MAX_IMAGE_3_HEIGHT', '100', 1);
INSERT INTO directory_configure VALUES(9, 'directory', 'Front Page', 'Num of Cols on Cat. listings', '', 'FP_NUM_COLS', '5', 1);
INSERT INTO directory_configure VALUES(10, 'directory', 'Article Details', 'Show Autor', '', 'SHOW_AUTHOR', '0', 1);
INSERT INTO directory_configure VALUES(11, 'directory', 'Article Details', 'Show Date', '', 'SHOW_DATE', '0', 1);
INSERT INTO directory_configure VALUES(12, 'directory', 'Article Listing', 'Max Search Results', '', 'MAX_SRCH_RES', '5', 1);
INSERT INTO directory_configure VALUES(13, 'directory', 'Browse', 'Show Category Title', '', 'SHOW_CAT_TITLE', '1', 1);
INSERT INTO directory_configure VALUES(14, 'directory', 'Browse', 'Show Category Desc', '', 'SHOW_CAT_DESC', '1', 1);
INSERT INTO directory_configure VALUES(15, 'directory', 'Browse', 'Show Sub Cats', '', 'SHOW_SUBCATS', '1', 1);
INSERT INTO directory_configure VALUES(16, 'directory', 'Browse', 'Show default Cat News', '', 'SHOW_DEF_CAT_NEWS', '1', 1);
INSERT INTO directory_configure VALUES(17, 'directory', 'Pictures Upload', 'Maximal Size Cat Image', '', 'MAX_CAT_SIZE', '250', 1);
INSERT INTO directory_configure VALUES(23, 'subscriptions', 'Pictures Upload', 'Max Filesize in KB', '', 'FILEUPLOAD_MAXK', '150', 1);
INSERT INTO directory_configure VALUES(31, 'directory', 'Pictures Upload', 'Max category image width', '', 'MAX_CAT_IMAGE_WIDTH', '100', 1);
INSERT INTO directory_configure VALUES(24, 'subscriptions', 'Pictures Upload', 'Allowed MIME types', '', 'OK_MIME_TYPES', 'jpeg jpeg jpg gif png', 1);
INSERT INTO directory_configure VALUES(29, 'directory', 'Pictures Upload', 'Max image logo 2 width', '', 'MAX_IMAGE_2_WIDTH', '600', 1);
INSERT INTO directory_configure VALUES(30, 'directory', 'Pictures Upload', 'Max image logo 3 width', '', 'MAX_IMAGE_3_WIDTH', '120', 1);
INSERT INTO directory_configure VALUES(32, 'directory', 'Pictures Upload', 'Max category image Height', '', 'MAX_CAT_IMAGE_HEIGHT', '80', 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_desc'
## 

DROP TABLE IF EXISTS `directory_desc`;
CREATE TABLE directory_desc (
  directory_id int(20) NOT NULL default '0',
  `language` varchar(20) NOT NULL default 'german',
  title varchar(124) NOT NULL default '',
  description text NOT NULL,
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  seo_link varchar(128) NOT NULL,
  KEY region_id (directory_id,`language`,title),
  KEY seo_link (seo_link)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'directory_desc'
## 

INSERT INTO directory_desc VALUES(1211896709, 'english', 'Software Development', '<p>Xomol Reginalverzeichnis. Companies, business, stores, software developers</p>', 'Software developers', 'xomol cms,regional directory,software development,companies,business,programs,programming,php,open source,linux,data base,mysql,', 'Xomol Reginalverzeichnis. Companies, business, stores, software developers', 'Software_Development.html');
INSERT INTO directory_desc VALUES(1211896709, 'german', 'Software Entwicklung', '<p>Xomol&nbsp;Regionen Verzeichnis,&nbsp;Firmen, Gesch&auml;fte, Freelancer und Softwareentwickler.</p>', 'Software Entwickler', 'xomol cms,regional verzeichnis,software entwickler,business,geschfte,programme,programmierung,entwicklung,open source,linux,datenbank,mysql,', 'Xomol Regional Directory. Firmen, Geschfte, Freelancer und Softwareentwickler.', 'Software_Entwicklung.html');
INSERT INTO directory_desc VALUES(1211896709, 'mexican', 'Derarrollo de Software', '<p>Directorio Regional con empresas de Software. Compa&ntilde;ias, negocios, tiendas, prestadores de servicios, programas de computacion e informatica en general. Todo sobre interntet.</p>', 'Desarrolladores de Software', 'directorio regional,empresas,software,compaias,negocios,programas,computacion,informatica,xomol,programacion,prestadores de servicios,internet,', 'Directorio Regional con empresas de Software. Compaias, negocios, tiendas, prestadores de servicios, programas de computacion e informatica en general. Todo sobre interntet.', 'Software.html');
INSERT INTO directory_desc VALUES(1213820502, 'mexican', 'Diseo grafico', '<p>Xomol - Directorio Tematico. Buscas un contacto en el area de Diese&ntilde;o Grafico? Checa nuestro directorio. Todo lo relacionado con proveedores de Dise&ntilde;o Grafico en conjunto con Xomol CMS.</p>', 'Diseo grafico', 'xomol cms,directorio tematico,diseo grafico,compaias,ecommerce,direcciones,contactos,empresas,php scripts,open source,webmasters,diseadores,', 'Xomol - Directorio Tematico. Buscas un contacto en el area de Dieseo Grafico? Checa nuestro directorio. Todo lo relacionado con proveedores de Diseo Grafico en conjunto con Xomol CMS.', 'Diseo_grafico.html');
INSERT INTO directory_desc VALUES(1213820502, 'english', 'Grafic design', '<p>Xomol - Directory. Are you looking for a Grafic Designer? Checkout our direrectory.&nbsp; Everything related to Grafic Designers in conjunction with Xomol CMS.</p>', 'Grafic design', 'xomol cms,regional directory,grafic design,companies,ecommerce,adresses,contects,busyness,php scripts,open source,webmasters,layouter,', 'Xomol - Directory. Are you looking for a Grafic Designer? Checkout our direrectory.  Everything related to Grafic Designers in conjunction with Xomol CMS.', 'Grafic_design.html');
INSERT INTO directory_desc VALUES(1213817804, 'mexican', 'Hospedaje Web', '<p>Xomol - Directorio Tematico. Buscas un contacto en el area de Hospedaje Web (Webhosting)? Checa nuestro directorio. Todo lo relacionado con Plataformas LAMP y WAMP en conjunto con Xomol CMS.</p>', 'Hospedaje Web (Webhosting).', 'websites gratis,webhosting,directorio,xomol cms,contactos,domicilios,lamp y wamp,anuncios,publicidad,linux,php,mysql,', 'Xomol - Directorio Tematico. Buscas un contacto en el area de Hospedaje Web (Webhosting)? Checa nuestro directorio. Todo lo relacionado con Plataformas LAMP y WAMP en conjunto con Xomol CMS.', 'Hospedaje_Web.html');
INSERT INTO directory_desc VALUES(1213817804, 'english', 'Webhosting', '<p>Xomol - Thematic directory. Are you looking for Webhosting? Checkout our directory. Everything related to LAMP and WAMP plataforms in conjunction with Xomol CMS.</p>', 'Webhosting', 'free websites,webhosting,directory,xomol cms,contacts,adresses,lamp and wamp,adds,publicity,linux,php,mysql,', 'Xomol - Thematic directory. Are you looking for Webhosting? Checkout our directory. Everything related to LAMP and WAMP plataforms in conjunction with Xomol CMS.', 'Webhosting.html');
INSERT INTO directory_desc VALUES(1213817804, 'german', 'Webhosting', '<p>Xomol - Verzeichnis. Suchst Du Webhosting? Dann wirf einen Blick&nbsp;in unser Verzeichnis. Alles &uuml;ber LAMP und WAMP Platformen mit Xomol CMS.</p>', 'Webhosting', 'websites gratis,webhosting,verzeichnis,xomol cms,kontakte,addresse,lamp und wamp,werbung,publicity,linux,php,mysql,', 'Xomol - Verzeichnis. Suchst Du Webhosting? Dan wirf einen Blick an unsere Verzeichnis. Alles ber LAMP und WAMP Plataformen mit Xomol CMS.', 'Webhosting_DE.html');
INSERT INTO directory_desc VALUES(1213820502, 'german', 'Grafische Gestaltung', '<p>Xomol - Verzeichnis. Suchst Du einen Grafischen Gestalter? Dann wirf einen Blick&nbsp;in unser Verzeichnis. Alles &uuml;ber Anbieter von Grafischer Gestaltung (Grafic Design) mit Xomol CMS.</p>', 'Grafische Gestalltung', 'xomol cms,regional verzeichnis,grafische gestalltung,firmen,ecommerce,grafic design,kontakte,geschfte,php scripts,open source,webmaster,layouter,', 'Xomol - Verzeichnis. Suchst Du einen Grafische Gestallter? Dan wirf einen Blick an unsere Verzeichnis. Alles ber Anbieter vom Grafische Gestalltung (Grafic Design) mit Xomol CMS.', 'Grafische_Gestalltung.html');
INSERT INTO directory_desc VALUES(1213828471, 'mexican', 'Redes', '<p>Xomol - Directorio regional. Estas buscando profesionales para tu red de computadoras? Checa nuestro directorio. Todo hacerca de Networks Linux y Windows. Protocolos TCP/IP, SMB. Planeacion y mantenimiento.</p>', 'Redes', 'xomol cms,directorio regional,redes,networks,negocios,servicios,compaias,especialistas,profesionales,windows,linux,tcp/ip,', 'Xomol - Directorio regional. Estas buscando profesionales para tu red de computadoras? Checa nuestro directorio. Todo hacerca de Networks Linux y Windows. Protocolos TCP/IP, SMB. Planeacion y mantenimiento.', 'Redes.html');
INSERT INTO directory_desc VALUES(1213828471, 'english', 'Networks', '<p>Xomol - Regional Directory. Are you looking for professionals on Networks? Checkout our directory. Everything about Networks professionals. Linux and Windows networks. Protocol TCP/IP, SMB. Planing and mantenance.</p>', 'Networks', 'xomol cms,regional directory,networks,networking,business,services,companies,professionals,windows,linux,tcp/ip,planig and mantainence,', 'Xomol - Regional Directory. Are you looking for professionals on Networks? Checkout our directory. Everything about Networks professionals. Linux and Windows networks. Protocol TCP/IP, SMB. Planing and mantenance.', 'Networks.html');
INSERT INTO directory_desc VALUES(1213828471, 'german', 'Netzwerke', '<p>Xomol - Regionalverzeichnis. Suchst Du Netzwerkprofis? Dann wirf einen Blick&nbsp;in unser Verzeichnis. Hier findest du alles &uuml;ber Netzwerk Profis. Linux und Windows Networks, Protokoll TCP/IP, SMB. Planung und Wartung.</p>', 'Netzwerke', 'xomol cms,regional verzeichniss,netzwerke,networks,geschfte,dienstleistungen,firmen,profis,windows,linux,tcp/ip,planung wartung,', 'Xomol - Regionalverzeichnis. Suchst Du Netzwerkprofis? Dan werf einen Blick an unsere Verzeichnis. Hier findest du alles ber Netzwerk Profis. Linux und Windows Networks, Protokol TCP/IP, SMB. Planung und Wartung.', 'Netzwerke.html');

###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_fp_cat_lists'
## 

DROP TABLE IF EXISTS `directory_fp_cat_lists`;
CREATE TABLE directory_fp_cat_lists (
  fpc_id int(12) NOT NULL auto_increment,
  directory_id int(12) NOT NULL default '0',
  creation varchar(16) NOT NULL default '',
  author_id int(12) NOT NULL default '0',
  active int(1) NOT NULL default '0',
  fpc_order int(1) NOT NULL default '1',
  PRIMARY KEY  (fpc_id),
  KEY directory_id (directory_id,creation,author_id,active)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'directory_fp_cat_lists'
## 


###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_frontpages'
## 

DROP TABLE IF EXISTS `directory_frontpages`;
CREATE TABLE directory_frontpages (
  frontpage_id int(12) NOT NULL auto_increment,
  directory_id int(12) NOT NULL default '0',
  creation varchar(16) NOT NULL default '',
  author_id int(12) NOT NULL default '0',
  frontpage_status int(1) NOT NULL default '0',
  random int(1) NOT NULL default '0',
  is_default int(1) NOT NULL default '0',
  viewer_group int(2) NOT NULL default '0',
  frontpage_language varchar(32) NOT NULL default '',
  PRIMARY KEY  (frontpage_id),
  KEY `language` (frontpage_language),
  KEY directory_id (directory_id),
  KEY creation (creation),
  KEY author_id (author_id),
  KEY random (random),
  KEY is_default (is_default)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'directory_frontpages'
## 


###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_metatags'
## 

DROP TABLE IF EXISTS `directory_metatags`;
CREATE TABLE directory_metatags (
  lid int(3) NOT NULL auto_increment,
  `language` varchar(20) NOT NULL default 'german',
  title text NOT NULL,
  keywords text NOT NULL,
  description text NOT NULL,
  PRIMARY KEY  (lid)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'directory_metatags'
## 

INSERT INTO directory_metatags VALUES(1, 'english', 'Directory by categories', 'xomol cms,yellow pages,directory,regional,business,companies,corporations,organisations,open source,contacts,profesionals,service suppliers', 'Directory by categories, the smartest directory on the net. Navegate for free! - by xomol. Companies, corporations, organisations, finances, profesionals, service suppliers.');
INSERT INTO directory_metatags VALUES(2, 'german', 'Verzeichnis bei Kategorien', 'xomol cmss,gelbe seiten,firmenverzeichnis,verzeichnis,regionalverzeichnis,firmen,geschfte,organisationen,dienstleistungen,kontakte,software,open source', 'Verzeichnis bei Kategorien - Die klugste Verzeichniss der Netz. Jetzt navigieren, Gebrenfrei - by xomol!');
INSERT INTO directory_metatags VALUES(3, 'mexican', 'Directorio Empresarial de Usuarios, Empresas y Negocios', 'xomol cms,directorio empresarial,regional,empresas,negocios,industria,seccion amarilla,prestadores de servicios,profesionistas,codigos postales,open source,jalisco', 'El directorio categorizado de empresas y organizaciones en diversos sectores de la industria. Buscas proveedores de servicios? Compras, Ventas. Relaciones comerciales, contactos, webistes, telefonos, direcciones.');

###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_positions'
## 

DROP TABLE IF EXISTS `directory_positions`;
CREATE TABLE directory_positions (
  position_id int(3) NOT NULL auto_increment,
  position_key varchar(64) NOT NULL,
  position_title varchar(64) NOT NULL,
  position_status int(1) NOT NULL default '0',
  udeleteable int(1) NOT NULL default '0',
  PRIMARY KEY  (position_id),
  KEY position_status (position_status),
  KEY position_key (position_key)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'directory_positions'
## 

INSERT INTO directory_positions VALUES(1, 'FP_MAIN_1', 'Frontpage Main', 1, 1);
INSERT INTO directory_positions VALUES(2, 'FP_MAIN_2', 'Position 2', 1, 1);
INSERT INTO directory_positions VALUES(3, 'FP_MAIN_3', 'Position 3', 1, 1);
INSERT INTO directory_positions VALUES(4, 'FP_MAIN_4', 'Position 4', 1, 1);
INSERT INTO directory_positions VALUES(5, 'FPC_MAIN_1', 'Categories Main', 1, 1);
INSERT INTO directory_positions VALUES(6, 'FPC_MAIN_2', 'Categories Position 2', 1, 1);
INSERT INTO directory_positions VALUES(7, 'FPC_MAIN_3', 'Categories Position 3', 1, 1);
INSERT INTO directory_positions VALUES(8, 'FPC_MAIN_4', 'Categories Position 4', 1, 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_user_rights'
## 

DROP TABLE IF EXISTS `directory_user_rights`;
CREATE TABLE directory_user_rights (
  rights_id int(10) NOT NULL auto_increment,
  title varchar(64) NOT NULL,
  description varchar(128) NOT NULL,
  elemental int(1) NOT NULL,
  PRIMARY KEY  (title),
  KEY rights_id (rights_id,elemental)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'directory_user_rights'
## 

INSERT INTO directory_user_rights VALUES(100, 'ASYSTEM_ACCESS', 'Access Directory Admin Panel', 1);
INSERT INTO directory_user_rights VALUES(110, 'A_CONFIGURE_ACCESS', 'Access Configuration Administration', 1);
INSERT INTO directory_user_rights VALUES(111, 'A_CONFIGURE_ADD', 'Add a new configuration key', 1);
INSERT INTO directory_user_rights VALUES(112, 'A_CONFIGURE_EDIT', 'Edit configuration key', 1);
INSERT INTO directory_user_rights VALUES(113, 'A_CONFIGURE_DELETE', 'Delete configuration key', 1);
INSERT INTO directory_user_rights VALUES(130, 'A_METAS_ACCESS', 'Access Metatags Administration', 1);
INSERT INTO directory_user_rights VALUES(131, 'A_METAS_EDIT', 'Edit main Directory header metatags', 1);
INSERT INTO directory_user_rights VALUES(140, 'A_MODULES_ACCESS', 'Access Modules Administration', 1);
INSERT INTO directory_user_rights VALUES(141, 'A_MODULES_EDIT', 'Edit -Store- modules', 1);
INSERT INTO directory_user_rights VALUES(150, 'A_POSITIONS_ACCESS', 'Access Positions Administration', 1);
INSERT INTO directory_user_rights VALUES(151, 'A_POSITIONS_BLOCK_ADD', 'Add a new Block on a position', 1);
INSERT INTO directory_user_rights VALUES(152, 'A_POSITIONS_BLOCK_EDIT', 'Edit Block on a position', 1);
INSERT INTO directory_user_rights VALUES(153, 'A_POSITIONS_BLOCK_DEL', 'Delete Block', 1);
INSERT INTO directory_user_rights VALUES(154, 'A_POSITIONS_POS_ADD', 'Add a new Position', 1);
INSERT INTO directory_user_rights VALUES(155, 'A_POSITIONS_POS_EDIT', 'Edit Position', 1);
INSERT INTO directory_user_rights VALUES(156, 'A_POSITIONS_POS_DEL', 'Delete Position', 1);
INSERT INTO directory_user_rights VALUES(160, 'A_USER_DETAILS_ACCESS', 'Access User Details', 1);
INSERT INTO directory_user_rights VALUES(161, 'A_USER_RIGHTS_ACCESS', 'Access User Rights', 1);
INSERT INTO directory_user_rights VALUES(162, 'A_USER_RIGHTS_TASK_ADD', 'Add User Rights', 1);
INSERT INTO directory_user_rights VALUES(163, 'A_USER_RIGHTS_TASK_EDIT_SAME', 'Edit User Rights for same/higher Group ', 1);
INSERT INTO directory_user_rights VALUES(164, 'A_USER_RIGHTS_TASK_EDIT_LOW', 'Edit User Rights for same/lower Group ', 1);
INSERT INTO directory_user_rights VALUES(166, 'A_USER_RIGHTS_TASK2GROUP', 'Edit User Rights (Same UserGroup)', 1);
INSERT INTO directory_user_rights VALUES(169, 'A_USER_RIGHTS_TASK_VIEW', 'View User Rights tasks', 1);
INSERT INTO directory_user_rights VALUES(165, 'A_USER_RIGHTS_TASK_OVER', 'Override all User Rights from Groups', 1);
INSERT INTO directory_user_rights VALUES(167, 'A_USER_RIGHTS_SAME', 'Edit User Rights for same/higher Group', 1);
INSERT INTO directory_user_rights VALUES(168, 'A_USER_RIGHTS_LOW', 'Edit User Rights for same/lower Group ', 1);
INSERT INTO directory_user_rights VALUES(170, 'CONTENT_ADMIN_ACCESS', 'Access Store Content', 1);
INSERT INTO directory_user_rights VALUES(171, 'CONTENT_ART_ADD', 'Add an article in Directory/Content', 1);
INSERT INTO directory_user_rights VALUES(172, 'CONTENT_ART_ADD_TARGETED', 'Add an article in Directory/Content to an exclusive user', 1);
INSERT INTO directory_user_rights VALUES(173, 'CONTENT_ART_EDIT', 'Edit content articles', 1);
INSERT INTO directory_user_rights VALUES(174, 'CONTENT_ART_DEL', 'Delete content articles', 1);
INSERT INTO directory_user_rights VALUES(175, 'CONTENT_CAT_ADD', 'Add content categories', 1);
INSERT INTO directory_user_rights VALUES(176, 'CONTENT_CAT_EDIT', 'Edit content categories', 1);
INSERT INTO directory_user_rights VALUES(177, 'CONTENT_CAT_DEL', 'Delete content categories', 1);
INSERT INTO directory_user_rights VALUES(202, 'DIRECTORY_ADMIN_ACCESS', 'Access Directory Administration', 1);
INSERT INTO directory_user_rights VALUES(307, 'DIRECTORY_CAT_ADD_OWN', 'Add listing (with own user id)', 1);
INSERT INTO directory_user_rights VALUES(308, 'DIRECTORY_CAT_ADD_OTHERS', 'Add listing (to other user ids)', 1);
INSERT INTO directory_user_rights VALUES(309, 'DIRECTORY_CAT_ADD_OTHERS_SAME', 'Add listing to users on the same group', 1);
INSERT INTO directory_user_rights VALUES(400, 'DIRECTORY_CAT_ADD_OTHERS_LOW', 'Add listing to subusers', 1);
INSERT INTO directory_user_rights VALUES(401, 'DIRECTORY_CAT_ADD_TARG_USER', 'Add listing exclusivly to a user', 1);
INSERT INTO directory_user_rights VALUES(402, 'DIRECTORY_CAT_ADD_TARG_GROUP', 'Add listing exclusivly to a group', 1);
INSERT INTO directory_user_rights VALUES(403, 'DIRECTORY_CAT_EDIT_OWN', 'Edit listing (with own user id)', 1);
INSERT INTO directory_user_rights VALUES(404, 'DIRECTORY_CAT_EDIT_OTHERS', 'Edit listing (to other user ids)', 1);
INSERT INTO directory_user_rights VALUES(405, 'DIRECTORY_CAT_EDIT_OTHERS_SAME', 'Edit listing to users on the same group', 1);
INSERT INTO directory_user_rights VALUES(406, 'DIRECTORY_CAT_EDIT_OTHERS_LOW', 'Edit listing to subusers', 1);
INSERT INTO directory_user_rights VALUES(407, 'DIRECTORY_CAT_DEL_OWN', 'Delete listing (with own user id)', 1);
INSERT INTO directory_user_rights VALUES(508, 'DIRECTORY_CAT_DEL_OTHERS', 'Delete listing (to other user ids)', 1);
INSERT INTO directory_user_rights VALUES(509, 'DIRECTORY_CAT_DEL_OTHERS_SAME', 'Delete listing to users on the same group', 1);
INSERT INTO directory_user_rights VALUES(500, 'DIRECTORY_CAT_DEL_OTHERS_LOW', 'Delete listing to subusers', 1);
INSERT INTO directory_user_rights VALUES(600, 'DIRECTORY_LAYOUT_ACCESS', 'Access and Manage Directory Layout', 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_user_rights2groups'
## 

DROP TABLE IF EXISTS `directory_user_rights2groups`;
CREATE TABLE directory_user_rights2groups (
  group_id int(10) NOT NULL,
  user_rights_id int(10) NOT NULL,
  `value` int(1) NOT NULL,
  PRIMARY KEY  (group_id,user_rights_id),
  KEY `value` (`value`)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'directory_user_rights2groups'
## 

INSERT INTO directory_user_rights2groups VALUES(1, 100, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 100, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 100, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 100, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 100, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 100, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 110, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 110, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 110, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 110, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 110, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 110, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 111, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 111, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 111, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 111, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 111, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 111, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 113, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 113, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 113, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 113, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 113, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 113, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 112, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 112, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 112, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 112, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 112, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 112, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 130, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 130, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 130, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 130, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 130, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 130, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 131, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 131, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 131, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 131, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 131, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 131, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 140, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 140, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 140, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 140, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 140, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 140, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 141, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 141, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 141, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 141, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 141, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 141, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 150, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 150, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 150, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 150, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 150, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 150, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 151, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 151, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 151, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 151, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 151, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 151, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 153, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 153, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 153, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 153, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 153, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 153, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 152, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 152, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 152, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 152, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 152, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 152, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 154, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 154, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 154, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 154, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 154, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 154, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 156, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 156, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 156, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 156, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 156, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 156, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 155, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 155, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 155, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 155, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 155, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 155, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 160, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 160, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 160, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 160, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 160, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 160, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 161, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 161, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 161, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 161, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 161, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 161, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 168, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 168, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 168, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 168, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 168, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 168, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 167, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 167, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 167, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 167, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 167, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 167, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 166, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 166, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 166, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 166, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 166, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 166, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 162, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 162, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 162, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 162, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 162, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 162, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 164, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 164, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 164, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 164, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 164, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 164, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 163, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 163, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 163, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 163, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 163, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 163, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 165, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 165, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 165, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 165, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 165, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 165, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 202, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 202, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 202, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 202, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 202, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 202, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 306, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 306, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 306, 0);
INSERT INTO directory_user_rights2groups VALUES(101, 306, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 306, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 306, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 300, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 300, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 300, 0);
INSERT INTO directory_user_rights2groups VALUES(101, 300, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 300, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 300, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 308, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 308, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 308, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 308, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 308, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 308, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 400, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 400, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 400, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 400, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 400, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 400, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 309, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 309, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 309, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 309, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 309, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 309, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 307, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 307, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 307, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 307, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 307, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 307, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 402, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 402, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 402, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 402, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 402, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 402, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 401, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 401, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 401, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 401, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 401, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 401, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 508, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 508, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 508, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 508, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 508, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 508, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 500, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 500, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 500, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 500, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 500, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 500, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 509, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 509, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 509, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 509, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 509, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 509, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 407, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 407, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 407, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 407, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 407, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 407, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 404, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 404, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 404, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 404, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 404, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 404, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 406, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 406, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 406, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 406, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 406, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 406, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 405, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 405, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 405, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 405, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 405, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 405, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 403, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 403, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 403, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 403, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 403, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 403, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 600, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 600, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 600, 1);
INSERT INTO directory_user_rights2groups VALUES(101, 600, 1);
INSERT INTO directory_user_rights2groups VALUES(102, 600, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 600, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 170, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 170, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 171, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 171, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 172, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 172, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 174, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 174, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 173, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 173, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 175, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 175, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 177, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 177, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 176, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 176, 0);
INSERT INTO directory_user_rights2groups VALUES(200, 176, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 176, 0);
INSERT INTO directory_user_rights2groups VALUES(101, 176, 1);
INSERT INTO directory_user_rights2groups VALUES(100, 176, 1);
INSERT INTO directory_user_rights2groups VALUES(200, 177, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 177, 0);
INSERT INTO directory_user_rights2groups VALUES(101, 177, 1);
INSERT INTO directory_user_rights2groups VALUES(100, 177, 1);
INSERT INTO directory_user_rights2groups VALUES(200, 175, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 175, 0);
INSERT INTO directory_user_rights2groups VALUES(101, 175, 1);
INSERT INTO directory_user_rights2groups VALUES(100, 175, 1);
INSERT INTO directory_user_rights2groups VALUES(200, 173, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 173, 0);
INSERT INTO directory_user_rights2groups VALUES(101, 173, 1);
INSERT INTO directory_user_rights2groups VALUES(100, 173, 1);
INSERT INTO directory_user_rights2groups VALUES(200, 174, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 174, 0);
INSERT INTO directory_user_rights2groups VALUES(101, 174, 1);
INSERT INTO directory_user_rights2groups VALUES(100, 174, 1);
INSERT INTO directory_user_rights2groups VALUES(200, 172, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 172, 0);
INSERT INTO directory_user_rights2groups VALUES(101, 172, 1);
INSERT INTO directory_user_rights2groups VALUES(100, 172, 1);
INSERT INTO directory_user_rights2groups VALUES(200, 171, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 171, 0);
INSERT INTO directory_user_rights2groups VALUES(101, 171, 1);
INSERT INTO directory_user_rights2groups VALUES(100, 171, 1);
INSERT INTO directory_user_rights2groups VALUES(200, 170, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 170, 0);
INSERT INTO directory_user_rights2groups VALUES(101, 170, 1);
INSERT INTO directory_user_rights2groups VALUES(100, 170, 1);
INSERT INTO directory_user_rights2groups VALUES(200, 169, 0);
INSERT INTO directory_user_rights2groups VALUES(102, 169, 0);
INSERT INTO directory_user_rights2groups VALUES(101, 169, 0);
INSERT INTO directory_user_rights2groups VALUES(100, 169, 1);
INSERT INTO directory_user_rights2groups VALUES(2, 169, 0);
INSERT INTO directory_user_rights2groups VALUES(1, 169, 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_user_rights2users'
## 

DROP TABLE IF EXISTS `directory_user_rights2users`;
CREATE TABLE directory_user_rights2users (
  user_id int(10) NOT NULL,
  user_rights_id int(10) NOT NULL,
  `value` int(1) NOT NULL,
  PRIMARY KEY  (user_id,user_rights_id),
  KEY `value` (`value`)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'directory_user_rights2users'
## 


###########################################################

## 
## Tabellenstruktur fr Tabelle 'directory_user_rights_desc'
## 

DROP TABLE IF EXISTS `directory_user_rights_desc`;
CREATE TABLE directory_user_rights_desc (
  rights_id varchar(10) NOT NULL,
  `language` varchar(32) NOT NULL,
  description varchar(128) NOT NULL,
  PRIMARY KEY  (rights_id,`language`)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'directory_user_rights_desc'
## 

## 
## Recordsets for other Tables neeeded to be updated for automatitation.
## 



INSERT INTO `modules` VALUES('directory', 1, 1, ',1,100,102,200,101,2', 0, 0, '');

INSERT INTO `modules_desc` VALUES('directory', 'Directorio Empresarial', 'mexican');
INSERT INTO `modules_desc` VALUES('directory', 'Directory', 'english');
INSERT INTO `modules_desc` VALUES('directory', 'Firmenverzeichniss', 'german');


INSERT INTO themes_blocks VALUES('', 1191298880, 'directory', 'directory_Menu_1', '1', 0, 2);
INSERT INTO themes_blocks VALUES('', 1213741183, 'directory', 'directory_Menu_2', '1', 0, 2);

INSERT INTO xomol_seo_realfakepaths VALUES('Directory.html', 'index.php?op=directory&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Vereichniss.html', 'index.php?op=directory&xlang=german');
INSERT INTO xomol_seo_realfakepaths VALUES('Directorio.html', 'index.php?op=directory&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Webhosting.html', 'index.php?op=directory&op2=browse&cat=1213817804&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Webhosting_DE.html', 'index.php?op=directory&op2=browse&cat=1213817804&xlang=german');
INSERT INTO xomol_seo_realfakepaths VALUES('Diseo_grafico.html', 'index.php?op=directory&op2=browse&cat=1213820502&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Grafic_design.html', 'index.php?op=directory&op2=browse&cat=1213820502&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Grafische_Gestalltung.html', 'index.php?op=directory&op2=browse&cat=1213820502&xlang=german');
INSERT INTO xomol_seo_realfakepaths VALUES('Pogramas.html', 'index.php?op=directory&op2=browse&cat=1211896709&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Software_de.html', 'index.php?op=directory&op2=browse&cat=1211896709&xlang=german');
INSERT INTO xomol_seo_realfakepaths VALUES('Software_en.html', 'index.php?op=directory&op2=browse&cat=1211896709&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Software.html', 'index.php?op=directory&op2=browse&cat=1211896709&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Redes.html', 'index.php?op=directory&op2=browse&cat=1213828471&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Networks.html', 'index.php?op=directory&op2=browse&cat=1213828471&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Netzwerke.html', 'index.php?op=directory&op2=browse&cat=1213828471&xlang=german');



