<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: functions.php
* Location: /modules/downloads/includes/functions.php
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

/*********************************************************************************************
* System functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_downloads_config_value($config_key)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table downloads_configure
* Returns the value of a given configuration, returns 0 if configuration does not exist,
*********************************************************************************************/
function get_downloads_config_value($config_key) {
	global $dbi;
	if($result = sql_query("SELECT * FROM downloads_configure WHERE config_key='".$config_key."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['config_value'];
	}
}

/*********************************************************************************************
* User Rights functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  xomol_check_downloads_user_rights_specific($user, $task)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users, users_rights
* Returns field user_rights FROM TABLE users
* $user 	= to check own rights use $_SESSION['user_id'] or $userid;
*         	  to check others rights pass the desired user id as string..
* $task 	= desired field value in TABLE xomol_user_rights_tasks2users
*			  if no overrided user rights then check from  TABLE xomol_user_rights_tasks2groups
*********************************************************************************************/
function xomol_check_downloads_user_rights_specific($user, $rights_title){
	global $dbi;
	$rights_id = checkSomethingFromTable($table='downloads_user_rights', $what='rights_id', $key='title', $keyvalue=$rights_title, $langkey='', $langkeyvalue='', $sqlanswer='');
	$user_group = check_user_group($user);
	$is_overrided = checkSomethingFromTable($table='downloads_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');
	if($is_overrided>='2') {
		$result2 = sql_query("SELECT * FROM downloads_user_rights2users WHERE user_id='".$user."' AND user_rights_id='".$rights_id."'", $dbi);
		$row2 = sql_fetch_array($result2, $dbi);
		return $row2['value'];
	} else {
		$result3 = sql_query("SELECT * FROM downloads_user_rights2groups WHERE group_id='".$user_group."' AND user_rights_id='".$rights_id."'", $dbi);
		$row3 = sql_fetch_array($result3, $dbi);
		return $row3['value'];
	}
}

function groups_and_users_downloads($group_id, $start){
	global $dbi, $op, $userid, $theme;
	$content = '<table width="600" border="0" cellspacing="0" cellpadding="0">';
	if($start=='') {
		$content .= '<tr>';
		$content .= '<td class="AdminFormTbHeader" colspan="6">'.GROUP.'</td>';
		$content .= '<tr>';
		$start++;
	}
	$result = sql_query("SELECT * FROM user_groups WHERE  group_parent_id='".$group_id."' ORDER BY group_title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$group_parent_id   = $row['group_parent_id'];
		$group_title   = $row['group_title'];
		$group_status   = $row['group_status'];
		$group_deletable   = $row['group_deletable'];

		$content .= '<tr class="AdminFormTbRowLight" onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
		$content .= '<td width="10" align="left" valign="top"><img src="themes/'.$theme.'/images/arrow_icon.gif" border="0" ></td>';
		$content .= '<td width="80" align="left" valign="top" ><div class="textTitle">'.$group_title.'<div></td>';
		$content .= '<td align="right">';
		// edit group
		$result2 = sql_query("SELECT * FROM users WHERE user_group='".$_group_id."' ORDER BY user_group, user_firstname, user_lastname, user_company ASC", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$_user_id   	= $row2['user_id'];
			$user_firstname = $row2['user_firstname'];
			$user_lastname  = $row2['user_lastname'];
			$user_company   = $row2['user_company'];
			$user_city    	= $row2['user_city'];
			$user_state    	= $row2['user_state'];
			$user_country   = $row2['user_country'];
			$user_group    	= $row2['user_group'];
			$status    		= $row2['user_status'];

			$content .= '<table width="450" border="0" cellspacing="0" cellpadding="0">';
			$content .= '<tr onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= $user_company;
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="left" nowrap>';
			$is_overrided = checkSomethingFromTable($table='downloads_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$_user_id, $langkey='', $langkeyvalue='', $sqlanswer='');

			// Allow edition for subusers
			$ok=0;
			if (xomol_check_downloads_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_downloads_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($is_overrided>'1') {
					$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights1.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				} else {
					$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights2.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				}
			}
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="center" nowrap>';
			$ok=0;
			if (xomol_check_downloads_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_downloads_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				$content .= '<a href="index.php?op=admin&op2=admin_users_viewdet&user='.$_user_id.'" class="AdminFormRsTitle" target="viewdet"><img src="themes/'.$theme.'/images/information.gif" border="0" alt="'.EDIT_USER.'"></a>';
			}
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= '<div class="textTitle">'.$user_firstname.' '.$user_lastname.'</div>';
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$user_city = checkSomethingFromTable($table='geo_cities', $what='place', $key='city_id', $keyvalue=$user_city, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_state = checkSomethingFromTable($table='geo_states', $what='state_code', $key='state_id', $keyvalue=$user_state, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_country = checkSomethingFromTable($table='geo_countries', $what='countries_name', $key='countries_id', $keyvalue=$user_country, $langkey='', $langkeyvalue='', $sqlanswer='');
			$content .= $user_city.',<br>'.$user_state.'/'.$user_country;
			$content .= '</td>';
			$content .= '<td width="20" valign="top" align="center" nowrap>';

			$ok=0;
			if (xomol_check_downloads_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($_user_id, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_downloads_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($status==1) {
					$status='<a href="index.php?op='.$op.'&op2=admin&op3=statusu&switch=0&user='.$_user_id.'">
								<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'"></a>';
				} else {
					$status='<a href="index.php?op='.$op.'&op2=admin&op3=statusu&switch=1&user='.$_user_id.'">
								<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'"></a>';
					}
			} else {
				if($status==1) {
					$status='<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'">';
				} else {
					$status='<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'">';
				}
			}
			$content .= $status;
			$content .= '</td>';
			$content .= '</tr>';
			$content .= '<tr  >';
			$content .= '<td height="1" colspan="6">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
			$content .= '</table>';
		}
		$content .= '</td>';
		$content .= '</tr>';

			$content .= '<tr  >';
			$content .= '<td height="1" colspan="3">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
		if(get_subgroups($_group_id)!='') {

			$content .= '<tr class="AdminFormTbRowLight">';
			$content .= '<td width="10" align="left" valign="top">&nbsp;</td>';
			$content .= '<td align="left" colspan="4" valign="top">';
			$content .= groups_and_users_downloads($_group_id, $start);
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}

/*********************************************************************************************
* DOWNLOADS - Categories and Downloads functions
*********************************************************************************************/

function get_downloads_owner($downloads_id) {
	global $dbi;
	if($result = sql_query("SELECT author_id FROM downloads_art WHERE downloads_id='".$downloads_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['author_id'];
	}
}


/*********************************************************************************************
* Function Name:  get_downloads_cat_name($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table downloads_cat_desc
* Returns Category name
* $category_id = the category_id;
*********************************************************************************************/
function get_downloads_cat_name($category_id) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT title FROM downloads_cat_desc WHERE category_id='".$category_id."' AND language='".$currentlang."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	return	$row['title'];
}


/*********************************************************************************************
* Function Name:  getdownloadsundercat($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a string of all under categories IDs
* $category_id	= the id of the category
*********************************************************************************************/
function getdownloadsundercat($category_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT category_id FROM downloads_cat WHERE category_parent_id='".$category_id."' AND category_parent_id!='0'  ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		$content .= $cat_id.',';
	}
	return $content;
}
/*********************************************************************************************
* Function Name:  get_downloads_all_under_cats($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses function getdownloadsundercat($category_id);
* Returns a string of all lower categories IDs
* $category_id	= the id of the category
*********************************************************************************************/

function get_downloads_all_under_cats($category_id) {
	$undercats = getdownloadsundercat($category_id);
	$content = $undercats;
	$undercats_array = split(',', $undercats);
	if(is_array($undercats_array)) {
		foreach($undercats_array AS $key => $val) {
			if($val!='') {
				$content .= get_downloads_all_under_cats($val);
			}
		}
	}
	return $content;
}



function getdownloadsunderdowns($category_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT downloads_id FROM downloads_art WHERE downloads_catid='".$category_id."'  ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$downloads_id   = $row['downloads_id'];
		$content .= $downloads_id.',';
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  get_downloads_parent_cat($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table downloads_cat
* Returns category_parent_id
* $category_id = the category_id;
*********************************************************************************************/
function get_downloads_parent_cat($category_id) {
	global $dbi;
	if($result = sql_query("SELECT category_parent_id FROM downloads_cat WHERE category_id='".$category_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['category_parent_id'];
	}
}

/*********************************************************************************************
* Function Name:  get_downloads_all_upper_cats($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns all upper categories ids
* $category_id = the category_id;
*********************************************************************************************/
function get_downloads_all_upper_cats($category_id) {
	$parent_category = get_downloads_parent_cat($category_id);
	$content = $parent_category.' ';
	if($parent_category!='') {
		$content .= get_downloads_all_upper_cats($parent_category);
	}
	return $content;
}

/*********************************************************************************************
* DOWNLOADS - NAVEGATION FUNCTIONS
*********************************************************************************************/

function cat_downloads_navigation($category_id, $downloads_id)  {
	global $op, $currentlang;
	if($downloads_id!='') {
		$cat_id = checkSomethingFromTable($table='downloads_art', $what='downloads_catid', $key='downloads_id', $keyvalue=$downloads_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$content = get_downloads_all_upper_cats($cat_id);
	} elseif(isset($category_id)) {
		$content = get_downloads_all_upper_cats($category_id);
	}
	$module_name = checkSomethingFromTable($table='modules_desc', $what='title', $key='title', $keyvalue=$op, $langkey='language', $langkeyvalue=$currentlang, $sqlanswer='');
	$contents = '<a href="index.php" class="textTitleSmall">'.HOME.'</a> | ';
	$contents .= '<a href="index.php?op='.$op.'" class="textTitleSmall">'.$module_name.'</a> ';
	$content = split(' ', $content);
	$content = array_reverse($content);
	$content = array_unique($content);
	foreach($content AS $key => $val) {
		if($val>='1'){
			$contents .= ' | <a href="index.php?op=downloads&op2=browse&cat='.$val.'" class="textTitleSmall">'.get_downloads_cat_name($val).'</a>';
		}
	}
	return $contents;
}

/*********************************************************************************************
* Function Name:  downloads_cat_admin_navigation($category_id, $article_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Dynamic category navegation
*********************************************************************************************/
function downloads_cat_admin_navigation($category_id, $downloads_id)  {
	global $op;
	if($downloads_id!='') {
		$cat_id = checkSomethingFromTable($table='downloads_art', $what='downloads_catid', $key='downloads_id', $keyvalue=$downloads_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$content = get_downloads_all_upper_cats($cat_id);
	} elseif(isset($category_id)) {
		$content = get_downloads_all_upper_cats($category_id);
	}
	$contents = '<a href="index.php?op=downloads&op2=admin&op3=admin_cat_view" class="textTitleSmall">'.HOME.'</a> ';
	$content = split(' ', $content);
	$content = array_reverse($content);
	$content = array_unique($content);
	foreach($content AS $key => $val) {
		if($val>='1'){
			$contents .= ' | <a href="index.php?op=downloads&op2=admin&op3=admin_cat_view&cat_parent_id='.$val.'" class="textTitleSmall">'.get_downloads_cat_name($val).'</a>';
		}
	}
	if($category_id!='') {
		$contents .= ' | <a href="index.php?op=downloads&op2=admin&op3=admin_cat_view&cat_parent_id='.$category_id.'" class="textTitleSmall">'.get_downloads_cat_name($category_id).'</a> ';
	}
	return $contents;
}

/*********************************************************************************************
* Function Name:  downloads_categories_dropdown_menu($name, $category_id, $expected, $space, $start)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Drop Down menu list of the given category_id.
* $name			= the name of the INPUT field to be generated ($_POST[$name])
* $category_id	= the id of the category
* $cat_exp		= the id of the selected category
* $space		= leave blank -this makes spaces on options
* $start		= leave blank -this is the counter...
*********************************************************************************************/
function downloads_categories_dropdown_menu($name, $category_id, $expected, $space, $start) {
	global $dbi, $userid;
	$start++;
	if($start=='1') {
		$content = '<select name="'.$name.'" >';
	}
	$space .= '*';
	$result = sql_query("SELECT * FROM downloads_cat WHERE  category_parent_id='".$category_id."'", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		if($cat_id==$expected) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$cat_id.'" '.$selected.'>'.$space.' '.get_downloads_cat_name($cat_id).'</option>';
		if(getdownloadsundercat($cat_id)!='') {
			$start++;
			$content .= downloads_categories_dropdown_menu($name, $cat_id, $expected, $space, $start);
		}
	}
	if($start=='1') { $content .= '</select>'; }
	return $content;
}

/*********************************************************************************************
* DOWNLOADS - SEARCH FUNCTIONS
*********************************************************************************************/

function get_downloads_frontpage_search_options($search_option) {
	if($search_option=='direct') { $search_option_direct_checked = ' checked'; }
	if($search_option=='latest') { $search_option_latest_checked = ' checked'; }
	if($search_option=='category_listing') { $search_option_category_listing_checked = ' checked'; }

	echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	echo '<tr>';
	echo '<td>';

	echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';

	echo '<tr>';
	echo '<td>'.LATEST.'</td>';
	echo '<td><input name="search_option" type="radio" value="latest"'.$search_option_latest_checked.'></td>';
	echo '</tr>';

	echo '</table>';

	echo '</td>';
	echo '<td><input type="submit" name="Submit" value="Submit"></td>';

	echo '</tr>';
	echo '</table>';
	echo '</form>';

}


/*********************************************************************************************
* DOWNLOADS - POSITIONS AND BLOCKS
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_downloads_blocks()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns the all the "block-*.php" files FROM directory modules/downloads/blocks/
* $position_id 	= the position to get the blocks from
*********************************************************************************************/
function get_downloads_blocks($position_id) {
	global $dbi, $op;
	$result = sql_query("SELECT * FROM downloads_blocks WHERE position_id='".$position_id."' AND block_status='1'  ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$block_id   	= $row['block_id'];
		$module_name   	= $row['module_name'];
		$block_title   	= $row['block_title'];
		$block_status   = $row['block_status'];

		if (is_file('modules/'.$op.'/blocks/block-'.$block_title.'.php')) {
			include('modules/'.$op.'/blocks/block-'.$block_title.'.php');
		}
	}
}
/*********************************************************************************************
* Function Name:  purge_downloads_blocks()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder the Blocks on Positions order
*********************************************************************************************/
function purge_downloads_blocks() {
	global $dbi, $op;
	$result = sql_query("SELECT * FROM downloads_positions ORDER BY position_id", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$position_id    		= $row['position_id'];
		$result2 = sql_query("SELECT * FROM downloads_blocks WHERE position_id='".$position_id."' ORDER BY view_order", $dbi);
		$i = 1;
		while($row2 = sql_fetch_array($result2, $dbi)){
			$block_id    		= $row2['block_id'];
			sql_query("UPDATE downloads_blocks SET view_order='".$i."' WHERE block_id='".$block_id."'", $dbi);
			$i++;
		}
	}
}

/*********************************************************************************************
* Function Name:  purge_downloads_fp_cat_listing($user, $task)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Tries to reset and reorder the Frontpage Category Listing order
*********************************************************************************************/
function purge_downloads_fp_cat_listing() {
	global $dbi;
	$result = sql_query("SELECT * FROM downloads_fp_cat_lists ORDER BY fpc_order", $dbi);
	$i = 1;
	while($row = sql_fetch_array($result, $dbi)){
		$fpc_id    		= $row['fpc_id'];
		$fp_order[$fpc_id] = $i;
		$i++;
	}
	if(is_array($fp_order)){
		foreach($fp_order as $key => $val){
			sql_query("UPDATE downloads_fp_cat_lists SET fpc_order='".$val."' WHERE fpc_id='".$key."'", $dbi);
		}
	}
}

/*********************************************************************************************
* DOWNLOADS - METATAGS
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_downloads_category_metas($category_id, $what)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* browse.php has own header meta-tags settings.
* $what = 'title'		returns the meta-tag title
* $what = 'keywords'	returns the meta-tag keywords
* $what = 'description'	returns the meta-tag description
*********************************************************************************************/
function get_downloads_category_metas($category_id, $what) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT * FROM downloads_cat_desc WHERE category_id='" . $category_id . "' AND language='" . $currentlang . "'", $dbi);
	if($row = sql_fetch_array($result, $dbi)){
		$meta_title   = $row['meta_title'];
		$meta_keywords   = $row['meta_keywords'];
		$meta_description   = $row['meta_description'];
	}
	if($what=='title') { return $meta_title; }
	if($what=='keywords') { return $meta_keywords; }
	if($what=='description') { return $meta_description; }
}

/*********************************************************************************************
* Function Name:  get_downloads_articles_metas($category_id, $what)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* view_details.php has own header meta-tags settings.
* $what = 'title'		returns the meta-tag title
* $what = 'keywords'	returns the meta-tag keywords
* $what = 'description'	returns the meta-tag description
*********************************************************************************************/
function get_downloads_articles_metas($downloads_id, $what) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT * FROM downloads_art_desc WHERE downloads_id='" . $downloads_id . "' AND language='" . $currentlang . "'", $dbi);
	if($row = sql_fetch_array($result, $dbi)){
		$meta_title   = $row['meta_title'];
		$meta_keywords   = $row['meta_keywords'];
		$meta_description   = $row['meta_description'];
	}
	if($what=='title') { return $meta_title; }
	if($what=='keywords') { return $meta_keywords; }
	if($what=='description') { return $meta_description; }
}

/*********************************************************************************************
* Function Name:  get_downloads_meta_id($language)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*********************************************************************************************/
function get_downloads_meta_id($language) {
	global $dbi;
	$result = sql_query("SELECT lid FROM downloads_metatags WHERE language='" . $language . "'", $dbi);
	$row = sql_fetch_array($result, $dbi);
	return $row['lid'];
}












/*********************************************************************************************
* DONWLOADS CONTENT functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_downloads_prod_author($product_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table downloads_products
* Returns Author ID
* $product_id = the articles_id;
*********************************************************************************************/
function get_downloads_content_author($article_id) {
	global $dbi;
	if($result = sql_query("SELECT author_id FROM downloads_content_art WHERE article_id='".$article_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['author_id'];
	}
}

/*********************************************************************************************
* Function Name:  get_downloads_content_cat_name($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table downloads_content_cat_desc
* Returns Category name in Content
* $category_id = the category_id;
*********************************************************************************************/
function get_downloads_content_cat_name($category_id) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT title FROM downloads_content_cat_desc WHERE category_id='".$category_id."' AND language='".$currentlang."'", $dbi);
	$row = sql_fetch_array($result, $dbi);

	return	$row['title'];
}

/*********************************************************************************************
* Function Name:  get_store_parent_cat($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table store_products_cat
* Returns category_parent_id
* $category_id = the category_id;
*********************************************************************************************/
function get_downloads_content_parent_cat($category_id) {
	global $dbi;
	if($result = sql_query("SELECT category_parent_id FROM downloads_content_cat WHERE category_id='".$category_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['category_parent_id'];
	}
}

/*********************************************************************************************
* Function Name:  get_downloads_content_all_upper_cats($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns all upper categories ids
* $category_id = the category_id;
*********************************************************************************************/
function get_downloads_content_all_upper_cats($category_id) {
	$content .= get_downloads_content_parent_cat($category_id).' ';
	if(get_downloads_content_parent_cat($category_id)!='') {
		$content .= get_downloads_content_all_upper_cats(get_downloads_content_parent_cat($category_id)).' ';
	}
	return $content;
}

/*********************************************************************************************
* Function Name:  downloads_content_cat_admin_navigation($category_id, $downloads_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Dynamic category navegation
*********************************************************************************************/
function downloads_content_cat_admin_navigation($category_id, $downloads_id)  {
	global $op;
	if($product_id!='') {
		$cat_id = checkSomethingFromTable($table='downloads_content_art', $what='downloads_catid', $key='downloads_id', $keyvalue=$downloads_id, $langkey='', $langkeyvalue='', $sqlanswer='');
		$content = get_downloads_content_all_upper_cats($cat_id);
	} elseif(isset($category_id)) {
		$content = get_downloads_content_all_upper_cats($category_id);
	}
	$contents = '<a href="index.php?op=downloads&op2=admin&op3=admin_downloads_content_cat_view" class="textTitleSmall">'.SPECIAL_DOWNLOADS_CONTENT.'</a> ';
	$content = split(' ', $content);
	$content = array_reverse($content);
	$content = array_unique($content);
	foreach($content AS $key => $val) {
		if($val>='1'){
			$contents .= ' | <a href="index.php?op=downloads&op2=admin&op3=admin_downloads_content_cat_view&cat_parent_id='.$val.'" class="textTitleSmall">'.get_downloads_content_cat_name($val).'</a>';
		}
	}
	if($category_id!='') {
		$contents .= ' | <a href="index.php?op=downloads&op2=admin&op3=admin_downloads_content_cat_view&cat_parent_id='.$category_id.'" class="textTitleSmall">'.get_downloads_content_cat_name($category_id).'</a> ';
	}
	return $contents;
}

/*********************************************************************************************
* Function Name:  downloads_content_dropdown_menu($name, $category_id, $expected, $space, $start)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns a Drop Down menu list of the given category_id.
* $name			= the name of the INPUT field to be generated ($_POST[$name])
* $category_id	= the id of the category
* $cat_exp		= the id of the selected category
*********************************************************************************************/
function downloads_content_dropdown_menu($name, $category_id, $expected, $space, $start) {
	global $dbi, $userid;
	$start++;
	if($start=='1') { $content = '<select name="'.$name.'" >'; }
	$space .= '*';
	$result = sql_query("SELECT * FROM downloads_content_cat WHERE  category_parent_id='".$category_id."'", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		if($cat_id==$expected) { $selected = ' selected'; } else { $selected = ' '; }
		$content .= '<option value="'.$cat_id.'" '.$selected.'>'.$space.' '.get_downloads_content_cat_name($cat_id).'</option>';
		if(get_downloads_content_under_cat($cat_id)!='') {
			$start++;
			$content .= downloads_content_dropdown_menu($name, $cat_id, $expected, $space, $start);
		}
	}
	if($start=='1') { $content .= '</select>'; }
	return $content;
}

/*********************************************************************************************
* Function Name:  get_downloads_content_under_cat($category_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Returns all under categories ids on Store Content
* $category_id = the category_id;
*********************************************************************************************/
function get_downloads_content_under_cat($category_id){
	global $dbi, $currentlang;
	$result = sql_query("SELECT category_id FROM downloads_content_cat WHERE category_parent_id='".$category_id."' AND category_parent_id!='0' AND category_status='1' ", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$cat_id   = $row['category_id'];
		$content .= ''.$cat_id.',';
	}
	return $content;
}


























?>