###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_art'
## 

DROP TABLE IF EXISTS `downloads_art`;
CREATE TABLE downloads_art (
  downloads_id int(10) NOT NULL auto_increment,
  downloads_catid int(10) NOT NULL default '0',
  downloads_catid_related text NOT NULL,
  viewer_group int(10) NOT NULL default '0',
  targeted_user int(10) NOT NULL default '0',
  downloads_status int(1) default NULL,
  author_id int(9) NOT NULL default '0',
  creation varchar(32) NOT NULL default '',
  downloads_object varchar(128) NOT NULL default '',
  is_default int(1) NOT NULL default '0',
  viewed int(12) NOT NULL default '0',
  hits_download int(8) NOT NULL,
  comments int(1) NOT NULL,
  PRIMARY KEY  (downloads_id),
  KEY downloads_catid (downloads_catid),
  KEY viewer_group (viewer_group),
  KEY targeted_user (targeted_user),
  KEY downloads_status (downloads_status),
  KEY author_id (author_id),
  KEY is_default (is_default),
  KEY comments (comments)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'downloads_art'
## 

INSERT INTO downloads_art VALUES(1214968922, 1214968142, '', 0, 0, 1, 1, '2008.07.2 05:22:02', 'ravi shankar - discovery of india.mp3', 1, 3, 3, 0);
INSERT INTO downloads_art VALUES(1214970813, 1214970326, '', 0, 0, 1, 1, '2008.07.2 05:53:33', 'stovsvamp07.mpg', 0, 1, 2, 0);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_art_desc'
## 

DROP TABLE IF EXISTS `downloads_art_desc`;
CREATE TABLE downloads_art_desc (
  downloads_id int(20) NOT NULL default '0',
  `language` varchar(20) NOT NULL default 'german',
  title text NOT NULL,
  downloads_description_1 text NOT NULL,
  downloads_description_2 text NOT NULL,
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  seo_link varchar(128) NOT NULL,
  custom_title varchar(128) NOT NULL,
  PRIMARY KEY  (downloads_id,`language`),
  KEY seo_link (seo_link),
  KEY custom_title (custom_title)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'downloads_art_desc'
## 

INSERT INTO downloads_art_desc VALUES(1214968922, 'mexican', 'ravi shankar - discovery of india.mp3', '<p>Uno de los musicos de mas influencia munidal del siglo XX. Ravi Shankar. Que mas puedo decir?</p>', '<p>Uno de los musicos de mas influencia munidal del siglo XX.</p>\r\n<p><strong>\r\n<h3>Ravi Shankar.</h3>\r\n</strong></p>\r\n<p>Que mas puedo decir?</p>\r\n<p>Descargalo, escuchalo, conecta tu P2P faborito, descarga todo lo que quieras! Que viva el Open Source!</p>', 'ravi shankar - discovery of india', 'ravi shankar ,discovery of india,sitar,india,lsd,meditation,trance,tequila,xomol,download,mp3,musik,', 'Uno de los musicos de mas influencia munidal del siglo XX. Ravi Shankar. Que mas puedo decir?', 'ravi_shankar_-_discovery_of_india.mp3.html', 'ravi shankar - discovery of india.mp3');
INSERT INTO downloads_art_desc VALUES(1214968922, 'english', 'ravi shankar - discovery of india.mp3', '<p>One of the most influencial Artist of the XX century. Ravi Shankar. Is there anything else i need to say?</p>', '<p>One of the most influencial Artist of the XX century.</p>\r\n<p><strong>Ravi Shankar.</strong></p>\r\n<p>Is there anything else i need to say?</p>\r\n<p>Download it. Lisent to it, connect your faborite P2P client, download everything you want, share it.</p>\r\n<p>Let the spirit of open source free!</p>', 'ravi shankar - discovery of india', 'ravi shankar ,discovery of india,sitar,india,lsd,meditation,trance,tequila,xomol,download,mp3,musik,', 'One of the most influencial Artist of the XX century. Ravi Shankar. Is there anything else i need to say?', 'ravi_shankar_-_discovery_of_india.mp3.html', 'ravi shankar - discovery of india.mp3');
INSERT INTO downloads_art_desc VALUES(1214968922, 'german', 'ravi shankar - discovery of india.mp3', '', '', 'ravi shankar - discovery of india', 'ravi shankar ,discovery of india,sitar,india,lsd,meditation,trance,tequila,xomol,download,mp3,musik,', '', 'ravi_shankar_-_discovery_of_india.mp3.html', 'ravi shankar - discovery of india.mp3');
INSERT INTO downloads_art_desc VALUES(1214970813, 'mexican', 'Santo contra las Vampiras -B movies-', '<p>Tratandose de peliculas malas, las del Santo. Son tan malas que no puedes dejar de verlas.</p>', '<p>Tratandose de peliculas malas, las del Santo. Son tan malas que no puedes dejar de verlas.</p>', 'Santo VS die Vampier Girls - b movies -', 'santo vs die vampier girls,b movies,xomol,downloads,cinema,filme,mpg,multimedia,dvd,mexikanische filme,wrestling,open source,', 'Eine der schlechteste Filme alle Zeiten. El Santo vs las vampiras (Santo vs die Vampiermedchen). B Movie gross geschrieben...', 'Santo_contra_las_Vampiras_-B_movies-.html', 'Santo contra las Vampiras');
INSERT INTO downloads_art_desc VALUES(1214970813, 'english', 'Santo VS the Vampire Women', '<p>Talking about B Movies. El Santo vs the vampire woman. One of the worst movies of the world.</p>', '<p>Talking about B Movies. El Santo vs the vampire woman. One of the worst movies of the world.</p>', 'Santo VS die Vampier Girls - b movies -', 'santo vs die vampier girls,b movies,xomol,downloads,cinema,filme,mpg,multimedia,dvd,mexikanische filme,wrestling,open source,', 'Eine der schlechteste Filme alle Zeiten. El Santo vs las vampiras (Santo vs die Vampiermedchen). B Movie gross geschrieben...', 'Santo_VS_the_Vampire_Women.html', 'Santo VS the Vampire Women');
INSERT INTO downloads_art_desc VALUES(1214970813, 'german', 'Santo VS die Vampier Medchen', '<p>Eine der schlechteste Filme alle Zeiten. El Santo vs las vampiras (Santo vs die Vampiermedchen). B Movie gross geschrieben...</p>', '<p>Eine der schlechteste Filme alle Zeiten. El Santo vs las vampiras (Santo vs die Vampiermedchen). B Movie gross geschrieben...</p>', 'Santo VS die Vampier Girls - b movies -', 'santo vs die vampier girls,b movies,xomol,downloads,cinema,filme,mpg,multimedia,dvd,mexikanische filme,wrestling,open source,', 'Eine der schlechteste Filme alle Zeiten. El Santo vs las vampiras (Santo vs die Vampiermedchen). B Movie gross geschrieben...', '', 'Santo VS die Vampier Medchen');

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_blocks'
## 

DROP TABLE IF EXISTS `downloads_blocks`;
CREATE TABLE downloads_blocks (
  block_id int(3) NOT NULL auto_increment,
  position_id int(3) NOT NULL default '0',
  module_name varchar(64) NOT NULL default '0',
  block_title varchar(64) NOT NULL,
  block_status varchar(32) NOT NULL default '',
  undeletable int(1) NOT NULL default '0',
  view_order int(3) NOT NULL default '1',
  PRIMARY KEY  (block_id,position_id,block_title),
  UNIQUE KEY position_id (position_id,block_title),
  KEY module_name (module_name)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'downloads_blocks'
## 

INSERT INTO downloads_blocks VALUES(9, 3, 'content', 'frontpage_list_latest_news', '1', 0, 1);
INSERT INTO downloads_blocks VALUES(21, 1, 'content', 'Content_frontpage', '1', 0, 1);
INSERT INTO downloads_blocks VALUES(17, 4, 'content', 'frontpage_cat_listing', '1', 0, 1);
INSERT INTO downloads_blocks VALUES(22, 2, 'content', 'frontpage', '1', 0, 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_cat'
## 

DROP TABLE IF EXISTS downloads_cat;
CREATE TABLE downloads_cat (
  category_id int(20) NOT NULL default '0',
  category_status int(1) default NULL,
  category_parent_id int(10) NOT NULL default '0',
  view_order int(3) NOT NULL default '1',
  cat_image varchar(64) NOT NULL default '',
  secondary_menu int(1) NOT NULL default '0',
  history text NOT NULL,
  comments int(1) NOT NULL,
  PRIMARY KEY  (category_id),
  KEY category_status (category_status),
  KEY category_parent_id (category_parent_id),
  KEY comments (comments)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

## 
## Daten fr Tabelle 'downloads_cat'
## 

INSERT INTO downloads_cat VALUES(1214970326, 1, 0, 2, '', 0, '', 1);
INSERT INTO downloads_cat VALUES(1214968142, 1, 0, 1, 'mezcla.gif', 0, '', 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_cat_desc'
## 

DROP TABLE IF EXISTS `downloads_cat_desc`;
CREATE TABLE downloads_cat_desc (
  category_id int(20) NOT NULL default '0',
  `language` varchar(20) NOT NULL default 'german',
  title varchar(124) NOT NULL default '',
  description text NOT NULL,
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  seo_link varchar(128) NOT NULL,
  PRIMARY KEY  (category_id,`language`),
  KEY seo_link (seo_link)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'downloads_cat_desc'
## 

INSERT INTO downloads_cat_desc VALUES(1214968142, 'mexican', 'Sonidos', '<p>Estos son unso sonidos para bajar. Mp3 gratis!</p>', 'Sonidos', 'downloads,mp3,xomol cms,gestor de contenido,tienda virtual,musica,sonidos,videos,documentos,programas,pdf,archivos,', 'Estos son unso sonidos para bajar. Mp3 gratis!', 'Sonidos.html');
INSERT INTO downloads_cat_desc VALUES(1214968142, 'english', 'Sounds', '<p>Here are some sounds to Download. Mp3 for free!</p>', 'Sounds', 'xomol cms,downloads,mp3,music,virtual store,content manager system,sounds,videos,documents,programs,pdf,files,', 'Here are some sounds to Download. Mp3 for free!', 'Sounds.html');
INSERT INTO downloads_cat_desc VALUES(1214968142, 'german', 'Sounds', '<p>Hier sind ein par Sounds. Mp3 gratis!</p>', 'Sounds', 'xomol cms,downloads,mp3,musik,virtuele einkaufszenter,content manager,sounds,videos,dokumente,programme,pdf,dateien,', 'Hier sind ein par Sounds. Mp3 gratis!', 'Sounds.html');
INSERT INTO downloads_cat_desc VALUES(1214970326, 'mexican', 'Videos', '', 'Videos Xomol para descargar', 'descargas,downloads,xomol cms,santo,videos,animaciones,peliculas,mpg,avi,dvd,multimedia,gratis,', '', 'Videos.html');
INSERT INTO downloads_cat_desc VALUES(1214970326, 'english', 'Videos', '', 'Xomol Videos for Download', 'downloads,xomol cms,santo,videos,movies,films,mpg,avi,dvd,multimedia,gratis,open source,', '', 'Videos.html');
INSERT INTO downloads_cat_desc VALUES(1214970326, 'german', 'Videos', '', 'Xomol Videos zum Downloaden', 'downloads,runterladen,santo,videos,filme,cinema,dvd,avi,mpg,multimedia,gratis,open source,', '', 'Videos.html');

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_configure'
## 

DROP TABLE IF EXISTS `downloads_configure`;
CREATE TABLE downloads_configure (
  config_id int(6) NOT NULL auto_increment,
  module_name varchar(64) NOT NULL default '',
  config_type varchar(64) NOT NULL default '0',
  config_title varchar(64) NOT NULL default '',
  config_description text NOT NULL,
  config_key varchar(128) NOT NULL default '',
  config_value varchar(128) NOT NULL default '',
  undeletable int(1) NOT NULL default '0',
  PRIMARY KEY  (config_id,config_key),
  KEY module_name (module_name),
  KEY config_type (config_type),
  KEY config_title (config_title),
  KEY config_value (config_value),
  KEY undeletable (undeletable)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'downloads_configure'
## 

INSERT INTO downloads_configure VALUES(2, 'downloads', 'Front Page', 'View Modus', '', 'FP_VIEW_MODUS', '1', 1);
INSERT INTO downloads_configure VALUES(3, 'downloads', 'Front Page', 'Num of Random Articles', '', 'RANDOM_ART_NUM', '5', 1);
INSERT INTO downloads_configure VALUES(9, 'downloads', 'Front Page', 'Num of Cols on Cat. listings', '', 'FP_NUM_COLS', '5', 1);
INSERT INTO downloads_configure VALUES(10, 'downloads', 'Article Details', 'Show Autor', '', 'SHOW_AUTHOR', '0', 1);
INSERT INTO downloads_configure VALUES(11, 'downloads', 'Article Details', 'Show Date', '', 'SHOW_DATE', '0', 1);
INSERT INTO downloads_configure VALUES(12, 'downloads', 'Article Listing', 'Max Search Results', '', 'MAX_SRCH_RES', '5', 1);
INSERT INTO downloads_configure VALUES(13, 'downloads', 'Browse', 'Show Category Title', '', 'SHOW_CAT_TITLE', '1', 1);
INSERT INTO downloads_configure VALUES(14, 'downloads', 'Browse', 'Show Category Desc', '', 'SHOW_CAT_DESC', '1', 1);
INSERT INTO downloads_configure VALUES(15, 'downloads', 'Browse', 'Show Sub Cats', '', 'SHOW_SUBCATS', '1', 1);
INSERT INTO downloads_configure VALUES(16, 'downloads', 'Browse', 'Show default Cat News', '', 'SHOW_DEF_CAT_NEWS', '1', 1);
INSERT INTO downloads_configure VALUES(17, 'downloads', 'Pictures Upload', 'Maximal Size Cat Image', '', 'MAX_CAT_SIZE', '250', 1);
INSERT INTO downloads_configure VALUES(18, 'downloads', 'Downloads Upload', 'Max Filesize in KB', '', 'MFILEUPLOAD_MAXK', '200000', 1);
INSERT INTO downloads_configure VALUES(19, 'downloads', 'Downloads Upload', 'Allowed Downloads MIME types', '', 'OK_MMIME_TYPES', 'mp3 mpg mp3 mpeg avi wmv wav wma doc xls sql txt zip tar gz exe', 1);
INSERT INTO downloads_configure VALUES(20, 'downloads', 'Pictures Upload', 'Max Filesize in KB', '', 'FILEUPLOAD_MAXK', '5000', 1);
INSERT INTO downloads_configure VALUES(24, 'downloads', 'Pictures Upload', 'Max category image Height', '', 'MAX_CAT_IMAGE_HEIGHT', '80', 1);
INSERT INTO downloads_configure VALUES(25, 'downloads', 'Pictures Upload', 'Max category image width', '', 'MAX_CAT_IMAGE_WIDTH', '100', 1);
INSERT INTO downloads_configure VALUES(1, 'downloads', 'Main Config', 'View Modus', '', 'CONTENT_VIEW_MOD', '2', 1);
INSERT INTO downloads_configure VALUES(26, 'downloads', 'Pictures Upload', 'Max article image width', '', 'MAX_ART_IMAGE_WIDTH', '200', 1);
INSERT INTO downloads_configure VALUES(27, 'downloads', 'Pictures Upload', 'Max article image height', '', 'MAX_ART_IMAGE_HEIGHT', '200', 1);
INSERT INTO downloads_configure VALUES(28, 'downloads', 'Pictures Upload', 'Allowed MIME types', '', 'OK_MIME_TYPES', 'jpeg jpeg jpg gif png', 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_content_art'
## 

DROP TABLE IF EXISTS downloads_content_art;
CREATE TABLE downloads_content_art (
  article_id bigint(20) NOT NULL auto_increment,
  article_catid int(10) NOT NULL default '0',
  article_catid_related text NOT NULL,
  viewer_group int(10) NOT NULL default '0',
  targeted_user int(10) NOT NULL default '0',
  article_status int(1) default NULL,
  author_id int(9) NOT NULL default '0',
  creation varchar(32) NOT NULL default '',
  updates text NOT NULL,
  is_default int(1) NOT NULL default '0',
  viewed int(12) NOT NULL default '0',
  comments int(1) NOT NULL,
  PRIMARY KEY  (article_id),
  KEY article_catid (article_catid,viewer_group,targeted_user,article_status,author_id,creation,is_default,comments)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

## 
## Daten fr Tabelle 'downloads_content_art'
## 

INSERT INTO downloads_content_art VALUES(1196163134, 1196160655, '', 0, 0, 1, 1, '2007.11.27 5:32:14', '', 0, 0, 0);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_content_art_desc'
## 

DROP TABLE IF EXISTS `downloads_content_art_desc`;
CREATE TABLE downloads_content_art_desc (
  article_id int(20) NOT NULL default '0',
  `language` varchar(20) NOT NULL default 'german',
  title text NOT NULL,
  article_description_1 text NOT NULL,
  article_description_2 text NOT NULL,
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  seo_link varchar(128) NOT NULL,
  PRIMARY KEY  (article_id,`language`),
  KEY seo_link (seo_link)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'downloads_content_art_desc'
## 

INSERT INTO downloads_content_art_desc VALUES(1196163134, 'mexican', 'Xomol CMS - Descarga Codigo Libre', '<p>Xomol CMS es un programa que te ayudara crear y administrar tu website en minutos.</p>\r\n<p>Aprovecha las ventajas de manejar tus datos por base de datos. Facil, interactivo, inteligente!</p>\r\n<p>Xomol contine diversos modulos. Modulo de Contenido, Tienda virtual, Descargas, Recomiendanos, Formulario para contacto, formaulario para recomendaciones. Multilingue, Multidivisa, Con categorias, subcategorias y articulos/productos ilimitados. Metatags manager, CSS Administrador,&nbsp; FCK Editor y mucho mucho mas...</p>', '<p>Xomol CMS es un programa que te ayudara crear y administrar tu website en minutos.</p>\r\n<p>Aprovecha las ventajas de manejar tus datos por base de datos. Facil, interactivo, inteligente!</p>\r\n<p>Xomol contine diversos modulos. Modulo de Contenido, Tienda virtual, Descargas, Recomiendanos, Formulario para contacto, formaulario para recomendaciones. Multilingue, Multidivisa, Con categorias, subcategorias y articulos/productos ilimitados. Metatags manager, CSS Administrador, FCK Editor y mucho mucho mas...</p>', 'Xomol CMS - Descarga Codigo Libre', 'xomol,cms,content manager,php,descargas,nahual,mexico, downloads,open source,software libre,fckeditor,download,', 'Xomol CMS es un programa que te ayudara crear y administrar tu website en minutos.\r\n\r\nAprovecha las ventajas de manejar tus datos por base de datos. Facil, interactivo, inteligente!\r\n\r\nXomol contine diversos modulos. Modulo de Contenido, Tienda virtu', 'Xomol_CMS_-_Descarga_Codigo_Libre.html');
INSERT INTO downloads_content_art_desc VALUES(1196163134, 'english', 'Xomol CMS - Download Open Source', '<p>Xomol CMS is an open source project. A program that will help you to setup and manage your professional website in just minutes.</p>\r\n<p>Take the advantage controlling a Database driven website. It''s easy, interactive and dynamic!</p>\r\n<p>Xomol CMS is a bundle of the most important modules you need to power your website like a pro. Content Manager, Virtual Store, Downloads, Contact form, Tell a friend. It''s Multilingual and supports almost all currencies of the world. Unlimited Categories and Subcategories and Products/articles. CSS Administrator, Metatags manager, Search engine friendly urls, FCK Editor and more...</p>', '<p>Xomol CMS is an open source project. A program that will help you to setup and manage your professional website in just minutes.</p>\r\n<p>Take the advantage controlling a Database driven website. It''s easy, interactive and dynamic!</p>\r\n<p>Xomol CMS is a bundle of the most important modules you need to power your website like a pro. Content Manager, Virtual Store, Downloads, Contact form, Tell a friend. It''s Multilingual and supports almost all currencies of the world. Unlimited Categories and Subcategories and Products/articles. CSS Administrator, Metatags manager, Search engine friendly urls, FCK Editor and more...</p>', 'Xomol CMS - Download Open Source', 'xomol,cms,content manager,php,downloads,open source,scripts,websites,download,free software,virtual store,ecommerce,', 'Xomol CMS is an open source project. A program that will help you to setup and manage your profesional website in just minutes.\r\n\r\nTake the advantage controling a Database driven website. It''s easy, interactive and dynamic!\r\n\r\nXomol CMS is a bundle ', 'Xomol_CMS_-_Download_Open_Source.html');
INSERT INTO downloads_content_art_desc VALUES(1196163134, 'german', 'Xomol CMS - Download Open Source', '<p>Xomol CMS ist ein Open Source Projekt. Ein Programm, das dir helfen wird eine professionelle Website zu verwalten.</p>\r\n<p>Einfach, interaktiv, dynamisch und intelligent.</p>\r\n<p>Xomol CMS besteht aus einer Gruppe von Modulen. Im Prinzip, alles was du brauchst f&uuml;r eine<em> Website, einen Virtuellen Laden</em>, <em>Downloads </em>und <em>Kontaktformulare </em>sowie <em>Weiterempfehlen </em>Module. Xomol ist mehrsprachf&auml;hig und kann fast alle W&auml;rungen der Welt verwalten. CSS Administrator, Metatags Manager,&nbsp;Suchmaschine, friendly urls, FCK Editor und mehr...</p>', '<p>Xomol CMS ist ein Open Source Projekt. Ein Programm, das dir helfen wird eine professionelle Website zu verwalten.</p>\r\n<p>Einfach, interaktiv, dynamisch und intelligent.</p>\r\n<p>Xomol CMS besteht aus einer Gruppe von Modulen. Im Prinzip, alles was du brauchst f&uuml;r eine<em> Website, einen Virtuellen Laden</em>, <em>Downloads </em>und <em>Kontaktformulare </em>sowie <em>Weiterempfehlen </em>Module. Xomol ist mehrsprachf&auml;hig und kann fast alle W&auml;rungen der Welt verwalten. CSS Administrator, Metatags Manager,&nbsp;Suchmaschine, friendly urls, FCK Editor und mehr...</p>', 'Xomol CMS - Download Open Source', 'xomol,cms,content manager,php,downloads,open source,scripts,websites,runterladen,freie software,virtuele lade,ecommerce,', 'Xomol CMS ist ein Open Source Projekt. Ein Programm das dir helfen wird eine profesionele Website zu verwalten.\r\n\r\nEinfach, interactiv, dinamisch und intelligent.\r\n\r\nXomol CMS bestet aus einen grupe von Module. Im prinzip, alles was du brauchst um ei', 'Xomol_CMS_-_Download_Open_Source.html');

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_content_cat'
## 

DROP TABLE IF EXISTS downloads_content_cat;
CREATE TABLE downloads_content_cat (
  category_id int(20) NOT NULL default '0',
  category_status int(1) default NULL,
  category_parent_id int(10) NOT NULL default '0',
  view_order int(3) NOT NULL default '1',
  cat_image varchar(64) NOT NULL default '',
  secondary_menu int(1) NOT NULL default '0',
  comments int(1) NOT NULL,
  PRIMARY KEY  (category_id),
  KEY category_status (category_status,category_parent_id),
  KEY comments (comments)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

## 
## Daten fr Tabelle 'downloads_content_cat'
## 

INSERT INTO downloads_content_cat VALUES(1196160655, 1, 0, 1, '', 0, 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_content_cat_desc'
## 

DROP TABLE IF EXISTS `downloads_content_cat_desc`;
CREATE TABLE downloads_content_cat_desc (
  category_id int(20) NOT NULL default '0',
  `language` varchar(20) NOT NULL default 'german',
  title varchar(124) NOT NULL default '',
  description text NOT NULL,
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  seo_link varchar(128) NOT NULL,
  PRIMARY KEY  (category_id,`language`),
  KEY seo_link (seo_link)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'downloads_content_cat_desc'
## 

INSERT INTO downloads_content_cat_desc VALUES(1196160655, 'mexican', 'Mensajes', '<p>Mensajes de Downloads</p>', 'Mensajes de downloads', 'xomol,mensajes,download,scripts,descargas,cms,websites,open source,software libre,gnu,commercio electronico,sayula,', 'mensajes de xomol downloads', 'Mensajes.html');
INSERT INTO downloads_content_cat_desc VALUES(1196160655, 'english', 'Messages', '<p>Messages from Downloads</p>', 'Messages from Downloads', 'xomol,messages,download,scripts,downloads,cms,ecommerce,websites,download ,free software,gnu,open source,', 'messages from xomol downloads', 'Messages.html');
INSERT INTO downloads_content_cat_desc VALUES(1196160655, 'german', 'Mitteilungen', '<p>Mitteilungen vom Downloads</p>', 'HOI', 'xomol,messages,downoad,david guttmann,scripts,cms,ecommerce,websites,download,freie software,gnu,open source,', 'Mitteilungen vom Xomol Downloads.', 'Mitteilungen.html');

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_content_frontpages'
## 

DROP TABLE IF EXISTS `downloads_content_frontpages`;
CREATE TABLE downloads_content_frontpages (
  frontpage_id int(12) NOT NULL auto_increment,
  article_id int(12) NOT NULL default '0',
  creation varchar(16) NOT NULL default '',
  author_id int(12) NOT NULL default '0',
  frontpage_status int(1) NOT NULL default '0',
  random int(1) NOT NULL default '0',
  is_default int(1) NOT NULL default '0',
  viewer_group int(2) NOT NULL default '0',
  PRIMARY KEY  (frontpage_id),
  KEY article_id (article_id,creation,author_id,frontpage_status,random,is_default)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'downloads_content_frontpages'
## 

INSERT INTO downloads_content_frontpages VALUES(1196164410, 1196163134, '2007.11.27 05:53', 1, 1, 1, 1, 0);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_fp_cat_lists'
## 

DROP TABLE IF EXISTS `downloads_fp_cat_lists`;
CREATE TABLE downloads_fp_cat_lists (
  fpc_id int(12) NOT NULL auto_increment,
  category_id int(12) NOT NULL default '0',
  creation varchar(16) NOT NULL default '',
  author_id int(12) NOT NULL default '0',
  active int(1) NOT NULL default '0',
  fpc_order int(1) NOT NULL default '1',
  PRIMARY KEY  (fpc_id),
  KEY downloads_id (category_id,creation,author_id,active)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'downloads_fp_cat_lists'
## 


###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_frontpages'
## 

DROP TABLE IF EXISTS `downloads_frontpages`;
CREATE TABLE downloads_frontpages (
  frontpage_id int(12) NOT NULL auto_increment,
  downloads_id int(12) NOT NULL default '0',
  creation varchar(16) NOT NULL default '',
  author_id int(12) NOT NULL default '0',
  active int(1) NOT NULL default '0',
  random int(1) NOT NULL default '0',
  is_default int(1) NOT NULL default '0',
  viewer_group int(10) NOT NULL default '0',
  PRIMARY KEY  (frontpage_id),
  KEY downloads_id (downloads_id,creation,author_id,active,random)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'downloads_frontpages'
## 


###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_metatags'
## 

DROP TABLE IF EXISTS `downloads_metatags`;
CREATE TABLE downloads_metatags (
  lid int(3) NOT NULL auto_increment,
  `language` varchar(20) NOT NULL default 'german',
  title text NOT NULL,
  keywords text NOT NULL,
  description text NOT NULL,
  PRIMARY KEY  (lid),
  KEY `language` (`language`)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'downloads_metatags'
## 

INSERT INTO downloads_metatags VALUES(1, 'english', 'Xomol Downloads - Music, Videos, Books, download Xomol CMS', 'Xomol CMS,downloads,ecommerce,content manager,virtual store,free software,Music,Videos,Books,open source,scripts,seo', 'Xomol.Net - Downloads - Looking for the latest version of Xomol CMS? scripts? music? Videos? Books? Here are some Downloads. Open Source Support freedom of Data Transfer.');
INSERT INTO downloads_metatags VALUES(2, 'german', 'Xomol Downloads - Musik, Videos, Bcher, download Xomol CMS', 'Xomol CMS,downloads,freie software,content manager,virtuele einkaufszenter,virtuele lade,Musik,Videos,Bcher,scripts,ecommerce,Software', 'Xomol Downloads - Suchst Du Scripts? Musik? Videos? Bcher? Hier findest du was zum downloaden. Alles gratis, alles Open Source. Xomol.net');
INSERT INTO downloads_metatags VALUES(3, 'mexican', 'Downloads (descargas) Musica, Videos, libros, download Xomol CMS', 'xomol cms,downloads,descargar,gestor de contenido,tienda virtual,php,lamp,linux,scripts,libros,musica,software gratis', 'Xomol.Net - Downloads - Buscas a la ultima verson de Xomol CMS? scripts, musica? Videos? Libros? Vicita y descarga nuestros archivos. Todo gratis, todo Open Source.');

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_positions'
## 

DROP TABLE IF EXISTS `downloads_positions`;
CREATE TABLE downloads_positions (
  position_id int(3) NOT NULL auto_increment,
  position_key varchar(32) NOT NULL default '',
  position_title varchar(32) NOT NULL default '',
  position_status int(1) NOT NULL default '0',
  udeleteable int(1) NOT NULL default '0',
  PRIMARY KEY  (position_id),
  KEY position_status (position_status),
  KEY position_key (position_key)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'downloads_positions'
## 

INSERT INTO downloads_positions VALUES(1, 'FP_MAIN_1', 'Frontpage Main', 1, 1);
INSERT INTO downloads_positions VALUES(2, 'FP_MAIN_2', 'Position 2', 1, 1);
INSERT INTO downloads_positions VALUES(3, 'FP_MAIN_3', 'Position 3', 1, 1);
INSERT INTO downloads_positions VALUES(4, 'FP_MAIN_4', 'Position 4', 1, 1);
INSERT INTO downloads_positions VALUES(5, 'FPC_MAIN_1', 'Categories Main', 1, 1);
INSERT INTO downloads_positions VALUES(6, 'FPC_MAIN_2', 'Categories Position 2', 1, 1);
INSERT INTO downloads_positions VALUES(7, 'FPC_MAIN_3', 'Categories Position 3', 1, 1);
INSERT INTO downloads_positions VALUES(8, 'FPC_MAIN_4', 'Categories Position 4', 1, 1);
INSERT INTO downloads_positions VALUES(9, '', 'adsf', 0, 0);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_user_rights'
## 

DROP TABLE IF EXISTS `downloads_user_rights`;
CREATE TABLE downloads_user_rights (
  rights_id int(10) NOT NULL auto_increment,
  title varchar(64) NOT NULL,
  description varchar(128) NOT NULL,
  elemental int(1) NOT NULL,
  PRIMARY KEY  (title),
  KEY task_id (rights_id,elemental)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'downloads_user_rights'
## 

INSERT INTO downloads_user_rights VALUES(100, 'ASYSTEM_ACCESS', 'Access Downloads Admin Panel', 1);
INSERT INTO downloads_user_rights VALUES(110, 'A_CONFIGURE_ACCESS', 'Access Configuration Administration', 1);
INSERT INTO downloads_user_rights VALUES(111, 'A_CONFIGURE_ADD', 'Add a new configuration key', 1);
INSERT INTO downloads_user_rights VALUES(112, 'A_CONFIGURE_EDIT', 'Edit configuration key', 1);
INSERT INTO downloads_user_rights VALUES(113, 'A_CONFIGURE_DELETE', 'Delete configuration key', 1);
INSERT INTO downloads_user_rights VALUES(130, 'A_METAS_ACCESS', 'Access Metatags Administration', 1);
INSERT INTO downloads_user_rights VALUES(131, 'A_METAS_EDIT', 'Edit main -Downloads- header metatags', 1);
INSERT INTO downloads_user_rights VALUES(140, 'A_MODULES_ACCESS', 'Access Modules Administration', 1);
INSERT INTO downloads_user_rights VALUES(141, 'A_MODULES_EDIT', 'Edit -Downloads- modules', 1);
INSERT INTO downloads_user_rights VALUES(150, 'A_POSITIONS_ACCESS', 'Access Positions Administration', 1);
INSERT INTO downloads_user_rights VALUES(151, 'A_POSITIONS_BLOCK_ADD', 'Add a new Block on a position', 1);
INSERT INTO downloads_user_rights VALUES(152, 'A_POSITIONS_BLOCK_EDIT', 'Edit Block on a position', 1);
INSERT INTO downloads_user_rights VALUES(153, 'A_POSITIONS_BLOCK_DEL', 'Delete Block', 1);
INSERT INTO downloads_user_rights VALUES(154, 'A_POSITIONS_POS_ADD', 'Add a new Position', 1);
INSERT INTO downloads_user_rights VALUES(155, 'A_POSITIONS_POS_EDIT', 'Edit Position', 1);
INSERT INTO downloads_user_rights VALUES(156, 'A_POSITIONS_POS_DEL', 'Delete Position', 1);
INSERT INTO downloads_user_rights VALUES(160, 'A_USER_DETAILS_ACCESS', 'Access User Details', 1);
INSERT INTO downloads_user_rights VALUES(161, 'A_USER_RIGHTS_ACCESS', 'Access User Rights', 1);
INSERT INTO downloads_user_rights VALUES(162, 'A_USER_RIGHTS_TASK_ADD', 'Add User Rights', 1);
INSERT INTO downloads_user_rights VALUES(163, 'A_USER_RIGHTS_TASK_EDIT_SAME', 'Edit User Rights for same/higher Group ', 1);
INSERT INTO downloads_user_rights VALUES(164, 'A_USER_RIGHTS_TASK_EDIT_LOW', 'Edit User Rights for same/lower Group ', 1);
INSERT INTO downloads_user_rights VALUES(166, 'A_USER_RIGHTS_TASK2GROUP', 'Edit User Rights (Same UserGroup)', 1);
INSERT INTO downloads_user_rights VALUES(169, 'A_USER_RIGHTS_TASK_VIEW', 'View User Rights tasks', 1);
INSERT INTO downloads_user_rights VALUES(165, 'A_USER_RIGHTS_TASK_OVER', 'Override all User Rights from Groups', 1);
INSERT INTO downloads_user_rights VALUES(167, 'A_USER_RIGHTS_SAME', 'Edit User Rights for same/higher Group', 1);
INSERT INTO downloads_user_rights VALUES(168, 'A_USER_RIGHTS_LOW', 'Edit User Rights for same/lower Group ', 1);
INSERT INTO downloads_user_rights VALUES(170, 'CONTENT_ADMIN_ACCESS', 'Access Store Content', 1);
INSERT INTO downloads_user_rights VALUES(171, 'CONTENT_ART_ADD', 'Add an article in Downloads/Content', 1);
INSERT INTO downloads_user_rights VALUES(172, 'CONTENT_ART_ADD_TARGETED', 'Add an article in Downloads/Content to an exclusive user', 1);
INSERT INTO downloads_user_rights VALUES(173, 'CONTENT_ART_EDIT', 'Edit content articles', 1);
INSERT INTO downloads_user_rights VALUES(174, 'CONTENT_ART_DEL', 'Delete content articles', 1);
INSERT INTO downloads_user_rights VALUES(175, 'CONTENT_CAT_ADD', 'Add content categories', 1);
INSERT INTO downloads_user_rights VALUES(176, 'CONTENT_CAT_EDIT', 'Edit content categories', 1);
INSERT INTO downloads_user_rights VALUES(177, 'CONTENT_CAT_DEL', 'Delete content categories', 1);
INSERT INTO downloads_user_rights VALUES(202, 'DOWNLOADS_ADMIN_ACCESS', 'Access Category & Downloads Administration', 1);
INSERT INTO downloads_user_rights VALUES(203, 'DOWNLOADS_ART_ADD_OWN', 'Add download (with own user id)', 1);
INSERT INTO downloads_user_rights VALUES(204, 'DOWNLOADS_ART_ADD_OTHERS', 'Add download (to other user ids)', 1);
INSERT INTO downloads_user_rights VALUES(205, 'DOWNLOADS_ART_ADD_OTHERS_SAME', 'Add download to users on the same group', 1);
INSERT INTO downloads_user_rights VALUES(206, 'DOWNLOADS_ART_ADD_OTHERS_LOW', 'Add download to subusers', 1);
INSERT INTO downloads_user_rights VALUES(207, 'DOWNLOADS_ART_ADD_TARG_USER', 'Add a download exclusivly to a user', 1);
INSERT INTO downloads_user_rights VALUES(208, 'DOWNLOADS_ART_ADD_TARG_GROUP', 'Add a download exclusivly to a group', 1);
INSERT INTO downloads_user_rights VALUES(209, 'DOWNLOADS_ART_EDIT_OWN', 'Edit download (with own user id)', 1);
INSERT INTO downloads_user_rights VALUES(300, 'DOWNLOADS_ART_EDIT_OTHERS', 'Edit download (to other user ids)', 1);
INSERT INTO downloads_user_rights VALUES(301, 'DOWNLOADS_ART_EDIT_OTHERS_SAME', 'Edit download to users on the same group', 1);
INSERT INTO downloads_user_rights VALUES(302, 'DOWNLOADS_ART_EDIT_OTHERS_LOW', 'Edit download to subusers', 1);
INSERT INTO downloads_user_rights VALUES(303, 'DOWNLOADS_ART_DEL_OWN', 'Delete download (with own user id)', 1);
INSERT INTO downloads_user_rights VALUES(304, 'DOWNLOADS_ART_DEL_OTHERS', 'Delete download (to other user ids)', 1);
INSERT INTO downloads_user_rights VALUES(305, 'DOWNLOADS_ART_DEL_OTHERS_SAME', 'Delete download to users on the same group', 1);
INSERT INTO downloads_user_rights VALUES(306, 'DOWNLOADS_ART_DEL_OTHERS_LOW', 'Delete download to subusers', 1);
INSERT INTO downloads_user_rights VALUES(307, 'DOWNLOADS_CAT_ADD_OWN', 'Add category (with own user id)', 1);
INSERT INTO downloads_user_rights VALUES(308, 'DOWNLOADS_CAT_ADD_OTHERS', 'Add category (to other user ids)', 1);
INSERT INTO downloads_user_rights VALUES(309, 'DOWNLOADS_CAT_ADD_OTHERS_SAME', 'Add category to users on the same group', 1);
INSERT INTO downloads_user_rights VALUES(400, 'DOWNLOADS_CAT_ADD_OTHERS_LOW', 'Add category to subusers', 1);
INSERT INTO downloads_user_rights VALUES(401, 'DOWNLOADS_CAT_ADD_TARG_USER', 'Add category exclusivly to a user', 1);
INSERT INTO downloads_user_rights VALUES(402, 'DOWNLOADS_CAT_ADD_TARG_GROUP', 'Add category exclusivly to a group', 1);
INSERT INTO downloads_user_rights VALUES(403, 'DOWNLOADS_CAT_EDIT_OWN', 'Edit category (with own user id)', 1);
INSERT INTO downloads_user_rights VALUES(404, 'DOWNLOADS_CAT_EDIT_OTHERS', 'Edit category (to other user ids)', 1);
INSERT INTO downloads_user_rights VALUES(405, 'DOWNLOADS_CAT_EDIT_OTHERS_SAME', 'Edit category to users on the same group', 1);
INSERT INTO downloads_user_rights VALUES(406, 'DOWNLOADS_CAT_EDIT_OTHERS_LOW', 'Edit category to subusers', 1);
INSERT INTO downloads_user_rights VALUES(407, 'DOWNLOADS_CAT_DEL_OWN', 'Delete category (with own user id)', 1);
INSERT INTO downloads_user_rights VALUES(508, 'DOWNLOADS_CAT_DEL_OTHERS', 'Delete category (to other user ids)', 1);
INSERT INTO downloads_user_rights VALUES(509, 'DOWNLOADS_CAT_DEL_OTHERS_SAME', 'Delete category to users on the same group', 1);
INSERT INTO downloads_user_rights VALUES(500, 'DOWNLOADS_CAT_DEL_OTHERS_LOW', 'Delete category to subusers', 1);
INSERT INTO downloads_user_rights VALUES(600, 'DOWNLOADS_LAYOUT_ACCESS', 'Access and Manage Downloads Layout', 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_user_rights2groups'
## 

DROP TABLE IF EXISTS `downloads_user_rights2groups`;
CREATE TABLE downloads_user_rights2groups (
  group_id int(10) NOT NULL,
  user_rights_id int(10) NOT NULL,
  `value` int(1) NOT NULL,
  PRIMARY KEY  (group_id,user_rights_id),
  KEY `value` (`value`)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'downloads_user_rights2groups'
## 

INSERT INTO downloads_user_rights2groups VALUES(1, 100, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 100, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 100, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 100, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 100, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 100, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 110, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 110, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 110, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 110, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 110, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 110, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 111, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 111, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 111, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 111, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 111, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 111, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 113, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 113, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 113, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 113, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 113, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 113, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 112, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 112, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 112, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 112, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 112, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 112, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 130, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 130, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 130, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 130, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 130, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 130, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 131, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 131, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 131, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 131, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 131, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 131, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 140, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 140, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 140, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 140, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 140, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 140, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 141, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 141, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 141, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 141, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 141, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 141, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 150, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 150, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 150, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 150, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 150, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 150, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 151, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 151, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 151, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 151, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 151, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 151, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 153, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 153, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 153, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 153, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 153, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 153, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 152, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 152, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 152, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 152, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 152, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 152, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 154, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 154, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 154, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 154, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 154, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 154, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 156, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 156, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 156, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 156, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 156, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 156, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 155, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 155, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 155, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 155, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 155, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 155, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 160, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 160, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 160, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 160, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 160, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 160, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 161, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 161, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 161, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 161, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 161, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 161, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 168, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 168, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 168, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 168, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 168, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 168, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 167, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 167, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 167, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 167, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 167, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 167, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 166, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 166, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 166, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 166, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 166, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 166, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 162, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 162, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 162, 0);
INSERT INTO downloads_user_rights2groups VALUES(101, 162, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 162, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 162, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 164, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 164, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 164, 0);
INSERT INTO downloads_user_rights2groups VALUES(101, 164, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 164, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 164, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 163, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 163, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 163, 0);
INSERT INTO downloads_user_rights2groups VALUES(101, 163, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 163, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 163, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 165, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 165, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 165, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 165, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 165, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 165, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 202, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 202, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 202, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 202, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 202, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 202, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 204, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 204, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 204, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 204, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 204, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 204, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 206, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 206, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 206, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 206, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 206, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 206, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 205, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 205, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 205, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 205, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 205, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 205, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 203, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 203, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 203, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 203, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 203, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 203, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 208, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 208, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 208, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 208, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 208, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 208, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 207, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 207, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 207, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 207, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 207, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 207, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 304, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 304, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 304, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 304, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 304, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 304, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 306, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 306, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 306, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 306, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 306, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 306, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 305, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 305, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 305, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 305, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 305, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 305, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 303, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 303, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 303, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 303, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 303, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 303, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 300, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 300, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 300, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 300, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 300, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 300, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 302, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 302, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 302, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 302, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 302, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 302, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 301, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 301, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 301, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 301, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 301, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 301, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 209, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 209, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 209, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 209, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 209, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 209, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 308, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 308, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 308, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 308, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 308, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 308, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 400, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 400, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 400, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 400, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 400, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 400, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 309, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 309, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 309, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 309, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 309, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 309, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 307, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 307, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 307, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 307, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 307, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 307, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 402, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 402, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 402, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 402, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 402, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 402, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 401, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 401, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 401, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 401, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 401, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 401, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 508, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 508, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 508, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 508, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 508, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 508, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 169, 1);
INSERT INTO downloads_user_rights2groups VALUES(1, 500, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 500, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 500, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 500, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 500, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 500, 0);
INSERT INTO downloads_user_rights2groups VALUES(101, 169, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 509, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 509, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 509, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 509, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 509, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 509, 0);
INSERT INTO downloads_user_rights2groups VALUES(2, 169, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 407, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 407, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 407, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 407, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 407, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 407, 0);
INSERT INTO downloads_user_rights2groups VALUES(102, 169, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 404, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 404, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 404, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 404, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 404, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 404, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 406, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 406, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 406, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 406, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 406, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 406, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 169, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 405, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 405, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 405, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 405, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 405, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 405, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 403, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 403, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 403, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 403, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 403, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 403, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 600, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 600, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 600, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 600, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 600, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 600, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 169, 1);
INSERT INTO downloads_user_rights2groups VALUES(1, 170, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 170, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 170, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 170, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 170, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 170, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 171, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 171, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 171, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 171, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 171, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 171, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 172, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 172, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 172, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 172, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 172, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 172, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 174, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 174, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 174, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 174, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 174, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 174, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 173, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 173, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 173, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 173, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 173, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 173, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 175, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 175, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 175, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 175, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 175, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 175, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 177, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 177, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 177, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 177, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 177, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 177, 0);
INSERT INTO downloads_user_rights2groups VALUES(1, 176, 1);
INSERT INTO downloads_user_rights2groups VALUES(2, 176, 0);
INSERT INTO downloads_user_rights2groups VALUES(100, 176, 1);
INSERT INTO downloads_user_rights2groups VALUES(101, 176, 1);
INSERT INTO downloads_user_rights2groups VALUES(102, 176, 0);
INSERT INTO downloads_user_rights2groups VALUES(200, 176, 0);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_user_rights2users'
## 

DROP TABLE IF EXISTS `downloads_user_rights2users`;
CREATE TABLE downloads_user_rights2users (
  user_id int(10) NOT NULL,
  user_rights_id int(10) NOT NULL,
  `value` int(1) NOT NULL,
  PRIMARY KEY  (user_id,user_rights_id),
  KEY `value` (`value`)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'downloads_user_rights2users'
## 


###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_user_rights_desc'
## 

DROP TABLE IF EXISTS `downloads_user_rights_desc`;
CREATE TABLE downloads_user_rights_desc (
  rights_id varchar(10) NOT NULL,
  `language` varchar(32) NOT NULL,
  description varchar(128) NOT NULL,
  PRIMARY KEY  (rights_id,`language`)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'downloads_user_rights_desc'
## 


###########################################################

## 
## Tabellenstruktur fr Tabelle 'downloads_user_stats'
## 

DROP TABLE IF EXISTS `downloads_user_stats`;
CREATE TABLE downloads_user_stats (
  user_id int(9) NOT NULL,
  downloads_id int(9) NOT NULL,
  downloads int(9) NOT NULL,
  PRIMARY KEY  (user_id,downloads_id),
  KEY downloads (downloads)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'downloads_user_stats'
## 

## 
## Recordsets for other Tables neeeded to be updated for automatitation.
## 

INSERT INTO `modules` VALUES('downloads', 1, 1, ',1,100,102,200,101,2', 0, 0, '');

INSERT INTO `modules_desc` VALUES('downloads', 'Downloads', 'mexican');
INSERT INTO `modules_desc` VALUES('downloads', 'Downloads', 'english');
INSERT INTO `modules_desc` VALUES('downloads', 'Downloads', 'german');

INSERT INTO themes_blocks VALUES('', 1213741173, 'downloads', 'downloads_Menu_2', '1', 0, 2);
INSERT INTO themes_blocks VALUES('', 1191286335, 'downloads', 'downloads_Menu_1', '1', 0, 2);

INSERT INTO xomol_seo_realfakepaths VALUES('Donwloads_en.html', 'index.php?op=downloads&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Donwloads_de.html', 'index.php?op=downloads&xlang=german');
INSERT INTO xomol_seo_realfakepaths VALUES('Donwloads_mx.html', 'index.php?op=downloads&xlang=mexican');
