DROP TABLE IF EXISTS store_basket;
CREATE TABLE store_basket (
  store_basket_id int(11) NOT NULL,
  user_id int(11) NOT NULL default '0',
  products_id int(10) NOT NULL,
  products_quantity int(2) NOT NULL default '0',
  final_price decimal(15,4) default NULL,
  date_added timestamp NOT NULL,
  counter int(10) NOT NULL,
  PRIMARY KEY  (store_basket_id,products_id,counter),
  KEY products_quantity (products_quantity)
) TYPE=MyISAM;

DROP TABLE IF EXISTS store_basket_attributes;
CREATE TABLE store_basket_attributes (
  store_basket_id int(10) NOT NULL,
  user_id int(11) NOT NULL,
  products_id int(10) NOT NULL,
  options_id int(11) NOT NULL,
  options_values_id int(11) NOT NULL,
  counter int(10) NOT NULL,
  PRIMARY KEY  (store_basket_id,user_id,products_id,options_id,options_values_id,counter)
) TYPE=MyISAM;

DROP TABLE IF EXISTS store_blocks;
CREATE TABLE store_blocks (
  block_id int(3) NOT NULL auto_increment,
  position_id int(3) NOT NULL default '0',
  module_name varchar(64) NOT NULL default '0',
  block_title varchar(64) NOT NULL,
  block_status varchar(32) NOT NULL default '',
  undeletable int(1) NOT NULL default '0',
  view_order int(3) NOT NULL default '1',
  PRIMARY KEY  (block_id,position_id,block_title),
  UNIQUE KEY position_id (position_id,block_title),
  KEY module_name (module_name)
) TYPE=MyISAM  AUTO_INCREMENT=34 ;

INSERT INTO store_blocks VALUES(29, 1, 'content', 'store_Menu_1', '1', 0, 1);
INSERT INTO store_blocks VALUES(22, 10, 'content', 'Store_Content_frontpage', '1', 0, 1);
INSERT INTO store_blocks VALUES(24, 12, 'content', 'frontpage_latest_products', '1', 0, 1);
INSERT INTO store_blocks VALUES(26, 13, 'content', 'frontpage_cat_listing', '1', 0, 1);
INSERT INTO store_blocks VALUES(33, 3, 'content', 'Store_basket', '1', 0, 1);
INSERT INTO store_blocks VALUES(30, 11, 'content', 'Store_frontpage', '1', 0, 1);

DROP TABLE IF EXISTS store_configure;
CREATE TABLE store_configure (
  config_id int(6) NOT NULL auto_increment,
  module_name varchar(64) NOT NULL default '',
  config_type varchar(64) NOT NULL default '0',
  config_title varchar(64) NOT NULL default '',
  config_description text NOT NULL,
  config_key varchar(128) NOT NULL default '',
  config_value varchar(128) NOT NULL default '',
  undeletable int(1) NOT NULL default '0',
  PRIMARY KEY  (config_id),
  KEY config_id (config_id,config_type,config_key),
  KEY config_title (config_title)
) TYPE=MyISAM  AUTO_INCREMENT=61 ;

INSERT INTO store_configure VALUES(1, 'store', 'Main Config', 'View Modus', '', 'CONTENT_VIEW_MOD', '2', 1);
INSERT INTO store_configure VALUES(2, 'store', 'Front Page', 'View Modus', '', 'FP_VIEW_MODUS', '1', 1);
INSERT INTO store_configure VALUES(3, 'store', 'Front Page', 'Num of Random Products', '', 'RANDOM_ART_NUM', '5', 1);
INSERT INTO store_configure VALUES(44, 'store', 'Orders', 'Require delivery address', '', 'REQUIRE_DELIVERY_ADDR', '1', 1);
INSERT INTO store_configure VALUES(9, 'store', 'Front Page', 'Num of Cols on Cat. listings', '', 'FP_NUM_COLS', '5', 1);
INSERT INTO store_configure VALUES(10, 'store', 'Product Details', 'Show Autor', '', 'SHOW_AUTHOR', '1', 1);
INSERT INTO store_configure VALUES(11, 'store', 'Product Details', 'Show Date', '', 'SHOW_DATE', '0', 1);
INSERT INTO store_configure VALUES(12, 'store', 'Products Listing', 'Max Search Results', '', 'MAX_SRCH_RES', '5', 1);
INSERT INTO store_configure VALUES(13, 'store', 'Products Browse', 'Show Category Title', '', 'SHOW_CAT_TITLE', '1', 1);
INSERT INTO store_configure VALUES(14, 'store', 'Products Browse', 'Show Category Desc', '', 'SHOW_CAT_DESC', '1', 1);
INSERT INTO store_configure VALUES(15, 'store', 'Products Browse', 'Show Sub Cats', '', 'SHOW_SUBCATS', '1', 1);
INSERT INTO store_configure VALUES(16, 'store', 'Products Browse', 'Show default Cat News', '', 'SHOW_DEF_CAT_NEWS', '1', 1);
INSERT INTO store_configure VALUES(17, 'store', 'Pictures Upload', 'Maximal Size Cat Image', '', 'MAX_CAT_SIZE', '100000', 1);
INSERT INTO store_configure VALUES(23, 'store', 'Pictures Upload', 'Max Filesize in KB', '', 'FILEUPLOAD_MAXK', '150', 1);
INSERT INTO store_configure VALUES(22, 'store', 'Min/Max', 'Max Width/Heigth Thumbs', '', 'THUMB_SIZE', '60', 1);
INSERT INTO store_configure VALUES(24, 'store', 'Pictures Upload', 'Allowed MIME types', '', 'OK_MIME_TYPES', 'jpeg jpg gif png', 1);
INSERT INTO store_configure VALUES(42, 'store', 'Currencies', 'Automatic Currencies Update', '', 'CURRENCIES_AUTO_UPDATE', '1', 1);
INSERT INTO store_configure VALUES(30, 'store', 'Fright Costs', 'Level 1 (-MinTotal)', '', 'FC_LEVEL1_TOT', '10', 1);
INSERT INTO store_configure VALUES(31, 'store', 'Fright Costs', 'Level 2 (-MinTotal)', '', 'FC_LEVEL2_TOT', '50', 1);
INSERT INTO store_configure VALUES(32, 'store', 'Fright Costs', 'Level 3 (-MinTotal)', '', 'FC_LEVEL3_TOT', '100', 1);
INSERT INTO store_configure VALUES(33, 'store', 'Fright Costs', 'Level 4 (-MinTotal)', '', 'FC_LEVEL4_TOT', '200', 1);
INSERT INTO store_configure VALUES(34, 'store', 'Fright Costs', 'Level 5 (-MinTotal)', '', 'FC_LEVEL5_TOT', '201', 1);
INSERT INTO store_configure VALUES(35, 'store', 'Fright Costs', 'Level 1 (-Tarif)', '', 'FC_LEVEL1_TAR', '10', 1);
INSERT INTO store_configure VALUES(36, 'store', 'Fright Costs', 'Level 2 (-Tarif)', '', 'FC_LEVEL2_TAR', '8', 1);
INSERT INTO store_configure VALUES(37, 'store', 'Fright Costs', 'Level 3 (-Tarif)', '', 'FC_LEVEL3_TAR', '6', 1);
INSERT INTO store_configure VALUES(38, 'store', 'Fright Costs', 'Level 4 (-Tarif)', '', 'FC_LEVEL4_TAR', '5', 1);
INSERT INTO store_configure VALUES(39, 'store', 'Fright Costs', 'Level 5 (-Tarif)', '', 'FC_LEVEL5_TAR', '', 1);
INSERT INTO store_configure VALUES(40, 'store', 'Product Downloads', 'Allowed file types for downloads', '', 'OK_DOWN_MIME_TYPES', 'jpeg jpg gif png doc xls pdf mp3 mpu', 1);
INSERT INTO store_configure VALUES(41, 'store', 'Product Downloads', 'Max Filesize in KB (downloads)', '', 'MFILEUPLOAD_MAXK', '10000', 1);
INSERT INTO store_configure VALUES(45, 'store', 'Product Downloads', 'Download file Maximum Size', '', 'DOWNLOAD_FILE_MAX_SIZE', '10000', 1);
INSERT INTO store_configure VALUES(46, 'store', 'Product Downloads', 'Download file  allowed types', '', 'DOWNLOAD_FILE_OK_MIME_TYPES', 'gif jpg jpeg png mp3 mpg mpeg avi wmv wav wma PDF doc xls sql txt zip tar gz gif psd', 1);
INSERT INTO store_configure VALUES(47, 'store', 'Pictures Upload', 'Category  Maximal Image Size', '', 'CAT_MAX_IMAGE_SIZE', '250', 1);
INSERT INTO store_configure VALUES(48, 'store', 'Pictures Upload', 'Category allowed image types', '', 'CAT_IMAGE_OK_MIME_TYPES', 'gif gif jpg jpeg png', 1);
INSERT INTO store_configure VALUES(49, 'store', 'Min/Max', 'Category Thumb width', '', 'MAX_CAT_THUMB_WIDTH', '100', 1);
INSERT INTO store_configure VALUES(50, 'store', 'Min/Max', 'Category Thumb Height', '', 'MAX_CAT_THUMB_HEIGHT', '80', 1);
INSERT INTO store_configure VALUES(51, 'store', 'Min/Max', 'Category Image Height', '', 'MAX_CAT_IMAGE_HEIGHT', '80', 1);
INSERT INTO store_configure VALUES(52, 'store', 'Min/Max', 'Category Image Width', '', 'MAX_CAT_IMAGE_WIDTH', '100', 1);
INSERT INTO store_configure VALUES(53, 'store', 'Pictures Upload', 'Maximal Size Cat Image', '', 'MAX_CAT_SIZE', '250', 1);
INSERT INTO store_configure VALUES(54, 'store', 'Pictures Upload', 'Article Maximal Image Size', '', 'ART_MAX_IMAGE_SIZE', '250', 1);
INSERT INTO store_configure VALUES(55, 'store', 'Pictures Upload', 'Article allowed image types', '', 'ART_IMAGE_OK_MIME_TYPES', 'gif gif jpg jpeg png', 1);
INSERT INTO store_configure VALUES(56, 'store', 'Min/Max', 'Article Thumb width', '', '	MAX_ART_THUMB_IMAGE_WIDTH', '80', 1);
INSERT INTO store_configure VALUES(57, 'store', 'Min/Max', 'Article Thumb Height', '', 'MAX_ART_THUMB_IMAGE_HEIGTH', '80', 1);
INSERT INTO store_configure VALUES(58, 'store', 'Min/Max', 'Article Image Height', '', 'MAX_ART_IMAGE_HEIGTH', '250', 1);
INSERT INTO store_configure VALUES(59, 'store', 'Min/Max', 'Article Image Width', '', 'MAX_ART_IMAGE_WIDTH', '250', 1);

DROP TABLE IF EXISTS store_content_art;
CREATE TABLE store_content_art (
  article_id bigint(20) NOT NULL auto_increment,
  article_catid int(10) NOT NULL default '0',
  article_catid_related text NOT NULL,
  viewer_group int(10) NOT NULL default '0',
  targeted_user int(10) NOT NULL default '0',
  article_status int(1) default NULL,
  author_id int(9) NOT NULL default '0',
  creation varchar(32) NOT NULL default '',
  updates text NOT NULL,
  `language` varchar(32) NOT NULL default '',
  article_title varchar(128) NOT NULL default '',
  article_description_1 text NOT NULL,
  article_description_2 text NOT NULL,
  is_default int(1) NOT NULL default '0',
  viewed int(12) NOT NULL default '0',
  meta_title text,
  meta_keywords text,
  meta_description text,
  PRIMARY KEY  (article_id)
) TYPE=MyISAM  AUTO_INCREMENT=1187280023 ;



DROP TABLE IF EXISTS store_content_art_desc;
CREATE TABLE store_content_art_desc (
  article_id int(20) default NULL,
  `language` varchar(20) NOT NULL default 'german',
  title text NOT NULL,
  article_description_1 text NOT NULL,
  article_description_2 text NOT NULL,
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  seo_link varchar(128) NOT NULL
) TYPE=MyISAM;


DROP TABLE IF EXISTS store_content_cat;
CREATE TABLE store_content_cat (
  category_id int(20) NOT NULL default '0',
  category_status int(1) default NULL,
  category_parent_id int(10) NOT NULL default '0',
  view_order int(3) NOT NULL default '1',
  cat_image varchar(64) NOT NULL default '',
  secondary_menu int(1) NOT NULL default '0',
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  history text NOT NULL,
  comments int(1) NOT NULL,
  PRIMARY KEY  (category_id),
  KEY category_status (category_status,category_parent_id,comments)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS store_content_cat_desc;
CREATE TABLE store_content_cat_desc (
  category_id int(20) default NULL,
  `language` varchar(20) NOT NULL default 'german',
  title varchar(124) NOT NULL default '',
  description text NOT NULL,
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  seo_link varchar(128) NOT NULL,
  KEY title (title)
) TYPE=MyISAM;


DROP TABLE IF EXISTS store_content_frontpages;
CREATE TABLE store_content_frontpages (
  frontpage_id int(12) NOT NULL auto_increment,
  article_id int(12) NOT NULL default '0',
  creation varchar(16) NOT NULL default '',
  author_id int(12) NOT NULL default '0',
  frontpage_status int(1) NOT NULL default '0',
  random int(1) NOT NULL default '0',
  is_default int(1) NOT NULL default '0',
  viewer_group int(2) NOT NULL default '0',
  PRIMARY KEY  (frontpage_id)
) TYPE=MyISAM  AUTO_INCREMENT=1187620672 ;

DROP TABLE IF EXISTS store_fp_cat_lists;
CREATE TABLE store_fp_cat_lists (
  fpc_id int(12) NOT NULL auto_increment,
  category_id int(12) NOT NULL default '0',
  creation varchar(16) NOT NULL default '',
  author_id int(12) NOT NULL default '0',
  active int(1) NOT NULL default '0',
  fpc_order int(1) NOT NULL default '1',
  PRIMARY KEY  (fpc_id),
  KEY article_id (category_id,creation,author_id,active)
) TYPE=MyISAM  AUTO_INCREMENT=6 ;

DROP TABLE IF EXISTS store_fright_post;
CREATE TABLE store_fright_post (
  package_id int(4) NOT NULL,
  package_type_id int(3) NOT NULL default '0',
  weight_min varchar(10) NOT NULL default '0',
  weight_max int(10) NOT NULL default '0',
  postpac_priority int(10) NOT NULL default '0',
  postpac_economy int(10) NOT NULL default '0',
  swiss_express_mond int(10) NOT NULL default '0',
  swiss_express_blitz int(10) NOT NULL default '0',
  KEY service_type_id (package_type_id)
) TYPE=MyISAM;


INSERT INTO store_fright_post VALUES(1, 1, '0.001', 1, 0, 0, 19, 14);
INSERT INTO store_fright_post VALUES(2, 2, '1', 2, 8, 6, 24, 17);
INSERT INTO store_fright_post VALUES(3, 2, '2', 3, 10, 8, 29, 19);
INSERT INTO store_fright_post VALUES(4, 2, '3', 10, 13, 11, 34, 23);
INSERT INTO store_fright_post VALUES(5, 2, '10', 20, 19, 16, 37, 26);
INSERT INTO store_fright_post VALUES(6, 2, '20', 30, 26, 23, 39, 29);
INSERT INTO store_fright_post VALUES(7, 3, '0', 30, 28, 26, 39, 34);

DROP TABLE IF EXISTS store_fright_post_services;
CREATE TABLE store_fright_post_services (
  service_type_id int(2) NOT NULL default '0',
  service_type_name varchar(32) NOT NULL default '',
  signature varchar(32) NOT NULL default '',
  signature_dispatch varchar(32) NOT NULL default '',
  assurance varchar(32) NOT NULL default '',
  fragile varchar(32) NOT NULL default '',
  cod varchar(32) NOT NULL default '',
  personal_delivery varchar(32) NOT NULL default '',
  second_delivery varchar(32) NOT NULL default '',
  delivery_specific_storey varchar(32) NOT NULL default '',
  not_in_letterbox varchar(32) NOT NULL default '',
  notify_phone varchar(32) NOT NULL default '',
  take_box_back varchar(32) NOT NULL default '',
  return_item_immediately varchar(32) NOT NULL default '',
  deliver_on varchar(32) NOT NULL default '',
  all_items_together varchar(32) NOT NULL default '',
  deposit_item varchar(32) NOT NULL default '',
  show_deposit_cellar varchar(32) NOT NULL default '',
  PRIMARY KEY  (service_type_id)
) TYPE=MyISAM;

INSERT INTO store_fright_post_services VALUES(1, 'Normal', '1.50', '1.00', '5.00', '7.50', '15.00', '6.00', '', '3.00', '0.40', '4.00', '0.60', '3.00', '1.50', '1.50', '1.50', '3.00');
INSERT INTO store_fright_post_services VALUES(2, 'Express', '1.50', '1.00', '5.00', '7.50', '15.00', '6.00', '10.00', '', '', '', '', '', '', '', '', '');


DROP TABLE IF EXISTS store_frontpages;
CREATE TABLE store_frontpages (
  frontpage_id int(12) NOT NULL auto_increment,
  product_id int(12) NOT NULL default '0',
  creation varchar(16) NOT NULL default '',
  author_id int(12) NOT NULL default '0',
  active int(1) NOT NULL default '0',
  random int(1) NOT NULL default '0',
  is_default int(1) NOT NULL default '0',
  viewer_group int(10) NOT NULL default '0',
  frontpage_status int(1) NOT NULL,
  PRIMARY KEY  (frontpage_id,product_id,viewer_group),
  KEY creation (creation),
  KEY author_id (author_id),
  KEY active (active),
  KEY random (random),
  KEY is_default (is_default),
  KEY frontpage_status (frontpage_status)
) TYPE=MyISAM  AUTO_INCREMENT=3 ;

DROP TABLE IF EXISTS store_manufacturers;
CREATE TABLE store_manufacturers (
  manufacturer_id int(12) NOT NULL default '0',
  manufacturer_title varchar(64) NOT NULL default '',
  manufacturer_image varchar(128) NOT NULL default '',
  PRIMARY KEY  (manufacturer_id),
  KEY manufacturer_title (manufacturer_title,manufacturer_image)
) TYPE=MyISAM;

INSERT INTO store_manufacturers VALUES(1, 'My Company', '');

DROP TABLE IF EXISTS store_metatags;
CREATE TABLE store_metatags (
  lid int(3) NOT NULL auto_increment,
  `language` varchar(20) NOT NULL default 'german',
  title text NOT NULL,
  keywords text NOT NULL,
  description text NOT NULL,
  PRIMARY KEY  (lid)
) TYPE=MyISAM  AUTO_INCREMENT=4 ;

INSERT INTO store_metatags VALUES(1, 'english', 'Xomol - Your shopping in Internet, simple and ultra secure!', 'xomol cms,virtual store,content manager,online sales,Virtual Shopping,Search Engine Optimization,open source,seo,free software,paypal,ecommerce,free software', 'Xomol CMS - Content manager and virtual store. Internet Shopping with the highest SEO tecnologie. Open Source free software, simple and ultra secure!');
INSERT INTO store_metatags VALUES(2, 'german', 'Xomol - Virtuele Einkaufszenter, Deine Einkaufe im Internet, einfach und ultra sicher!', 'Xomol cms,open source,seo,online verkauf,Virtuele Einkaufszenter,Suchmaschinenoptimierung ,freie software,scripts,paypal,ecommerce,virtuele shop,internet einkaufe', 'Xomol CMS, Content Manager und Virtuele Einkaufszenter, Deine Einkaufe im Internet, einfach und ultra sicher! Die beste SEO Technologie fr sicheres Ecommerce. Open Source.');
INSERT INTO store_metatags VALUES(3, 'mexican', 'Xomol CMS - Tienda Virtual - Comercio electronico de alto poder', 'Tienda Virtual,open source,transacciones en linea,ventas por internet,scripts,software libre,SEO,comercio electronico,codigo libre,gestor de contenido,mexico,xomol cms', 'Xomol CMS- Gestor de contenido y tienda virtual con la ultima tecnologia SEO. Posicionamiento en Buscadores garantizado. Comercio electronico de alto poder. Descarga la mejor aplicacion para ventas via internet aqui. Xomol.net.');

DROP TABLE IF EXISTS store_modules;
CREATE TABLE store_modules (
  module_id int(10) NOT NULL auto_increment,
  module_type_id int(10) default '0',
  module_name varchar(32) NOT NULL,
  module_custom_name varchar(32) NOT NULL,
  module_status int(1) NOT NULL default '0',
  PRIMARY KEY  (module_id)
) TYPE=MyISAM  AUTO_INCREMENT=1189005628 ;

INSERT INTO store_modules VALUES(1, 2, 'xomol_onaccount', 'On Accoun', 1);
INSERT INTO store_modules VALUES(2, 1, 'xomol_custom_rates', 'Custom Rates', 0);
INSERT INTO store_modules VALUES(1188949132, 1, 'fright_post_ch', '', 1);
INSERT INTO store_modules VALUES(1188955936, 1, 'xomol_default', 'Default Fright Rate', 1);
INSERT INTO store_modules VALUES(1189005627, 2, 'paypal', '', 0);
INSERT INTO store_modules VALUES(1188951423, 2, 'xomol_cod', 'COD', 0);

DROP TABLE IF EXISTS store_modules_desc;
CREATE TABLE store_modules_desc (
  module_id int(10) NOT NULL,
  module_custom_name varchar(32) NOT NULL,
  `language` varchar(32) NOT NULL,
  PRIMARY KEY  (module_id,`language`),
  KEY module_custom_name (module_custom_name)
) TYPE=MyISAM;

INSERT INTO store_modules_desc VALUES(1188951423, 'COD Cobrar al entregar', 'mexican');
INSERT INTO store_modules_desc VALUES(1188951423, 'COD Charge on delivery', 'english');
INSERT INTO store_modules_desc VALUES(1188951423, 'COD Zahlung fogt bei erhalten de', 'german');
INSERT INTO store_modules_desc VALUES(1188951386, 'Con cargo a mi cuenta', 'mexican');
INSERT INTO store_modules_desc VALUES(1188951386, 'On account', 'english');
INSERT INTO store_modules_desc VALUES(1188951386, 'A Konnto', 'german');
INSERT INTO store_modules_desc VALUES(1188955936, 'Tarifa estandar', 'mexican');
INSERT INTO store_modules_desc VALUES(1188955936, 'Standard rate', 'english');
INSERT INTO store_modules_desc VALUES(1188955936, 'Standard Tarif', 'german');
INSERT INTO store_modules_desc VALUES(1188949132, 'Tarifas - Correos Suizos', 'mexican');
INSERT INTO store_modules_desc VALUES(1188949132, 'Rates - Swiss post', 'english');
INSERT INTO store_modules_desc VALUES(1188949132, 'Tarif - Schweizer Post', 'german');
INSERT INTO store_modules_desc VALUES(1189005627, 'Paypal', 'mexican');
INSERT INTO store_modules_desc VALUES(1189005627, 'Paypal', 'english');
INSERT INTO store_modules_desc VALUES(1189005627, 'Paypal', 'german');
INSERT INTO store_modules_desc VALUES(1188951419, 'Tarifa asignada por el sistema', 'mexican');
INSERT INTO store_modules_desc VALUES(1188951419, 'System asigned rate', 'english');
INSERT INTO store_modules_desc VALUES(1188951419, 'Vom Sistem asigniertes Tarif', 'german');
INSERT INTO store_modules_desc VALUES(1, 'Abonar a mi cuenta', 'mexican');
INSERT INTO store_modules_desc VALUES(1, 'Book on my account', 'english');
INSERT INTO store_modules_desc VALUES(1, 'Aconto', 'german');
INSERT INTO store_modules_desc VALUES(2, 'Rates by sales ammount', 'english');
INSERT INTO store_modules_desc VALUES(2, 'Tarifa sobre monto de venta', 'mexican');
INSERT INTO store_modules_desc VALUES(2, 'Tarife -verkausmenge-', 'german');

DROP TABLE IF EXISTS store_modules_fright_custom_rates;
CREATE TABLE store_modules_fright_custom_rates (
  rate_id int(10) NOT NULL auto_increment,
  amount_min varchar(12) NOT NULL,
  amount_max varchar(12) NOT NULL,
  rate varchar(12) NOT NULL,
  PRIMARY KEY  (rate_id),
  KEY amount_min (amount_min),
  KEY amount_max (amount_max),
  KEY rate (rate)
) TYPE=MyISAM  AUTO_INCREMENT=5 ;

INSERT INTO store_modules_fright_custom_rates VALUES(1, '100', '200', '10');
INSERT INTO store_modules_fright_custom_rates VALUES(2, '201', '300', '20');
INSERT INTO store_modules_fright_custom_rates VALUES(4, '301', '500', '30');

DROP TABLE IF EXISTS store_modules_fright_default;
CREATE TABLE store_modules_fright_default (
  rate_id int(10) NOT NULL,
  rate varchar(24) NOT NULL
) TYPE=MyISAM;

INSERT INTO store_modules_fright_default VALUES(1, '10');

DROP TABLE IF EXISTS store_modules_types;
CREATE TABLE store_modules_types (
  module_type_id int(10) NOT NULL default '0',
  module_type_status int(1) NOT NULL default '0',
  PRIMARY KEY  (module_type_id),
  KEY module_type_status (module_type_status)
) TYPE=MyISAM;

INSERT INTO store_modules_types VALUES(1, 1);
INSERT INTO store_modules_types VALUES(2, 1);

DROP TABLE IF EXISTS store_modules_types_desc;
CREATE TABLE store_modules_types_desc (
  module_type_id int(10) NOT NULL default '0',
  module_type_name varchar(128) NOT NULL default '',
  `language` varchar(32) NOT NULL default '',
  PRIMARY KEY  (module_type_id,`language`)
) TYPE=MyISAM;

INSERT INTO store_modules_types_desc VALUES(1, 'Fright', 'english');
INSERT INTO store_modules_types_desc VALUES(1, 'Fracht', 'german');
INSERT INTO store_modules_types_desc VALUES(1, 'Fleteo', 'mexican');
INSERT INTO store_modules_types_desc VALUES(2, 'Paiment', 'english');
INSERT INTO store_modules_types_desc VALUES(2, 'Zahlung', 'german');
INSERT INTO store_modules_types_desc VALUES(2, 'Pago', 'mexican');

DROP TABLE IF EXISTS store_orders;
CREATE TABLE store_orders (
  orders_id int(11) NOT NULL auto_increment,
  user_id int(11) NOT NULL default '0',
  user_firstname varchar(64) NOT NULL default '',
  user_lastname varchar(64) NOT NULL default '',
  user_company varchar(32) default NULL,
  user_street varchar(64) NOT NULL default '',
  user_street_nr varchar(32) default NULL,
  user_suburb varchar(128) NOT NULL,
  user_zip varchar(10) NOT NULL default '',
  user_city varchar(32) NOT NULL default '',
  user_state varchar(32) default NULL,
  user_country varchar(32) NOT NULL default '',
  user_phone varchar(32) NOT NULL default '',
  user_fax varchar(32) NOT NULL,
  user_mobile varchar(32) NOT NULL,
  user_email varchar(96) NOT NULL default '',
  delivery_firstname varchar(64) NOT NULL default '',
  delivery_lastname varchar(64) NOT NULL default '',
  delivery_company varchar(32) default NULL,
  delivery_street varchar(64) NOT NULL default '',
  delivery_street_nr varchar(32) default NULL,
  delivery_suburb varchar(128) NOT NULL,
  delivery_zip varchar(10) NOT NULL default '',
  delivery_city varchar(32) NOT NULL default '',
  delivery_state varchar(32) default NULL,
  delivery_country varchar(32) NOT NULL default '',
  delivery_phone varchar(32) NOT NULL default '',
  delivery_fax varchar(32) NOT NULL,
  delivery_mobile varchar(32) NOT NULL,
  delivery_email varchar(96) NOT NULL default '',
  payment_method varchar(32) NOT NULL,
  payment_details text NOT NULL,
  cc_type varchar(20) default NULL,
  cc_owner varchar(64) default NULL,
  cc_number varchar(32) default NULL,
  cc_expires varchar(4) default NULL,
  last_modified datetime default NULL,
  date_purchased datetime default NULL,
  order_status int(5) NOT NULL default '0',
  order_date_finished datetime default NULL,
  currency char(3) default NULL,
  fright_method int(10) NOT NULL,
  fright_costs decimal(14,6) NOT NULL default '0.000000',
  fright_details text NOT NULL,
  order_ammount decimal(14,6) default NULL,
  PRIMARY KEY  (orders_id),
  KEY payment_method (payment_method,order_status,currency,order_ammount)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS store_orders_products;
CREATE TABLE store_orders_products (
  orders_products_id int(11) NOT NULL auto_increment,
  orders_id int(11) NOT NULL default '0',
  products_id int(11) NOT NULL default '0',
  products_model varchar(12) default NULL,
  products_name varchar(64) NOT NULL default '',
  currency char(3) NOT NULL default '',
  products_price decimal(15,4) NOT NULL default '0.0000',
  final_price decimal(15,4) NOT NULL default '0.0000',
  products_tax decimal(7,4) NOT NULL default '0.0000',
  products_quantity int(5) NOT NULL default '0',
  counter int(4) NOT NULL default '0',
  PRIMARY KEY  (orders_products_id,orders_id,products_id,counter),
  KEY products_model (products_model,currency,products_price,final_price,products_tax,products_quantity)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS store_orders_products_attributes;
CREATE TABLE store_orders_products_attributes (
  orders_products_attributes_id int(11) NOT NULL auto_increment,
  orders_id int(11) NOT NULL,
  orders_products_id int(11) NOT NULL,
  products_options varchar(64) NOT NULL,
  products_options_values varchar(64) NOT NULL,
  options_values_price decimal(15,4) NOT NULL,
  price_prefix char(1) NOT NULL,
  counter int(4) NOT NULL,
  PRIMARY KEY  (orders_products_attributes_id,orders_id,orders_products_id,products_options,products_options_values,counter)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS store_orders_status;
CREATE TABLE store_orders_status (
  orders_status_id int(11) NOT NULL default '0',
  `language` varchar(11) NOT NULL default '1',
  orders_status_name varchar(32) NOT NULL default '',
  PRIMARY KEY  (orders_status_id,`language`),
  KEY idx_orders_status_name (orders_status_name)
) TYPE=MyISAM;

INSERT INTO store_orders_status VALUES(1, 'english', 'Pending');
INSERT INTO store_orders_status VALUES(1, 'german', 'Offen');
INSERT INTO store_orders_status VALUES(1, 'mexican', 'Pendiente');
INSERT INTO store_orders_status VALUES(2, 'english', 'Processing');
INSERT INTO store_orders_status VALUES(2, 'german', 'In Bearbeitung');
INSERT INTO store_orders_status VALUES(2, 'mexican', 'En proceso');
INSERT INTO store_orders_status VALUES(3, 'english', 'Delivered');
INSERT INTO store_orders_status VALUES(3, 'german', 'Versendet');
INSERT INTO store_orders_status VALUES(3, 'mexican', 'Entregado');
INSERT INTO store_orders_status VALUES(4, 'english', 'Paid');
INSERT INTO store_orders_status VALUES(4, 'german', 'Betzahlt');
INSERT INTO store_orders_status VALUES(4, 'mexican', 'Pagado');
INSERT INTO store_orders_status VALUES(5, 'english', 'Condoned');
INSERT INTO store_orders_status VALUES(5, 'german', 'Erlassen');
INSERT INTO store_orders_status VALUES(5, 'mexican', 'Condonado');
INSERT INTO store_orders_status VALUES(6, 'english', 'Canceled');
INSERT INTO store_orders_status VALUES(6, 'german', 'Gestrichen');
INSERT INTO store_orders_status VALUES(6, 'mexican', 'Cancelado');
INSERT INTO store_orders_status VALUES(7, 'english', 'Waiting for payment');
INSERT INTO store_orders_status VALUES(7, 'german', 'Warten auf Zahlung');
INSERT INTO store_orders_status VALUES(7, 'mexican', 'En espera de pago');
INSERT INTO store_orders_status VALUES(8, 'english', 'Delivered/Waiting for payment');
INSERT INTO store_orders_status VALUES(8, 'german', 'Gelifert/Warten auf Zahlung');
INSERT INTO store_orders_status VALUES(8, 'mexican', 'Entregado/En espera de pago');
INSERT INTO store_orders_status VALUES(9, 'english', 'Delivered/Paid');
INSERT INTO store_orders_status VALUES(9, 'german', 'Gelifert/Betzahlt');
INSERT INTO store_orders_status VALUES(9, 'mexican', 'Entregado/Pagado');

DROP TABLE IF EXISTS store_orders_status_history;
CREATE TABLE store_orders_status_history (
  orders_status_history_id int(11) NOT NULL auto_increment,
  orders_id int(11) NOT NULL default '0',
  order_status_id int(5) NOT NULL default '0',
  date_added datetime NOT NULL default '0000-00-00 00:00:00',
  customer_notified int(1) default '0',
  comments text,
  posted_by int(11) NOT NULL default '0',
  PRIMARY KEY  (orders_status_history_id)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS store_positions;
CREATE TABLE store_positions (
  position_id int(3) NOT NULL auto_increment,
  position_key varchar(32) NOT NULL default '',
  position_title varchar(32) NOT NULL default '',
  position_status int(1) NOT NULL default '0',
  udeleteable int(1) NOT NULL default '0',
  PRIMARY KEY  (position_id),
  KEY position_status (position_status)
) TYPE=MyISAM  AUTO_INCREMENT=15 ;

INSERT INTO store_positions VALUES(1, '', 'Main Group 1', 1, 1);
INSERT INTO store_positions VALUES(2, '', 'Main Group 2', 1, 1);
INSERT INTO store_positions VALUES(3, '', 'Main Group 3', 1, 1);
INSERT INTO store_positions VALUES(4, '', 'Main Group 4', 1, 1);
INSERT INTO store_positions VALUES(5, '', 'Main Group 5', 0, 0);
INSERT INTO store_positions VALUES(6, '', 'Main Group 6', 0, 0);
INSERT INTO store_positions VALUES(7, '', 'Main Group 7', 0, 0);
INSERT INTO store_positions VALUES(8, '', 'Main Group 8', 0, 0);
INSERT INTO store_positions VALUES(9, '', 'Main Group 9 (Footer)', 0, 0);
INSERT INTO store_positions VALUES(10, '', 'Frontpage 1', 0, 0);
INSERT INTO store_positions VALUES(11, '', 'Frontpage 2', 0, 0);
INSERT INTO store_positions VALUES(12, '', 'Frontpage Latest Products List', 0, 0);
INSERT INTO store_positions VALUES(13, '', 'Frontpage Category Listing', 0, 0);
INSERT INTO store_positions VALUES(14, '', 'Banner Horizontal 468x60', 0, 0);

DROP TABLE IF EXISTS store_products;
CREATE TABLE store_products (
  product_id bigint(20) NOT NULL auto_increment,
  product_catid int(10) NOT NULL default '0',
  product_status int(1) default NULL,
  author_id int(9) NOT NULL default '0',
  targeted_user int(10) NOT NULL,
  manufacturer_id int(6) NOT NULL default '0',
  viewer_group int(10) NOT NULL default '0',
  model varchar(32) NOT NULL default '',
  preis float NOT NULL default '0',
  tax_class_id int(3) NOT NULL default '0',
  weight decimal(9,2) NOT NULL default '0.00',
  package_type int(1) NOT NULL default '2',
  is_default int(1) NOT NULL default '0',
  in_stock int(1) NOT NULL default '0',
  ordered int(9) NOT NULL default '0',
  creation varchar(32) NOT NULL default '',
  date_available varchar(32) NOT NULL default '',
  last_modified varchar(32) NOT NULL default '',
  product_image varchar(64) NOT NULL default '',
  viewed int(11) NOT NULL default '0',
  comments int(1) NOT NULL,
  PRIMARY KEY  (product_id),
  KEY product_catid (product_catid),
  KEY product_status (product_status),
  KEY author_id (author_id),
  KEY targeted_user (targeted_user),
  KEY manufacturer_id (manufacturer_id),
  KEY viewer_group (viewer_group),
  KEY preis (preis),
  KEY model (model),
  KEY tax_class_id (tax_class_id),
  KEY is_default (is_default),
  KEY in_stock (in_stock),
  KEY viewed (viewed),
  KEY comments (comments)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS store_products_attributes;
CREATE TABLE store_products_attributes (
  products_attributes_id int(11) NOT NULL,
  products_id int(11) NOT NULL,
  options_id int(11) NOT NULL,
  options_values_id int(11) NOT NULL,
  options_values_price decimal(15,4) NOT NULL,
  price_prefix char(1) NOT NULL,
  PRIMARY KEY  (products_id,options_id,options_values_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS store_products_attributes_download;
CREATE TABLE store_products_attributes_download (
  products_attributes_id int(11) NOT NULL,
  products_attributes_filename varchar(255) NOT NULL default '',
  products_attributes_maxdays int(2) default '0',
  products_attributes_maxcount int(2) default '0',
  PRIMARY KEY  (products_attributes_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS store_products_cat;
CREATE TABLE store_products_cat (
  category_id int(20) NOT NULL default '0',
  category_status int(1) default NULL,
  category_parent_id int(3) NOT NULL default '0',
  view_order int(3) NOT NULL default '1',
  cat_image varchar(64) NOT NULL default '',
  comments int(1) NOT NULL,
  PRIMARY KEY  (category_id),
  KEY category_status (category_status),
  KEY category_parent_id (category_parent_id),
  KEY comments (comments)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS store_products_cat_desc;
CREATE TABLE store_products_cat_desc (
  category_id int(20) default NULL,
  `language` varchar(20) NOT NULL default 'german',
  title varchar(124) NOT NULL default '',
  description text NOT NULL,
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  seo_link varchar(256) NOT NULL
) TYPE=MyISAM;

DROP TABLE IF EXISTS store_products_desc;
CREATE TABLE store_products_desc (
  product_id int(20) default NULL,
  `language` varchar(20) NOT NULL default 'german',
  title text NOT NULL,
  product_description_1 text NOT NULL,
  product_description_2 text NOT NULL,
  meta_title text NOT NULL,
  meta_keywords text NOT NULL,
  meta_description text NOT NULL,
  seo_link varchar(128) NOT NULL
) TYPE=MyISAM;

DROP TABLE IF EXISTS store_products_options;
CREATE TABLE store_products_options (
  options_id int(11) NOT NULL default '0',
  `language` varchar(32) NOT NULL,
  options_name varchar(32) NOT NULL default '',
  PRIMARY KEY  (options_id,`language`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS store_products_options_values;
CREATE TABLE store_products_options_values (
  options_values_id int(11) NOT NULL default '0',
  options_id int(11) NOT NULL default '0',
  `language` varchar(32) NOT NULL default '1',
  products_options_values_name varchar(64) NOT NULL default '',
  is_default int(1) NOT NULL,
  PRIMARY KEY  (options_values_id,options_id,`language`,products_options_values_name),
  KEY is_default (is_default)
) TYPE=MyISAM;

DROP TABLE IF EXISTS store_products_options_values_to_products_options;
CREATE TABLE store_products_options_values_to_products_options (
  options_values_to_options_id int(11) NOT NULL auto_increment,
  options_id int(11) NOT NULL,
  options_values_id int(11) NOT NULL,
  PRIMARY KEY  (options_values_to_options_id)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS store_tax_class;
CREATE TABLE store_tax_class (
  tax_class_id int(11) NOT NULL auto_increment,
  tax_class_title varchar(32) NOT NULL default '',
  tax_class_description varchar(255) NOT NULL default '',
  last_modified datetime default NULL,
  date_added datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (tax_class_id)
) TYPE=MyISAM  AUTO_INCREMENT=3 ;

INSERT INTO store_tax_class VALUES(1, 'Taxable Goods', 'The following types of products are included non-food, services, etc', '2005-02-03 04:11:15', '2005-02-03 04:11:15');
INSERT INTO store_tax_class VALUES(2, 'Free of Tax', 'This product is free of tax', '2005-02-03 04:11:15', '2005-02-03 04:11:15');

DROP TABLE IF EXISTS store_tax_class_desc;
CREATE TABLE store_tax_class_desc (
  tax_class_id int(11) NOT NULL,
  tax_class_title varchar(32) NOT NULL default '',
  tax_class_description varchar(255) NOT NULL default '',
  `language` varchar(32) NOT NULL default '',
  PRIMARY KEY  (tax_class_id,`language`)
) TYPE=MyISAM;

INSERT INTO store_tax_class_desc VALUES(1, 'Taxable Goods', 'This product has taxes', 'english');
INSERT INTO store_tax_class_desc VALUES(1, 'Versteubare Produkt.', 'Dieses Produkt ist Steuerplichtig', 'german');
INSERT INTO store_tax_class_desc VALUES(1, 'Aplica Impuesto', 'Este producto require impuesto', 'mexican');
INSERT INTO store_tax_class_desc VALUES(2, 'Free of Taxes', 'Tax Free', 'english');
INSERT INTO store_tax_class_desc VALUES(2, 'Steuerfrei', 'Dieses Produkt ist Steuerfrei', 'german');
INSERT INTO store_tax_class_desc VALUES(2, 'Libre de impuestos', 'Este producto es libre de impuestos', 'mexican');

DROP TABLE IF EXISTS store_tax_rates;
CREATE TABLE store_tax_rates (
  tax_rates_id int(11) NOT NULL auto_increment,
  tax_rate_status int(1) NOT NULL default '0',
  tax_class_id int(11) NOT NULL default '0',
  tax_rate decimal(7,4) NOT NULL default '0.0000',
  last_modified datetime default NULL,
  date_added datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (tax_rates_id)
) TYPE=MyISAM  AUTO_INCREMENT=1214698328 ;

INSERT INTO store_tax_rates VALUES(1, 1, 1, 7.6000, '2005-02-03 04:11:15', '2005-02-03 04:11:15');
INSERT INTO store_tax_rates VALUES(1189206942, 1, 1, 10.0000, '0000-00-00 00:00:00', '2007-09-08 01:15:42');
INSERT INTO store_tax_rates VALUES(1214698327, 1, 1, 15.0000, '0000-00-00 00:00:00', '2008-06-29 02:12:07');

DROP TABLE IF EXISTS store_tax_rates_desc;
CREATE TABLE store_tax_rates_desc (
  tax_rates_id int(11) NOT NULL,
  tax_description varchar(255) NOT NULL default '',
  `language` varchar(32) NOT NULL default '',
  PRIMARY KEY  (tax_rates_id,`language`)
) TYPE=MyISAM;

INSERT INTO store_tax_rates_desc VALUES(1, 'SwissTax', 'english');
INSERT INTO store_tax_rates_desc VALUES(1, 'Schweizer MWSt', 'german');
INSERT INTO store_tax_rates_desc VALUES(1, 'Impuestos Suizos', 'mexican');
INSERT INTO store_tax_rates_desc VALUES(1189206942, 'fantasy tax', 'english');
INSERT INTO store_tax_rates_desc VALUES(1189206942, 'Impuesto de fantasia', 'mexican');
INSERT INTO store_tax_rates_desc VALUES(1189206942, 'fantasie steuer', 'german');
INSERT INTO store_tax_rates_desc VALUES(1214698327, 'IVA (Mexico)', 'mexican');
INSERT INTO store_tax_rates_desc VALUES(1214698327, 'Tax (Mexico)', 'english');
INSERT INTO store_tax_rates_desc VALUES(1214698327, 'Tax (Mexico)', 'german');

DROP TABLE IF EXISTS store_temp_basket;
CREATE TABLE store_temp_basket (
  store_basket_id int(11) NOT NULL auto_increment,
  session_id varchar(33) NOT NULL default '0',
  products_id int(10) NOT NULL,
  products_quantity int(2) NOT NULL default '0',
  final_price decimal(15,4) default NULL,
  date_added timestamp NOT NULL,
  counter int(10) NOT NULL,
  PRIMARY KEY  (store_basket_id,products_id,counter),
  KEY session_id (session_id)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS store_temp_basket_attributes;
CREATE TABLE store_temp_basket_attributes (
  store_basket_id int(10) NOT NULL,
  session_id varchar(33) NOT NULL,
  products_id int(10) NOT NULL,
  options_id int(11) NOT NULL,
  options_values_id int(11) NOT NULL,
  counter int(10) NOT NULL,
  PRIMARY KEY  (store_basket_id,session_id,products_id,options_id,options_values_id,counter)
) TYPE=MyISAM;

DROP TABLE IF EXISTS store_user_rights;
CREATE TABLE store_user_rights (
  rights_id int(10) NOT NULL auto_increment,
  title varchar(64) NOT NULL,
  description varchar(128) NOT NULL,
  elemental int(1) NOT NULL,
  PRIMARY KEY  (title),
  KEY task_id (rights_id,elemental)
) TYPE=MyISAM  AUTO_INCREMENT=609 ;

INSERT INTO `store_user_rights` VALUES(100, 'ASYSTEM_ACCESS', 'Access Store Admin Panel', 1);
INSERT INTO `store_user_rights` VALUES(110, 'A_CONFIGURE_ACCESS', 'Access Configuration Administration', 1);
INSERT INTO `store_user_rights` VALUES(111, 'A_CONFIGURE_ADD', 'Add a new configuration key', 1);
INSERT INTO `store_user_rights` VALUES(112, 'A_CONFIGURE_EDIT', 'Edit configuration key', 1);
INSERT INTO `store_user_rights` VALUES(113, 'A_CONFIGURE_DELETE', 'Delete configuration key', 1);
INSERT INTO `store_user_rights` VALUES(120, 'A_CURRENCIES_ACCESS', 'Access Currencies Administration', 1);
INSERT INTO `store_user_rights` VALUES(121, 'A_CURRENCIES_ADD', 'Add a Currency', 1);
INSERT INTO `store_user_rights` VALUES(122, 'A_CURRENCIES_EDIT', 'Edit Currency', 1);
INSERT INTO `store_user_rights` VALUES(123, 'A_CURRENCIES_DELETE', 'Delete Currency', 1);
INSERT INTO `store_user_rights` VALUES(124, 'A_CURRENCIES_UPDATE_ALL', 'Update all currencies', 1);
INSERT INTO `store_user_rights` VALUES(130, 'A_METAS_ACCESS', 'Access Metatags Administration', 1);
INSERT INTO `store_user_rights` VALUES(131, 'A_METAS_EDIT', 'Edit main store header metatags', 1);
INSERT INTO `store_user_rights` VALUES(140, 'A_MODULES_ACCESS', 'Access Modules Administration', 1);
INSERT INTO `store_user_rights` VALUES(141, 'A_MODULES_EDIT', 'Edit store modules', 1);
INSERT INTO `store_user_rights` VALUES(150, 'A_POSITIONS_ACCESS', 'Access Positions Administration', 1);
INSERT INTO `store_user_rights` VALUES(151, 'A_POSITIONS_BLOCK_ADD', 'Add a new Block on a position', 1);
INSERT INTO `store_user_rights` VALUES(152, 'A_POSITIONS_BLOCK_EDIT', 'Edit Block on a position', 1);
INSERT INTO `store_user_rights` VALUES(153, 'A_POSITIONS_BLOCK_DEL', 'Delete Block', 1);
INSERT INTO `store_user_rights` VALUES(154, 'A_POSITIONS_POS_ADD', 'Add a new Position', 1);
INSERT INTO `store_user_rights` VALUES(155, 'A_POSITIONS_POS_EDIT', 'Edit Position', 1);
INSERT INTO `store_user_rights` VALUES(156, 'A_POSITIONS_POS_DEL', 'Delete Position', 1);
INSERT INTO `store_user_rights` VALUES(160, 'A_USER_DETAILS_ACCESS', 'Access User Details', 1);
INSERT INTO `store_user_rights` VALUES(161, 'A_USER_RIGHTS_ACCESS', 'Access User Rights', 1);
INSERT INTO `store_user_rights` VALUES(162, 'A_USER_RIGHTS_TASK_ADD', 'Add User Rights', 1);
INSERT INTO `store_user_rights` VALUES(163, 'A_USER_RIGHTS_TASK_EDIT_SAME', 'Edit User Rights for same/higher Group ', 1);
INSERT INTO `store_user_rights` VALUES(164, 'A_USER_RIGHTS_TASK_EDIT_LOW', 'Edit User Rights for same/lower Group ', 1);
INSERT INTO `store_user_rights` VALUES(166, 'A_USER_RIGHTS_TASK2GROUP', 'Edit User Rights (Same UserGroup)', 1);
INSERT INTO `store_user_rights` VALUES(169, 'A_USER_RIGHTS_TASK_VIEW', 'View User Rights tasks', 1);
INSERT INTO `store_user_rights` VALUES(165, 'A_USER_RIGHTS_TASK_OVER', 'Override all User Rights from Groups', 1);
INSERT INTO `store_user_rights` VALUES(167, 'A_USER_RIGHTS_SAME', 'Edit User Rights for same/higher Group', 1);
INSERT INTO `store_user_rights` VALUES(168, 'A_USER_RIGHTS_LOW', 'Edit User Rights for same/lower Group ', 1);
INSERT INTO `store_user_rights` VALUES(170, 'CONTENT_ADMIN_ACCESS', 'Access Store Content', 1);
INSERT INTO `store_user_rights` VALUES(171, 'CONTENT_ART_ADD', 'Add an article in store content', 1);
INSERT INTO `store_user_rights` VALUES(172, 'CONTENT_ART_ADD_TARGETED', 'Add an article to an exclusive user', 1);
INSERT INTO `store_user_rights` VALUES(173, 'CONTENT_ART_EDIT', 'Edit content articles', 1);
INSERT INTO `store_user_rights` VALUES(174, 'CONTENT_ART_DEL', 'Delete content articles', 1);
INSERT INTO `store_user_rights` VALUES(175, 'CONTENT_CAT_ADD', 'Add content categories', 1);
INSERT INTO `store_user_rights` VALUES(176, 'CONTENT_CAT_EDIT', 'Edit content categories', 1);
INSERT INTO `store_user_rights` VALUES(177, 'CONTENT_CAT_DEL', 'Delete content categories', 1);
INSERT INTO `store_user_rights` VALUES(180, 'CONTENT_LAYOUT_ACCESS', 'Access and Manage the Layout of the Store', 1);
INSERT INTO `store_user_rights` VALUES(190, 'FINANCES_ACCESS', 'Access Finances', 1);
INSERT INTO `store_user_rights` VALUES(191, 'FINANCES_ORDERS_VIEW_OWN', 'View Order Details (Own Orders)', 1);
INSERT INTO `store_user_rights` VALUES(192, 'FINANCES_ORDERS_VIEW_OTHERS', 'View Order Details (Other Orders)', 1);
INSERT INTO `store_user_rights` VALUES(193, 'FINANCES_ORDERS_VIEW_SAME', 'View Order Details (Same UserGroup Orders)', 1);
INSERT INTO `store_user_rights` VALUES(194, 'FINANCES_ORDERS_VIEW_LOW', 'View Order Details (Subuser Orders)', 1);
INSERT INTO `store_user_rights` VALUES(195, 'FINANCES_ORDERS_EDIT_OWN', 'Edit Orders (Own Orders)', 1);
INSERT INTO `store_user_rights` VALUES(196, 'FINANCES_ORDERS_EDIT_OTHERS', 'Edit Orders (Other Orders)', 1);
INSERT INTO `store_user_rights` VALUES(197, 'FINANCES_ORDERS_EDIT_SAME', 'Edit Orders (Same UserGroup Orders)', 1);
INSERT INTO `store_user_rights` VALUES(198, 'FINANCES_ORDERS_EDIT_LOW', 'Edit Orders (Subuser Orders)', 1);
INSERT INTO `store_user_rights` VALUES(199, 'FINANCES_ORDERS_FINISHED', 'Set order status to FINISHED', 1);
INSERT INTO `store_user_rights` VALUES(200, 'FINANCES_ORDERS_PENDING', 'Set order status to PENDING', 1);
INSERT INTO `store_user_rights` VALUES(201, 'FINANCES_ORDERS_PROCESSING', 'Set order status to PROCESSING', 1);
INSERT INTO `store_user_rights` VALUES(202, 'STORE_ADMIN_ACCESS', 'Access Category & Product Administration', 1);
INSERT INTO `store_user_rights` VALUES(203, 'STORE_PROD_ADD_OWN', 'Add product (with own user id)', 1);
INSERT INTO `store_user_rights` VALUES(204, 'STORE_PROD_ADD_OTHERS', 'Add product (to other user ids)', 1);
INSERT INTO `store_user_rights` VALUES(205, 'STORE_PROD_ADD_OTHERS_SAME', 'Add product to users on the same group', 1);
INSERT INTO `store_user_rights` VALUES(206, 'STORE_PROD_ADD_OTHERS_LOW', 'Add product to subusers', 1);
INSERT INTO `store_user_rights` VALUES(207, 'STORE_PROD_ADD_TARG_USER', 'Add a product exclusivly to a user', 1);
INSERT INTO `store_user_rights` VALUES(208, 'STORE_PROD_ADD_TARG_GROUP', 'Add a product exclusivly to a group', 1);
INSERT INTO `store_user_rights` VALUES(209, 'STORE_PROD_EDIT_OWN', 'Edit product (with own user id)', 1);
INSERT INTO `store_user_rights` VALUES(300, 'STORE_PROD_EDIT_OTHERS', 'Edit product (to other user ids)', 1);
INSERT INTO `store_user_rights` VALUES(301, 'STORE_PROD_EDIT_OTHERS_SAME', 'Edit product to users on the same group', 1);
INSERT INTO `store_user_rights` VALUES(302, 'STORE_PROD_EDIT_OTHERS_LOW', 'Edit product to subusers', 1);
INSERT INTO `store_user_rights` VALUES(303, 'STORE_PROD_DEL_OWN', 'Delete product (with own user id)', 1);
INSERT INTO `store_user_rights` VALUES(304, 'STORE_PROD_DEL_OTHERS', 'Delete product (to other user ids)', 1);
INSERT INTO `store_user_rights` VALUES(305, 'STORE_PROD_DEL_OTHERS_SAME', 'Delete product to users on the same group', 1);
INSERT INTO `store_user_rights` VALUES(306, 'STORE_PROD_DEL_OTHERS_LOW', 'Delete product to subusers', 1);
INSERT INTO `store_user_rights` VALUES(307, 'STORE_CAT_ADD_OWN', 'Add category (with own user id)', 1);
INSERT INTO `store_user_rights` VALUES(308, 'STORE_CAT_ADD_OTHERS', 'Add category (to other user ids)', 1);
INSERT INTO `store_user_rights` VALUES(309, 'STORE_CAT_ADD_OTHERS_SAME', 'Add category to users on the same group', 1);
INSERT INTO `store_user_rights` VALUES(400, 'STORE_CAT_ADD_OTHERS_LOW', 'Add category to subusers', 1);
INSERT INTO `store_user_rights` VALUES(401, 'STORE_CAT_ADD_TARG_USER', 'Add category exclusivly to a user', 1);
INSERT INTO `store_user_rights` VALUES(402, 'STORE_CAT_ADD_TARG_GROUP', 'Add category exclusivly to a group', 1);
INSERT INTO `store_user_rights` VALUES(403, 'STORE_CAT_EDIT_OWN', 'Edit category (with own user id)', 1);
INSERT INTO `store_user_rights` VALUES(404, 'STORE_CAT_EDIT_OTHERS', 'Edit category (to other user ids)', 1);
INSERT INTO `store_user_rights` VALUES(405, 'STORE_CAT_EDIT_OTHERS_SAME', 'Edit category to users on the same group', 1);
INSERT INTO `store_user_rights` VALUES(406, 'STORE_CAT_EDIT_OTHERS_LOW', 'Edit category to subusers', 1);
INSERT INTO `store_user_rights` VALUES(407, 'STORE_CAT_DEL_OWN', 'Delete category (with own user id)', 1);
INSERT INTO `store_user_rights` VALUES(508, 'STORE_CAT_DEL_OTHERS', 'Delete category (to other user ids)', 1);
INSERT INTO `store_user_rights` VALUES(509, 'STORE_CAT_DEL_OTHERS_SAME', 'Delete category to users on the same group', 1);
INSERT INTO `store_user_rights` VALUES(500, 'STORE_CAT_DEL_OTHERS_LOW', 'Delete category to subusers', 1);
INSERT INTO `store_user_rights` VALUES(520, 'STORE_PROD_ATTR_VIEW', 'View products options', 1);
INSERT INTO `store_user_rights` VALUES(521, 'STORE_PROD_ATTR_ADD', 'Add products options', 1);
INSERT INTO `store_user_rights` VALUES(522, 'STORE_PROD_ATTR_EDIT', 'Edit products options', 1);
INSERT INTO `store_user_rights` VALUES(523, 'STORE_PROD_ATTR_DEL', 'Delete products options', 1);
INSERT INTO `store_user_rights` VALUES(520, 'STORE_MANUFACTURER_VIEW', 'View products options', 1);
INSERT INTO `store_user_rights` VALUES(521, 'STORE_MANUFACTURER_ADD', 'Add products options', 1);
INSERT INTO `store_user_rights` VALUES(522, 'STORE_MANUFACTURER_EDIT', 'Edit products options', 1);
INSERT INTO `store_user_rights` VALUES(523, 'STORE_MANUFACTURER_DEL', 'Delete products options', 1);
INSERT INTO `store_user_rights` VALUES(600, 'STORE_LAYOUT_ACCESS', 'Access and Manage Store Layout', 1);
INSERT INTO `store_user_rights` VALUES(602, 'A_TAXES_ACCESS', 'Access Taxes Configuration', 1);
INSERT INTO `store_user_rights` VALUES(603, 'A_TAXES_CLASS_ADD', 'Add a tax class', 1);
INSERT INTO `store_user_rights` VALUES(604, 'A_TAXES_CLASS_EDIT', 'Edit a tax class', 1);
INSERT INTO `store_user_rights` VALUES(605, 'A_TAXES_CLASS_DEL', 'Delete a tax class', 1);
INSERT INTO `store_user_rights` VALUES(606, 'A_TAXES_RATE_ADD', 'Add a tax rate', 1);
INSERT INTO `store_user_rights` VALUES(607, 'A_TAXES_RATE_EDIT', 'Edit a tax rate', 1);
INSERT INTO `store_user_rights` VALUES(608, 'A_TAXES_RATE_DEL', 'Delete a tax rate', 1);

DROP TABLE IF EXISTS store_user_rights2groups;
CREATE TABLE store_user_rights2groups (
  group_id int(10) NOT NULL,
  user_rights_id int(10) NOT NULL,
  `value` int(1) NOT NULL,
  PRIMARY KEY  (group_id,user_rights_id)
) TYPE=MyISAM;

INSERT INTO store_user_rights2groups VALUES(1, 100, 1);
INSERT INTO store_user_rights2groups VALUES(2, 100, 0);
INSERT INTO store_user_rights2groups VALUES(100, 100, 1);
INSERT INTO store_user_rights2groups VALUES(101, 100, 1);
INSERT INTO store_user_rights2groups VALUES(102, 100, 1);
INSERT INTO store_user_rights2groups VALUES(200, 100, 0);
INSERT INTO store_user_rights2groups VALUES(1, 110, 1);
INSERT INTO store_user_rights2groups VALUES(2, 110, 0);
INSERT INTO store_user_rights2groups VALUES(100, 110, 1);
INSERT INTO store_user_rights2groups VALUES(101, 110, 1);
INSERT INTO store_user_rights2groups VALUES(102, 110, 0);
INSERT INTO store_user_rights2groups VALUES(200, 110, 0);
INSERT INTO store_user_rights2groups VALUES(1, 111, 1);
INSERT INTO store_user_rights2groups VALUES(2, 111, 0);
INSERT INTO store_user_rights2groups VALUES(100, 111, 1);
INSERT INTO store_user_rights2groups VALUES(101, 111, 0);
INSERT INTO store_user_rights2groups VALUES(102, 111, 0);
INSERT INTO store_user_rights2groups VALUES(200, 111, 0);
INSERT INTO store_user_rights2groups VALUES(1, 113, 1);
INSERT INTO store_user_rights2groups VALUES(2, 113, 0);
INSERT INTO store_user_rights2groups VALUES(100, 113, 1);
INSERT INTO store_user_rights2groups VALUES(101, 113, 0);
INSERT INTO store_user_rights2groups VALUES(102, 113, 0);
INSERT INTO store_user_rights2groups VALUES(200, 113, 0);
INSERT INTO store_user_rights2groups VALUES(1, 112, 1);
INSERT INTO store_user_rights2groups VALUES(2, 112, 0);
INSERT INTO store_user_rights2groups VALUES(100, 112, 1);
INSERT INTO store_user_rights2groups VALUES(101, 112, 0);
INSERT INTO store_user_rights2groups VALUES(102, 112, 0);
INSERT INTO store_user_rights2groups VALUES(200, 112, 0);
INSERT INTO store_user_rights2groups VALUES(1, 120, 1);
INSERT INTO store_user_rights2groups VALUES(2, 120, 0);
INSERT INTO store_user_rights2groups VALUES(100, 120, 1);
INSERT INTO store_user_rights2groups VALUES(101, 120, 1);
INSERT INTO store_user_rights2groups VALUES(102, 120, 1);
INSERT INTO store_user_rights2groups VALUES(200, 120, 0);
INSERT INTO store_user_rights2groups VALUES(1, 121, 1);
INSERT INTO store_user_rights2groups VALUES(2, 121, 0);
INSERT INTO store_user_rights2groups VALUES(100, 121, 1);
INSERT INTO store_user_rights2groups VALUES(101, 121, 1);
INSERT INTO store_user_rights2groups VALUES(102, 121, 1);
INSERT INTO store_user_rights2groups VALUES(200, 121, 0);
INSERT INTO store_user_rights2groups VALUES(1, 123, 1);
INSERT INTO store_user_rights2groups VALUES(2, 123, 0);
INSERT INTO store_user_rights2groups VALUES(100, 123, 1);
INSERT INTO store_user_rights2groups VALUES(101, 123, 0);
INSERT INTO store_user_rights2groups VALUES(102, 123, 0);
INSERT INTO store_user_rights2groups VALUES(200, 123, 0);
INSERT INTO store_user_rights2groups VALUES(1, 122, 1);
INSERT INTO store_user_rights2groups VALUES(2, 122, 0);
INSERT INTO store_user_rights2groups VALUES(100, 122, 1);
INSERT INTO store_user_rights2groups VALUES(101, 122, 1);
INSERT INTO store_user_rights2groups VALUES(102, 122, 1);
INSERT INTO store_user_rights2groups VALUES(200, 122, 0);
INSERT INTO store_user_rights2groups VALUES(1, 124, 1);
INSERT INTO store_user_rights2groups VALUES(2, 124, 0);
INSERT INTO store_user_rights2groups VALUES(100, 124, 1);
INSERT INTO store_user_rights2groups VALUES(101, 124, 1);
INSERT INTO store_user_rights2groups VALUES(102, 124, 1);
INSERT INTO store_user_rights2groups VALUES(200, 124, 0);
INSERT INTO store_user_rights2groups VALUES(1, 130, 1);
INSERT INTO store_user_rights2groups VALUES(2, 130, 0);
INSERT INTO store_user_rights2groups VALUES(100, 130, 1);
INSERT INTO store_user_rights2groups VALUES(101, 130, 1);
INSERT INTO store_user_rights2groups VALUES(102, 130, 0);
INSERT INTO store_user_rights2groups VALUES(200, 130, 0);
INSERT INTO store_user_rights2groups VALUES(1, 131, 1);
INSERT INTO store_user_rights2groups VALUES(2, 131, 0);
INSERT INTO store_user_rights2groups VALUES(100, 131, 1);
INSERT INTO store_user_rights2groups VALUES(101, 131, 1);
INSERT INTO store_user_rights2groups VALUES(102, 131, 0);
INSERT INTO store_user_rights2groups VALUES(200, 131, 0);
INSERT INTO store_user_rights2groups VALUES(1, 140, 1);
INSERT INTO store_user_rights2groups VALUES(2, 140, 0);
INSERT INTO store_user_rights2groups VALUES(100, 140, 1);
INSERT INTO store_user_rights2groups VALUES(101, 140, 1);
INSERT INTO store_user_rights2groups VALUES(102, 140, 0);
INSERT INTO store_user_rights2groups VALUES(200, 140, 0);
INSERT INTO store_user_rights2groups VALUES(1, 141, 1);
INSERT INTO store_user_rights2groups VALUES(2, 141, 0);
INSERT INTO store_user_rights2groups VALUES(100, 141, 1);
INSERT INTO store_user_rights2groups VALUES(101, 141, 1);
INSERT INTO store_user_rights2groups VALUES(102, 141, 0);
INSERT INTO store_user_rights2groups VALUES(200, 141, 0);
INSERT INTO store_user_rights2groups VALUES(1, 150, 1);
INSERT INTO store_user_rights2groups VALUES(2, 150, 0);
INSERT INTO store_user_rights2groups VALUES(100, 150, 1);
INSERT INTO store_user_rights2groups VALUES(101, 150, 1);
INSERT INTO store_user_rights2groups VALUES(102, 150, 0);
INSERT INTO store_user_rights2groups VALUES(200, 150, 0);
INSERT INTO store_user_rights2groups VALUES(1, 151, 1);
INSERT INTO store_user_rights2groups VALUES(2, 151, 0);
INSERT INTO store_user_rights2groups VALUES(100, 151, 1);
INSERT INTO store_user_rights2groups VALUES(101, 151, 1);
INSERT INTO store_user_rights2groups VALUES(102, 151, 0);
INSERT INTO store_user_rights2groups VALUES(200, 151, 0);
INSERT INTO store_user_rights2groups VALUES(1, 153, 1);
INSERT INTO store_user_rights2groups VALUES(2, 153, 0);
INSERT INTO store_user_rights2groups VALUES(100, 153, 1);
INSERT INTO store_user_rights2groups VALUES(101, 153, 0);
INSERT INTO store_user_rights2groups VALUES(102, 153, 0);
INSERT INTO store_user_rights2groups VALUES(200, 153, 0);
INSERT INTO store_user_rights2groups VALUES(1, 152, 1);
INSERT INTO store_user_rights2groups VALUES(2, 152, 0);
INSERT INTO store_user_rights2groups VALUES(100, 152, 1);
INSERT INTO store_user_rights2groups VALUES(101, 152, 1);
INSERT INTO store_user_rights2groups VALUES(102, 152, 0);
INSERT INTO store_user_rights2groups VALUES(200, 152, 0);
INSERT INTO store_user_rights2groups VALUES(1, 154, 1);
INSERT INTO store_user_rights2groups VALUES(2, 154, 0);
INSERT INTO store_user_rights2groups VALUES(100, 154, 1);
INSERT INTO store_user_rights2groups VALUES(101, 154, 0);
INSERT INTO store_user_rights2groups VALUES(102, 154, 0);
INSERT INTO store_user_rights2groups VALUES(200, 154, 0);
INSERT INTO store_user_rights2groups VALUES(1, 156, 1);
INSERT INTO store_user_rights2groups VALUES(2, 156, 0);
INSERT INTO store_user_rights2groups VALUES(100, 156, 1);
INSERT INTO store_user_rights2groups VALUES(101, 156, 0);
INSERT INTO store_user_rights2groups VALUES(102, 156, 0);
INSERT INTO store_user_rights2groups VALUES(200, 156, 0);
INSERT INTO store_user_rights2groups VALUES(1, 155, 1);
INSERT INTO store_user_rights2groups VALUES(2, 155, 0);
INSERT INTO store_user_rights2groups VALUES(100, 155, 1);
INSERT INTO store_user_rights2groups VALUES(101, 155, 0);
INSERT INTO store_user_rights2groups VALUES(102, 155, 0);
INSERT INTO store_user_rights2groups VALUES(200, 155, 0);
INSERT INTO store_user_rights2groups VALUES(1, 160, 1);
INSERT INTO store_user_rights2groups VALUES(2, 160, 0);
INSERT INTO store_user_rights2groups VALUES(100, 160, 1);
INSERT INTO store_user_rights2groups VALUES(101, 160, 1);
INSERT INTO store_user_rights2groups VALUES(102, 160, 1);
INSERT INTO store_user_rights2groups VALUES(200, 160, 0);
INSERT INTO store_user_rights2groups VALUES(1, 161, 1);
INSERT INTO store_user_rights2groups VALUES(2, 161, 0);
INSERT INTO store_user_rights2groups VALUES(100, 161, 1);
INSERT INTO store_user_rights2groups VALUES(101, 161, 1);
INSERT INTO store_user_rights2groups VALUES(102, 161, 0);
INSERT INTO store_user_rights2groups VALUES(200, 161, 0);
INSERT INTO store_user_rights2groups VALUES(1, 168, 1);
INSERT INTO store_user_rights2groups VALUES(2, 168, 0);
INSERT INTO store_user_rights2groups VALUES(100, 168, 1);
INSERT INTO store_user_rights2groups VALUES(101, 168, 1);
INSERT INTO store_user_rights2groups VALUES(102, 168, 0);
INSERT INTO store_user_rights2groups VALUES(200, 168, 0);
INSERT INTO store_user_rights2groups VALUES(1, 167, 1);
INSERT INTO store_user_rights2groups VALUES(2, 167, 0);
INSERT INTO store_user_rights2groups VALUES(100, 167, 1);
INSERT INTO store_user_rights2groups VALUES(101, 167, 1);
INSERT INTO store_user_rights2groups VALUES(102, 167, 0);
INSERT INTO store_user_rights2groups VALUES(200, 167, 0);
INSERT INTO store_user_rights2groups VALUES(1, 166, 1);
INSERT INTO store_user_rights2groups VALUES(2, 166, 0);
INSERT INTO store_user_rights2groups VALUES(100, 166, 1);
INSERT INTO store_user_rights2groups VALUES(101, 166, 1);
INSERT INTO store_user_rights2groups VALUES(102, 166, 0);
INSERT INTO store_user_rights2groups VALUES(200, 166, 0);
INSERT INTO store_user_rights2groups VALUES(1, 162, 1);
INSERT INTO store_user_rights2groups VALUES(2, 162, 0);
INSERT INTO store_user_rights2groups VALUES(100, 162, 1);
INSERT INTO store_user_rights2groups VALUES(101, 162, 0);
INSERT INTO store_user_rights2groups VALUES(102, 162, 0);
INSERT INTO store_user_rights2groups VALUES(200, 162, 0);
INSERT INTO store_user_rights2groups VALUES(1, 164, 1);
INSERT INTO store_user_rights2groups VALUES(2, 164, 0);
INSERT INTO store_user_rights2groups VALUES(100, 164, 1);
INSERT INTO store_user_rights2groups VALUES(101, 164, 1);
INSERT INTO store_user_rights2groups VALUES(102, 164, 0);
INSERT INTO store_user_rights2groups VALUES(200, 164, 0);
INSERT INTO store_user_rights2groups VALUES(1, 163, 1);
INSERT INTO store_user_rights2groups VALUES(2, 163, 0);
INSERT INTO store_user_rights2groups VALUES(100, 163, 1);
INSERT INTO store_user_rights2groups VALUES(101, 163, 1);
INSERT INTO store_user_rights2groups VALUES(102, 163, 0);
INSERT INTO store_user_rights2groups VALUES(200, 163, 0);
INSERT INTO store_user_rights2groups VALUES(1, 165, 1);
INSERT INTO store_user_rights2groups VALUES(2, 165, 0);
INSERT INTO store_user_rights2groups VALUES(100, 165, 1);
INSERT INTO store_user_rights2groups VALUES(101, 165, 1);
INSERT INTO store_user_rights2groups VALUES(102, 165, 0);
INSERT INTO store_user_rights2groups VALUES(200, 165, 0);
INSERT INTO store_user_rights2groups VALUES(1, 170, 1);
INSERT INTO store_user_rights2groups VALUES(2, 170, 0);
INSERT INTO store_user_rights2groups VALUES(100, 170, 1);
INSERT INTO store_user_rights2groups VALUES(101, 170, 1);
INSERT INTO store_user_rights2groups VALUES(102, 170, 0);
INSERT INTO store_user_rights2groups VALUES(200, 170, 0);
INSERT INTO store_user_rights2groups VALUES(1, 171, 1);
INSERT INTO store_user_rights2groups VALUES(2, 171, 0);
INSERT INTO store_user_rights2groups VALUES(100, 171, 1);
INSERT INTO store_user_rights2groups VALUES(101, 171, 1);
INSERT INTO store_user_rights2groups VALUES(102, 171, 0);
INSERT INTO store_user_rights2groups VALUES(200, 171, 0);
INSERT INTO store_user_rights2groups VALUES(1, 172, 1);
INSERT INTO store_user_rights2groups VALUES(2, 172, 0);
INSERT INTO store_user_rights2groups VALUES(100, 172, 1);
INSERT INTO store_user_rights2groups VALUES(101, 172, 1);
INSERT INTO store_user_rights2groups VALUES(102, 172, 0);
INSERT INTO store_user_rights2groups VALUES(200, 172, 0);
INSERT INTO store_user_rights2groups VALUES(1, 174, 1);
INSERT INTO store_user_rights2groups VALUES(2, 174, 0);
INSERT INTO store_user_rights2groups VALUES(100, 174, 1);
INSERT INTO store_user_rights2groups VALUES(101, 174, 1);
INSERT INTO store_user_rights2groups VALUES(102, 174, 0);
INSERT INTO store_user_rights2groups VALUES(200, 174, 0);
INSERT INTO store_user_rights2groups VALUES(1, 173, 1);
INSERT INTO store_user_rights2groups VALUES(2, 173, 0);
INSERT INTO store_user_rights2groups VALUES(100, 173, 1);
INSERT INTO store_user_rights2groups VALUES(101, 173, 1);
INSERT INTO store_user_rights2groups VALUES(102, 173, 0);
INSERT INTO store_user_rights2groups VALUES(200, 173, 0);
INSERT INTO store_user_rights2groups VALUES(1, 175, 1);
INSERT INTO store_user_rights2groups VALUES(2, 175, 0);
INSERT INTO store_user_rights2groups VALUES(100, 175, 1);
INSERT INTO store_user_rights2groups VALUES(101, 175, 1);
INSERT INTO store_user_rights2groups VALUES(102, 175, 0);
INSERT INTO store_user_rights2groups VALUES(200, 175, 0);
INSERT INTO store_user_rights2groups VALUES(1, 177, 1);
INSERT INTO store_user_rights2groups VALUES(2, 177, 0);
INSERT INTO store_user_rights2groups VALUES(100, 177, 1);
INSERT INTO store_user_rights2groups VALUES(101, 177, 1);
INSERT INTO store_user_rights2groups VALUES(102, 177, 0);
INSERT INTO store_user_rights2groups VALUES(200, 177, 0);
INSERT INTO store_user_rights2groups VALUES(1, 176, 1);
INSERT INTO store_user_rights2groups VALUES(2, 176, 0);
INSERT INTO store_user_rights2groups VALUES(100, 176, 1);
INSERT INTO store_user_rights2groups VALUES(101, 176, 1);
INSERT INTO store_user_rights2groups VALUES(102, 176, 0);
INSERT INTO store_user_rights2groups VALUES(200, 176, 0);
INSERT INTO store_user_rights2groups VALUES(1, 180, 1);
INSERT INTO store_user_rights2groups VALUES(2, 180, 0);
INSERT INTO store_user_rights2groups VALUES(100, 180, 1);
INSERT INTO store_user_rights2groups VALUES(101, 180, 1);
INSERT INTO store_user_rights2groups VALUES(102, 180, 0);
INSERT INTO store_user_rights2groups VALUES(200, 180, 0);
INSERT INTO store_user_rights2groups VALUES(1, 190, 1);
INSERT INTO store_user_rights2groups VALUES(2, 190, 0);
INSERT INTO store_user_rights2groups VALUES(100, 190, 1);
INSERT INTO store_user_rights2groups VALUES(101, 190, 1);
INSERT INTO store_user_rights2groups VALUES(102, 190, 1);
INSERT INTO store_user_rights2groups VALUES(200, 190, 0);
INSERT INTO store_user_rights2groups VALUES(1, 198, 1);
INSERT INTO store_user_rights2groups VALUES(2, 198, 0);
INSERT INTO store_user_rights2groups VALUES(100, 198, 1);
INSERT INTO store_user_rights2groups VALUES(101, 198, 1);
INSERT INTO store_user_rights2groups VALUES(102, 198, 1);
INSERT INTO store_user_rights2groups VALUES(200, 198, 0);
INSERT INTO store_user_rights2groups VALUES(1, 196, 1);
INSERT INTO store_user_rights2groups VALUES(2, 196, 0);
INSERT INTO store_user_rights2groups VALUES(100, 196, 1);
INSERT INTO store_user_rights2groups VALUES(101, 196, 1);
INSERT INTO store_user_rights2groups VALUES(102, 196, 1);
INSERT INTO store_user_rights2groups VALUES(200, 196, 0);
INSERT INTO store_user_rights2groups VALUES(1, 195, 1);
INSERT INTO store_user_rights2groups VALUES(2, 195, 0);
INSERT INTO store_user_rights2groups VALUES(100, 195, 1);
INSERT INTO store_user_rights2groups VALUES(101, 195, 1);
INSERT INTO store_user_rights2groups VALUES(102, 195, 1);
INSERT INTO store_user_rights2groups VALUES(200, 195, 0);
INSERT INTO store_user_rights2groups VALUES(1, 197, 1);
INSERT INTO store_user_rights2groups VALUES(2, 197, 0);
INSERT INTO store_user_rights2groups VALUES(100, 197, 1);
INSERT INTO store_user_rights2groups VALUES(101, 197, 1);
INSERT INTO store_user_rights2groups VALUES(102, 197, 1);
INSERT INTO store_user_rights2groups VALUES(200, 197, 0);
INSERT INTO store_user_rights2groups VALUES(1, 199, 1);
INSERT INTO store_user_rights2groups VALUES(2, 199, 0);
INSERT INTO store_user_rights2groups VALUES(100, 199, 1);
INSERT INTO store_user_rights2groups VALUES(101, 199, 1);
INSERT INTO store_user_rights2groups VALUES(102, 199, 1);
INSERT INTO store_user_rights2groups VALUES(200, 199, 0);
INSERT INTO store_user_rights2groups VALUES(1, 200, 1);
INSERT INTO store_user_rights2groups VALUES(2, 200, 0);
INSERT INTO store_user_rights2groups VALUES(100, 200, 1);
INSERT INTO store_user_rights2groups VALUES(101, 200, 1);
INSERT INTO store_user_rights2groups VALUES(102, 200, 1);
INSERT INTO store_user_rights2groups VALUES(200, 200, 0);
INSERT INTO store_user_rights2groups VALUES(1, 201, 1);
INSERT INTO store_user_rights2groups VALUES(2, 201, 0);
INSERT INTO store_user_rights2groups VALUES(100, 201, 1);
INSERT INTO store_user_rights2groups VALUES(101, 201, 1);
INSERT INTO store_user_rights2groups VALUES(102, 201, 1);
INSERT INTO store_user_rights2groups VALUES(200, 201, 0);
INSERT INTO store_user_rights2groups VALUES(1, 194, 1);
INSERT INTO store_user_rights2groups VALUES(2, 194, 0);
INSERT INTO store_user_rights2groups VALUES(100, 194, 1);
INSERT INTO store_user_rights2groups VALUES(101, 194, 1);
INSERT INTO store_user_rights2groups VALUES(102, 194, 1);
INSERT INTO store_user_rights2groups VALUES(200, 194, 0);
INSERT INTO store_user_rights2groups VALUES(1, 192, 1);
INSERT INTO store_user_rights2groups VALUES(2, 192, 0);
INSERT INTO store_user_rights2groups VALUES(100, 192, 1);
INSERT INTO store_user_rights2groups VALUES(101, 192, 1);
INSERT INTO store_user_rights2groups VALUES(102, 192, 1);
INSERT INTO store_user_rights2groups VALUES(200, 192, 0);
INSERT INTO store_user_rights2groups VALUES(1, 191, 1);
INSERT INTO store_user_rights2groups VALUES(2, 191, 0);
INSERT INTO store_user_rights2groups VALUES(100, 191, 1);
INSERT INTO store_user_rights2groups VALUES(101, 191, 1);
INSERT INTO store_user_rights2groups VALUES(102, 191, 1);
INSERT INTO store_user_rights2groups VALUES(200, 191, 0);
INSERT INTO store_user_rights2groups VALUES(1, 193, 1);
INSERT INTO store_user_rights2groups VALUES(2, 193, 0);
INSERT INTO store_user_rights2groups VALUES(100, 193, 1);
INSERT INTO store_user_rights2groups VALUES(101, 193, 1);
INSERT INTO store_user_rights2groups VALUES(102, 193, 1);
INSERT INTO store_user_rights2groups VALUES(200, 193, 0);
INSERT INTO store_user_rights2groups VALUES(1, 202, 1);
INSERT INTO store_user_rights2groups VALUES(2, 202, 0);
INSERT INTO store_user_rights2groups VALUES(100, 202, 1);
INSERT INTO store_user_rights2groups VALUES(101, 202, 1);
INSERT INTO store_user_rights2groups VALUES(102, 202, 0);
INSERT INTO store_user_rights2groups VALUES(200, 202, 0);
INSERT INTO store_user_rights2groups VALUES(1, 308, 1);
INSERT INTO store_user_rights2groups VALUES(2, 308, 0);
INSERT INTO store_user_rights2groups VALUES(100, 308, 1);
INSERT INTO store_user_rights2groups VALUES(101, 308, 1);
INSERT INTO store_user_rights2groups VALUES(102, 308, 0);
INSERT INTO store_user_rights2groups VALUES(200, 308, 0);
INSERT INTO store_user_rights2groups VALUES(1, 400, 1);
INSERT INTO store_user_rights2groups VALUES(2, 400, 0);
INSERT INTO store_user_rights2groups VALUES(100, 400, 1);
INSERT INTO store_user_rights2groups VALUES(101, 400, 1);
INSERT INTO store_user_rights2groups VALUES(102, 400, 0);
INSERT INTO store_user_rights2groups VALUES(200, 400, 0);
INSERT INTO store_user_rights2groups VALUES(1, 309, 1);
INSERT INTO store_user_rights2groups VALUES(2, 309, 0);
INSERT INTO store_user_rights2groups VALUES(100, 309, 1);
INSERT INTO store_user_rights2groups VALUES(101, 309, 1);
INSERT INTO store_user_rights2groups VALUES(102, 309, 0);
INSERT INTO store_user_rights2groups VALUES(200, 309, 0);
INSERT INTO store_user_rights2groups VALUES(1, 307, 1);
INSERT INTO store_user_rights2groups VALUES(2, 307, 0);
INSERT INTO store_user_rights2groups VALUES(100, 307, 1);
INSERT INTO store_user_rights2groups VALUES(101, 307, 1);
INSERT INTO store_user_rights2groups VALUES(102, 307, 0);
INSERT INTO store_user_rights2groups VALUES(200, 307, 0);
INSERT INTO store_user_rights2groups VALUES(1, 402, 1);
INSERT INTO store_user_rights2groups VALUES(2, 402, 0);
INSERT INTO store_user_rights2groups VALUES(100, 402, 1);
INSERT INTO store_user_rights2groups VALUES(101, 402, 1);
INSERT INTO store_user_rights2groups VALUES(102, 402, 0);
INSERT INTO store_user_rights2groups VALUES(200, 402, 0);
INSERT INTO store_user_rights2groups VALUES(1, 401, 1);
INSERT INTO store_user_rights2groups VALUES(2, 401, 0);
INSERT INTO store_user_rights2groups VALUES(100, 401, 1);
INSERT INTO store_user_rights2groups VALUES(101, 401, 1);
INSERT INTO store_user_rights2groups VALUES(102, 401, 0);
INSERT INTO store_user_rights2groups VALUES(200, 401, 0);
INSERT INTO store_user_rights2groups VALUES(1, 508, 1);
INSERT INTO store_user_rights2groups VALUES(2, 508, 0);
INSERT INTO store_user_rights2groups VALUES(100, 508, 1);
INSERT INTO store_user_rights2groups VALUES(101, 508, 1);
INSERT INTO store_user_rights2groups VALUES(102, 508, 0);
INSERT INTO store_user_rights2groups VALUES(200, 508, 0);
INSERT INTO store_user_rights2groups VALUES(1, 500, 1);
INSERT INTO store_user_rights2groups VALUES(2, 500, 0);
INSERT INTO store_user_rights2groups VALUES(100, 500, 1);
INSERT INTO store_user_rights2groups VALUES(101, 500, 1);
INSERT INTO store_user_rights2groups VALUES(102, 500, 0);
INSERT INTO store_user_rights2groups VALUES(200, 500, 0);
INSERT INTO store_user_rights2groups VALUES(1, 509, 1);
INSERT INTO store_user_rights2groups VALUES(2, 509, 0);
INSERT INTO store_user_rights2groups VALUES(100, 509, 1);
INSERT INTO store_user_rights2groups VALUES(101, 509, 1);
INSERT INTO store_user_rights2groups VALUES(102, 509, 0);
INSERT INTO store_user_rights2groups VALUES(200, 509, 0);
INSERT INTO store_user_rights2groups VALUES(1, 407, 1);
INSERT INTO store_user_rights2groups VALUES(2, 407, 0);
INSERT INTO store_user_rights2groups VALUES(100, 407, 1);
INSERT INTO store_user_rights2groups VALUES(101, 407, 1);
INSERT INTO store_user_rights2groups VALUES(102, 407, 0);
INSERT INTO store_user_rights2groups VALUES(200, 407, 0);
INSERT INTO store_user_rights2groups VALUES(1, 404, 1);
INSERT INTO store_user_rights2groups VALUES(2, 404, 0);
INSERT INTO store_user_rights2groups VALUES(100, 404, 1);
INSERT INTO store_user_rights2groups VALUES(101, 404, 1);
INSERT INTO store_user_rights2groups VALUES(102, 404, 0);
INSERT INTO store_user_rights2groups VALUES(200, 404, 0);
INSERT INTO store_user_rights2groups VALUES(1, 406, 1);
INSERT INTO store_user_rights2groups VALUES(2, 406, 0);
INSERT INTO store_user_rights2groups VALUES(100, 406, 1);
INSERT INTO store_user_rights2groups VALUES(101, 406, 1);
INSERT INTO store_user_rights2groups VALUES(102, 406, 0);
INSERT INTO store_user_rights2groups VALUES(200, 406, 0);
INSERT INTO store_user_rights2groups VALUES(1, 405, 1);
INSERT INTO store_user_rights2groups VALUES(2, 405, 0);
INSERT INTO store_user_rights2groups VALUES(100, 405, 1);
INSERT INTO store_user_rights2groups VALUES(101, 405, 1);
INSERT INTO store_user_rights2groups VALUES(102, 405, 0);
INSERT INTO store_user_rights2groups VALUES(200, 405, 0);
INSERT INTO store_user_rights2groups VALUES(1, 403, 1);
INSERT INTO store_user_rights2groups VALUES(2, 403, 0);
INSERT INTO store_user_rights2groups VALUES(100, 403, 1);
INSERT INTO store_user_rights2groups VALUES(101, 403, 1);
INSERT INTO store_user_rights2groups VALUES(102, 403, 0);
INSERT INTO store_user_rights2groups VALUES(200, 403, 0);
INSERT INTO store_user_rights2groups VALUES(1, 600, 1);
INSERT INTO store_user_rights2groups VALUES(2, 600, 0);
INSERT INTO store_user_rights2groups VALUES(100, 600, 1);
INSERT INTO store_user_rights2groups VALUES(101, 600, 1);
INSERT INTO store_user_rights2groups VALUES(102, 600, 0);
INSERT INTO store_user_rights2groups VALUES(200, 600, 0);
INSERT INTO store_user_rights2groups VALUES(1, 521, 1);
INSERT INTO store_user_rights2groups VALUES(2, 521, 0);
INSERT INTO store_user_rights2groups VALUES(100, 521, 1);
INSERT INTO store_user_rights2groups VALUES(101, 521, 1);
INSERT INTO store_user_rights2groups VALUES(102, 521, 0);
INSERT INTO store_user_rights2groups VALUES(200, 521, 0);
INSERT INTO store_user_rights2groups VALUES(1, 523, 1);
INSERT INTO store_user_rights2groups VALUES(2, 523, 0);
INSERT INTO store_user_rights2groups VALUES(100, 523, 1);
INSERT INTO store_user_rights2groups VALUES(101, 523, 1);
INSERT INTO store_user_rights2groups VALUES(102, 523, 0);
INSERT INTO store_user_rights2groups VALUES(200, 523, 0);
INSERT INTO store_user_rights2groups VALUES(1, 522, 1);
INSERT INTO store_user_rights2groups VALUES(2, 522, 0);
INSERT INTO store_user_rights2groups VALUES(100, 522, 1);
INSERT INTO store_user_rights2groups VALUES(101, 522, 1);
INSERT INTO store_user_rights2groups VALUES(102, 522, 0);
INSERT INTO store_user_rights2groups VALUES(200, 522, 0);
INSERT INTO store_user_rights2groups VALUES(1, 520, 1);
INSERT INTO store_user_rights2groups VALUES(2, 520, 0);
INSERT INTO store_user_rights2groups VALUES(100, 520, 1);
INSERT INTO store_user_rights2groups VALUES(101, 520, 1);
INSERT INTO store_user_rights2groups VALUES(102, 520, 0);
INSERT INTO store_user_rights2groups VALUES(200, 520, 0);
INSERT INTO store_user_rights2groups VALUES(1, 204, 1);
INSERT INTO store_user_rights2groups VALUES(2, 204, 0);
INSERT INTO store_user_rights2groups VALUES(100, 204, 1);
INSERT INTO store_user_rights2groups VALUES(101, 204, 1);
INSERT INTO store_user_rights2groups VALUES(102, 204, 0);
INSERT INTO store_user_rights2groups VALUES(200, 204, 0);
INSERT INTO store_user_rights2groups VALUES(1, 206, 1);
INSERT INTO store_user_rights2groups VALUES(2, 206, 0);
INSERT INTO store_user_rights2groups VALUES(100, 206, 1);
INSERT INTO store_user_rights2groups VALUES(101, 206, 1);
INSERT INTO store_user_rights2groups VALUES(102, 206, 0);
INSERT INTO store_user_rights2groups VALUES(200, 206, 0);
INSERT INTO store_user_rights2groups VALUES(1, 205, 1);
INSERT INTO store_user_rights2groups VALUES(2, 205, 0);
INSERT INTO store_user_rights2groups VALUES(100, 205, 1);
INSERT INTO store_user_rights2groups VALUES(101, 205, 1);
INSERT INTO store_user_rights2groups VALUES(102, 205, 0);
INSERT INTO store_user_rights2groups VALUES(200, 205, 0);
INSERT INTO store_user_rights2groups VALUES(1, 203, 1);
INSERT INTO store_user_rights2groups VALUES(2, 203, 0);
INSERT INTO store_user_rights2groups VALUES(100, 203, 1);
INSERT INTO store_user_rights2groups VALUES(101, 203, 1);
INSERT INTO store_user_rights2groups VALUES(102, 203, 0);
INSERT INTO store_user_rights2groups VALUES(200, 203, 0);
INSERT INTO store_user_rights2groups VALUES(1, 208, 1);
INSERT INTO store_user_rights2groups VALUES(2, 208, 0);
INSERT INTO store_user_rights2groups VALUES(100, 208, 1);
INSERT INTO store_user_rights2groups VALUES(101, 208, 1);
INSERT INTO store_user_rights2groups VALUES(102, 208, 0);
INSERT INTO store_user_rights2groups VALUES(200, 208, 0);
INSERT INTO store_user_rights2groups VALUES(1, 207, 1);
INSERT INTO store_user_rights2groups VALUES(2, 207, 0);
INSERT INTO store_user_rights2groups VALUES(100, 207, 1);
INSERT INTO store_user_rights2groups VALUES(101, 207, 1);
INSERT INTO store_user_rights2groups VALUES(102, 207, 0);
INSERT INTO store_user_rights2groups VALUES(200, 207, 0);
INSERT INTO store_user_rights2groups VALUES(1, 304, 1);
INSERT INTO store_user_rights2groups VALUES(2, 304, 0);
INSERT INTO store_user_rights2groups VALUES(100, 304, 1);
INSERT INTO store_user_rights2groups VALUES(101, 304, 1);
INSERT INTO store_user_rights2groups VALUES(102, 304, 0);
INSERT INTO store_user_rights2groups VALUES(200, 304, 0);
INSERT INTO store_user_rights2groups VALUES(1, 306, 1);
INSERT INTO store_user_rights2groups VALUES(2, 306, 0);
INSERT INTO store_user_rights2groups VALUES(100, 306, 1);
INSERT INTO store_user_rights2groups VALUES(101, 306, 1);
INSERT INTO store_user_rights2groups VALUES(102, 306, 0);
INSERT INTO store_user_rights2groups VALUES(200, 306, 0);
INSERT INTO store_user_rights2groups VALUES(1, 305, 1);
INSERT INTO store_user_rights2groups VALUES(2, 305, 0);
INSERT INTO store_user_rights2groups VALUES(100, 305, 1);
INSERT INTO store_user_rights2groups VALUES(101, 305, 1);
INSERT INTO store_user_rights2groups VALUES(102, 305, 0);
INSERT INTO store_user_rights2groups VALUES(200, 305, 0);
INSERT INTO store_user_rights2groups VALUES(1, 303, 1);
INSERT INTO store_user_rights2groups VALUES(2, 303, 0);
INSERT INTO store_user_rights2groups VALUES(100, 303, 1);
INSERT INTO store_user_rights2groups VALUES(101, 303, 1);
INSERT INTO store_user_rights2groups VALUES(102, 303, 0);
INSERT INTO store_user_rights2groups VALUES(200, 303, 0);
INSERT INTO store_user_rights2groups VALUES(1, 300, 1);
INSERT INTO store_user_rights2groups VALUES(2, 300, 0);
INSERT INTO store_user_rights2groups VALUES(100, 300, 1);
INSERT INTO store_user_rights2groups VALUES(101, 300, 1);
INSERT INTO store_user_rights2groups VALUES(102, 300, 1);
INSERT INTO store_user_rights2groups VALUES(200, 300, 0);
INSERT INTO store_user_rights2groups VALUES(1, 302, 1);
INSERT INTO store_user_rights2groups VALUES(2, 302, 0);
INSERT INTO store_user_rights2groups VALUES(100, 302, 1);
INSERT INTO store_user_rights2groups VALUES(101, 302, 1);
INSERT INTO store_user_rights2groups VALUES(102, 302, 1);
INSERT INTO store_user_rights2groups VALUES(200, 302, 0);
INSERT INTO store_user_rights2groups VALUES(1, 301, 1);
INSERT INTO store_user_rights2groups VALUES(2, 301, 0);
INSERT INTO store_user_rights2groups VALUES(100, 301, 1);
INSERT INTO store_user_rights2groups VALUES(101, 301, 1);
INSERT INTO store_user_rights2groups VALUES(102, 301, 1);
INSERT INTO store_user_rights2groups VALUES(200, 301, 0);
INSERT INTO store_user_rights2groups VALUES(1, 209, 1);
INSERT INTO store_user_rights2groups VALUES(2, 209, 0);
INSERT INTO store_user_rights2groups VALUES(100, 209, 1);
INSERT INTO store_user_rights2groups VALUES(101, 209, 1);
INSERT INTO store_user_rights2groups VALUES(102, 209, 1);
INSERT INTO store_user_rights2groups VALUES(200, 209, 0);
INSERT INTO store_user_rights2groups VALUES(1, 601, 0);
INSERT INTO store_user_rights2groups VALUES(2, 601, 0);
INSERT INTO store_user_rights2groups VALUES(100, 601, 0);
INSERT INTO store_user_rights2groups VALUES(101, 601, 0);
INSERT INTO store_user_rights2groups VALUES(102, 601, 0);
INSERT INTO store_user_rights2groups VALUES(200, 601, 0);
INSERT INTO store_user_rights2groups VALUES(1, 602, 1);
INSERT INTO store_user_rights2groups VALUES(2, 602, 0);
INSERT INTO store_user_rights2groups VALUES(100, 602, 1);
INSERT INTO store_user_rights2groups VALUES(101, 602, 1);
INSERT INTO store_user_rights2groups VALUES(102, 602, 0);
INSERT INTO store_user_rights2groups VALUES(200, 602, 0);
INSERT INTO store_user_rights2groups VALUES(1, 603, 1);
INSERT INTO store_user_rights2groups VALUES(2, 603, 0);
INSERT INTO store_user_rights2groups VALUES(100, 603, 1);
INSERT INTO store_user_rights2groups VALUES(101, 603, 1);
INSERT INTO store_user_rights2groups VALUES(102, 603, 1);
INSERT INTO store_user_rights2groups VALUES(200, 603, 0);
INSERT INTO store_user_rights2groups VALUES(1, 604, 1);
INSERT INTO store_user_rights2groups VALUES(2, 604, 0);
INSERT INTO store_user_rights2groups VALUES(100, 604, 1);
INSERT INTO store_user_rights2groups VALUES(101, 604, 1);
INSERT INTO store_user_rights2groups VALUES(102, 604, 1);
INSERT INTO store_user_rights2groups VALUES(200, 604, 0);
INSERT INTO store_user_rights2groups VALUES(1, 605, 1);
INSERT INTO store_user_rights2groups VALUES(2, 605, 0);
INSERT INTO store_user_rights2groups VALUES(100, 605, 1);
INSERT INTO store_user_rights2groups VALUES(101, 605, 1);
INSERT INTO store_user_rights2groups VALUES(102, 605, 0);
INSERT INTO store_user_rights2groups VALUES(200, 605, 0);
INSERT INTO store_user_rights2groups VALUES(1, 606, 1);
INSERT INTO store_user_rights2groups VALUES(2, 606, 0);
INSERT INTO store_user_rights2groups VALUES(100, 606, 1);
INSERT INTO store_user_rights2groups VALUES(101, 606, 1);
INSERT INTO store_user_rights2groups VALUES(102, 606, 1);
INSERT INTO store_user_rights2groups VALUES(200, 606, 0);
INSERT INTO store_user_rights2groups VALUES(1, 607, 1);
INSERT INTO store_user_rights2groups VALUES(2, 607, 0);
INSERT INTO store_user_rights2groups VALUES(100, 607, 1);
INSERT INTO store_user_rights2groups VALUES(101, 607, 1);
INSERT INTO store_user_rights2groups VALUES(102, 607, 1);
INSERT INTO store_user_rights2groups VALUES(200, 607, 0);
INSERT INTO store_user_rights2groups VALUES(1, 608, 1);
INSERT INTO store_user_rights2groups VALUES(2, 608, 0);
INSERT INTO store_user_rights2groups VALUES(100, 608, 1);
INSERT INTO store_user_rights2groups VALUES(101, 608, 0);
INSERT INTO store_user_rights2groups VALUES(102, 608, 0);
INSERT INTO store_user_rights2groups VALUES(200, 608, 0);
INSERT INTO store_user_rights2groups VALUES(200, 169, 0);
INSERT INTO store_user_rights2groups VALUES(102, 169, 0);
INSERT INTO store_user_rights2groups VALUES(101, 169, 1);
INSERT INTO store_user_rights2groups VALUES(100, 169, 1);
INSERT INTO store_user_rights2groups VALUES(2, 169, 0);
INSERT INTO store_user_rights2groups VALUES(1, 169, 1);

DROP TABLE IF EXISTS store_user_rights2users;
CREATE TABLE store_user_rights2users (
  user_id int(10) NOT NULL,
  user_rights_id int(10) NOT NULL,
  `value` int(1) NOT NULL,
  PRIMARY KEY  (user_id,user_rights_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS store_user_rights_desc;
CREATE TABLE store_user_rights_desc (
  rights_id varchar(10) NOT NULL,
  `language` varchar(32) NOT NULL,
  description varchar(128) NOT NULL,
  PRIMARY KEY  (rights_id),
  KEY `language` (`language`)
) TYPE=MyISAM;

## 
## Recordsets for other Tables neeeded to be updated for automatitation.
## 

INSERT INTO modules VALUES('store', 1, 1, ',1,100,102,200,101,2', 1, 0, '');

INSERT INTO `modules_desc` VALUES('store', 'Tienda Virtual', 'mexican');
INSERT INTO `modules_desc` VALUES('store', 'Virtual Store', 'english');
INSERT INTO `modules_desc` VALUES('store', 'Virtuelelade', 'german');

INSERT INTO themes_blocks VALUES('', 1191286335, 'store', 'store_Menu_1', '1', 0, 3);
INSERT INTO themes_blocks VALUES('', 1191286335, 'store', 'Store_basket_nocurry_dropdown', '1', 0, 5);
INSERT INTO themes_blocks VALUES('', 1191286335, 'store', 'Store_Currencies_dropdown1', '1', 0, 4);
INSERT INTO themes_blocks VALUES('', 1213741173, 'store', 'store_Menu_2', '1', 0, 3);
INSERT INTO themes_blocks VALUES('', 1213741173, 'store', 'Store_Currencies_dropdown1', '1', 0, 4);
INSERT INTO themes_blocks VALUES('', 1213741173, 'store', 'Store_basket_nocurry_dropdown', '1', 0, 5);

INSERT INTO xomol_seo_realfakepaths VALUES('Anunciate_en_Internet._El_mejor_metodo_de_promocion_empresarial..html', 'index.php?op=store&op2=store_content_view_details&art=1176291577&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Banner_466x60_en_cabezal.html', 'index.php?op=store&op2=view_details&product=1211502428&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Anuncios_y_publicidad.html', 'index.php?op=store&op2=browse&cat=1211499554&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Hello_and_wellcome_to_our_Virtual_Store.html', 'index.php?op=store&op2=store_content_view_details&art=1176291577&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Hospedaje_Web.html', 'index.php?op=directory&op2=browse&cat=1213817804&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Store_en.html', 'index.php?op=store&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Store_de.html', 'index.php?op=store&xlang=german');
INSERT INTO xomol_seo_realfakepaths VALUES('Store_mx.html', 'index.php?op=store&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('VirtualStore.html', 'index.php?op=store&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('VirtueleLade.html', 'index.php?op=store&xlang=german');
INSERT INTO xomol_seo_realfakepaths VALUES('TiendaVirtual.html', 'index.php?op=store&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Websites_en.html', 'index.php?op=websites&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Websites_de.html', 'index.php?op=websites&xlang=german');
INSERT INTO xomol_seo_realfakepaths VALUES('Websites_mx.html', 'index.php?op=websites&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Videos.html', 'index.php?op=store&op2=browse&cat=1187914498&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Documentales.html', 'index.php?op=store&op2=browse&cat=1189263677&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Documentals.html', 'index.php?op=store&op2=browse&cat=1189263677&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Dokumental.html', 'index.php?op=store&op2=browse&cat=1189263677&xlang=german');
INSERT INTO xomol_seo_realfakepaths VALUES('Ropa.html', 'index.php?op=store&op2=browse&cat=1188016980&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Clotes.html', 'index.php?op=store&op2=browse&cat=1188016980&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Kleider.html', 'index.php?op=store&op2=browse&cat=1188016980&xlang=german');
INSERT INTO xomol_seo_realfakepaths VALUES('Pizzas.html', 'index.php?op=store&op2=browse&cat=1189264383&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Pizza.html', 'index.php?op=store&op2=browse&cat=1189264383&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Estpidos_hombres_blancos.html', 'index.php?op=store&op2=view_details&product=1189266443&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Stupid_White_Men.html', 'index.php?op=store&op2=view_details&product=1189266443&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Jeans.html', 'index.php?op=store&op2=view_details&product=1189268415&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Disea_tu_Pizza.html', 'index.php?op=store&op2=view_details&product=1189270451&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Design_your_Pizza.html', 'index.php?op=store&op2=view_details&product=1189270451&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Pizza_selber_enwerfen.html', 'index.php?op=store&op2=view_details&product=1189270451&xlang=german');
INSERT INTO xomol_seo_realfakepaths VALUES('Pizza_Corleone.html', 'index.php?op=store&op2=view_details&product=1189270059&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Pizza_Marinera.html', 'index.php?op=store&op2=view_details&product=1189269598&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Pizza_Seefood.html', 'index.php?op=store&op2=view_details&product=1189269598&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Pizza_Marinara.html', 'index.php?op=store&op2=view_details&product=1189269598&xlang=german');
INSERT INTO xomol_seo_realfakepaths VALUES('BRUCE_LEE:_the_chinese_connection.html', 'index.php?op=store&op2=view_details&product=1188246938&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Fahrenheit_9/11.html', 'index.php?op=store&op2=view_details&product=1188216125&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Falda_elegante.html', 'index.php?op=store&op2=view_details&product=1189267999&xlang=mexican');
INSERT INTO xomol_seo_realfakepaths VALUES('Fancy_Skirt_.html', 'index.php?op=store&op2=view_details&product=1189267999&xlang=english');
INSERT INTO xomol_seo_realfakepaths VALUES('Elegantes_Kleid.html', 'index.php?op=store&op2=view_details&product=1189267999&xlang=german');
