<?
/*********************************************************************************************
* XOMOL: Information System Tecnology
*
* Copyright (c) 1995-2008 by David Guttmann at Nahual.com
* http://xomol.net
*
* Filename: functions.php
* Location: /modules/surveys/functions.php
*
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PSURVEYICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/
*********************************************************************************************/

/*********************************************************************************************
* System functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  purge_surveys_sessions($timefactor)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* cleans old sessions
*********************************************************************************************/
function purge_surveys_sessions($timefactor) {
	global $dbi;
	$datelimit=date("YmdHis");
	switch($timefactor) {
		case "1hour":
			$datelimit=date('YmdHis', strtotime($datelimit)-(1*3600));
		break;
		case "1day":
			$datelimit=date('YmdHis', strtotime($datelimit)-(24*3600));
		break;
		default:
			$datelimit=date('YmdHis', strtotime($datelimit)-(24*3600));
		break;
	}
	sql_query("DELETE FROM surveys_sessions   WHERE  vote_date<='".$datelimit."'", $dbi);
}

/*********************************************************************************************
* Function Name:  purge_surveys_blocks()
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Resets and reorder the Blocks on Positions order
*********************************************************************************************/
function purge_surveys_blocks() {
	global $dbi, $op;
	$result = sql_query("SELECT * FROM surveys_positions ORDER BY position_id", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$position_id    		= $row['position_id'];
		$result2 = sql_query("SELECT * FROM surveys_blocks WHERE position_id='".$position_id."' ORDER BY view_order", $dbi);
		$i = 1;
		while($row2 = sql_fetch_array($result2, $dbi)){
			$block_id    		= $row2['block_id'];
			sql_query("UPDATE surveys_blocks SET view_order='".$i."' WHERE block_id='".$block_id."'", $dbi);
			$i++;
		}
	}
}

/*********************************************************************************************
* Function Name:  get_surveys_config_value($config_key)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table surveys_configure
* Returns the value of a given configuration, returns 0 if configuration does not exist,
*********************************************************************************************/
function get_surveys_config_value($config_key) {
	global $dbi;
	if($result = sql_query("SELECT config_value FROM surveys_configure WHERE config_key='".$config_key."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['config_value'];
	}
}

/*********************************************************************************************
* Function Name:  get_surveys_blocks($position_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Includes all the block-*.php files on directory modules/surveys/blocks/
* $position_id	= the id of the desired position
*********************************************************************************************/
function get_surveys_blocks($position_id) {
	global $dbi;
	$result = sql_query("SELECT * FROM surveys_blocks WHERE position_id='".$position_id."' AND block_status='1'  ORDER BY view_order ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$block_id   	= $row['block_id'];
		$module_name   	= $row['module_name'];
		$block_title   	= $row['block_title'];
		$block_status   = $row['block_status'];

		if (is_file('modules/surveys/blocks/block-'.$block_title.'.php')) {
			include('modules/surveys/blocks/block-'.$block_title.'.php');
		}
	}
}

/*********************************************************************************************
* User Rights functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  xomol_check_surveys_user_rights_specific($user, $rights_title)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table users, users_rights
* Returns field user_rights FROM TABLE users
* $user 	= to check own rights use $_SESSION['user_id'] or $userid;
*         	  to check others rights pass the desired user id as string..
* $task 	= desired field value in TABLE xomol_user_rights_tasks2users
*			  if no overrided user rights then check from  TABLE xomol_user_rights_tasks2groups
*********************************************************************************************/
function xomol_check_surveys_user_rights_specific($user, $rights_title){
	global $dbi;
	$rights_id = checkSomethingFromTable($table='surveys_user_rights', $what='rights_id', $key='title', $keyvalue=$rights_title, $langkey='', $langkeyvalue='', $sqlanswer='');
	$user_group = check_user_group($user);
	$is_overrided = checkSomethingFromTable($table='surveys_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$user, $langkey='', $langkeyvalue='', $sqlanswer='');

	if($is_overrided>='2') {
		$result2 = sql_query("SELECT * FROM surveys_user_rights2users WHERE user_id='".$user."' AND user_rights_id='".$rights_id."'", $dbi);
		$row2 = sql_fetch_array($result2, $dbi);
		return $row2['value'];
	} else {
		$result3 = sql_query("SELECT * FROM surveys_user_rights2groups WHERE group_id='".$user_group."' AND user_rights_id='".$rights_id."'", $dbi);
		$row3 = sql_fetch_array($result3, $dbi);
		return $row3['value'];
	}
}

function groups_and_users_surveys($group_id, $stsurvey){
	global $dbi, $op, $userid, $theme;
	$content = '<table width="600" border="0" cellspacing="0" cellpadding="0">';
	if($stsurvey=='') {
		$content .= '<tr>';
		$content .= '<td class="AdminFormTbHeader" colspan="6">'.GROUP.'</td>';
		$content .= '<tr>';
		$stsurvey++;
	}
	$result = sql_query("SELECT * FROM user_groups WHERE  group_parent_id='".$group_id."' ORDER BY group_title ASC", $dbi);
	while($row = sql_fetch_array($result, $dbi)){
		$_group_id   = $row['group_id'];
		$group_parent_id   = $row['group_parent_id'];
		$group_title   = $row['group_title'];
		$group_status   = $row['group_status'];
		$group_deletable   = $row['group_deletable'];

		$content .= '<tr class="AdminFormTbRowLight" onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
		$content .= '<td width="10" align="left" valign="top"><img src="themes/'.$theme.'/images/arrow_icon.gif" border="0" ></td>';
		$content .= '<td width="80" align="left" valign="top" ><div class="textTitle">'.$group_title.'<div></td>';
		$content .= '<td align="right">';
		// edit group
		$result2 = sql_query("SELECT * FROM users WHERE user_group='".$_group_id."' ORDER BY user_group, user_firstname, user_lastname, user_company ASC", $dbi);
		while($row2 = sql_fetch_array($result2, $dbi)){
			$_user_id   	= $row2['user_id'];
			$user_firstname = $row2['user_firstname'];
			$user_lastname  = $row2['user_lastname'];
			$user_company   = $row2['user_company'];
			$user_city    	= $row2['user_city'];
			$user_state    	= $row2['user_state'];
			$user_country   = $row2['user_country'];
			$user_group    	= $row2['user_group'];
			$status    		= $row2['user_status'];

			$content .= '<table width="450" border="0" cellspacing="0" cellpadding="0">';
			$content .= '<tr onmouseover="className=\'AdminFormTbRowActive\';" onmouseout="className=\'AdminFormTbRowLight\';" >';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= $user_company;
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="left" nowrap>';
			$is_overrided = checkSomethingFromTable($table='surveys_user_rights2users', $what='user_id', $key='user_id', $keyvalue=$_user_id, $langkey='', $langkeyvalue='', $sqlanswer='');

			// Allow edition for subusers
			$ok=0;
			if (xomol_check_surveys_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_surveys_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($is_overrided>'1') {
					$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights1.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				} else {
					$content .= '<a href="index.php?op='.$op.'&op2=admin&op3=user_rights_override&user='.$_user_id.'"><img src="images/b_edit_rights2.png" width="16" height="16" border="0" alt="'.EDIT_USER.'"></a>';
				}
			}
			$content .= '</td>';
			$content .= '<td width="16" valign="top" align="center" nowrap>';
			$ok=0;
			if (xomol_check_surveys_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($user, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_surveys_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if($ok==1) {
				$content .= '<a href="index.php?op=admin&op2=admin_users_viewdet&user='.$_user_id.'" class="AdminFormRsTitle" target="viewdet"><img src="themes/'.$theme.'/images/information.gif" border="0" alt="'.EDIT_USER.'"></a>';
			}
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$content .= '<div class="textTitle">'.$user_firstname.' '.$user_lastname.'</div>';
			$content .= '</td>';
			$content .= '<td width="100" valign="top" align="left" nowrap>';
			$user_city = checkSomethingFromTable($table='geo_cities', $what='place', $key='city_id', $keyvalue=$user_city, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_state = checkSomethingFromTable($table='geo_states', $what='state_code', $key='state_id', $keyvalue=$user_state, $langkey='', $langkeyvalue='', $sqlanswer='');
			$user_country = checkSomethingFromTable($table='geo_countries', $what='countries_name', $key='countries_id', $keyvalue=$user_country, $langkey='', $langkeyvalue='', $sqlanswer='');
			$content .= $user_city.',<br>'.$user_state.'/'.$user_country;
			$content .= '</td>';
			$content .= '<td width="20" valign="top" align="center" nowrap>';

			$ok=0;
			if (xomol_check_surveys_user_rights_specific($userid, 'A_USER_RIGHTS_SAME') == '1') {
				if(($user_group_operator==$user_group_tochange)
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				OR (user_is_in_tree($_user_id, $userid)=='1')
				) { $ok=1; }
			} elseif (xomol_check_surveys_user_rights_specific($userid, 'A_USER_RIGHTS_LOW') == '1') {
				if((user_is_in_tree($_user_id, $userid)=='1')
				OR (group_is_in_tree($user_group_tochange, $user_group_operator)=='1')
				) { $ok=1; }
			}
			if( ($ok==1) AND ($_user_id!=$userid) ) {
				if($status==1) {
					$status='<a href="index.php?op='.$op.'&op2=admin&op3=statusu&switch=0&user='.$_user_id.'">
								<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'"></a>';
				} else {
					$status='<a href="index.php?op='.$op.'&op2=admin&op3=statusu&switch=1&user='.$_user_id.'">
								<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'"></a>';
					}
			} else {
				if($status==1) {
					$status='<img src="images/green_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS2.'">';
				} else {
					$status='<img src="images/red_dot.gif" width="10" height="10" border="0" alt="'.CHANGE_STATUS1.'">';
				}
			}
			$content .= $status;
			$content .= '</td>';
			$content .= '</tr>';
			$content .= '<tr  >';
			$content .= '<td height="1" colspan="6">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
			$content .= '</table>';
		}
		$content .= '</td>';
		$content .= '</tr>';

			$content .= '<tr  >';
			$content .= '<td height="1" colspan="3">';
			$content .= draw_line($image='black', $width='100%', $height='1');
			$content .= '</td>';
			$content .= '<tr>';
		if(get_subgroups($_group_id)!='') {

			$content .= '<tr class="AdminFormTbRowLight">';
			$content .= '<td width="10" align="left" valign="top">&nbsp;</td>';
			$content .= '<td align="left" colspan="4" valign="top">';
			$content .= groups_and_users_surveys($_group_id, $stsurvey);
			$content .= '</td>';
			$content .= '</tr>';
		}
	}
	$content .= '</table>';
	return $content;
}
/*********************************************************************************************
* Categories functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_survey_owner($survey_id)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* Uses Table surveys
* Returns the author_id of the survey
* $survey_id	= the id of the survey
*********************************************************************************************/
function get_survey_owner($survey_id) {
	global $dbi;
	if($result = sql_query("SELECT author_id FROM surveys WHERE survey_id='".$survey_id."'", $dbi)){
		$row = sql_fetch_array($result, $dbi);
		return	$row['author_id'];
	}
}


/*********************************************************************************************
* SURVEYS -METATAGS-
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  get_survey_metas($survey_id, $what)
* Author(s):  Xomol.net, Nahual.com, David Guttmann.
*
* browse.php has own header meta-tags settings.
* $what = 'title'		returns the meta-tag title
* $what = 'keywords'	returns the meta-tag keywords
* $what = 'description'	returns the meta-tag description
*********************************************************************************************/
function get_survey_metas($survey_id, $what) {
	global $dbi, $currentlang;
	$result = sql_query("SELECT * FROM surveys_desc WHERE survey_id='" . $survey_id . "' AND language='" . $currentlang . "'", $dbi);
	if($row = sql_fetch_array($result, $dbi)){
		$meta_title   = $row['meta_title'];
		$meta_keywords   = $row['meta_keywords'];
		$meta_description   = $row['meta_description'];
	}
	if($what=='title') { return $meta_title; }
	if($what=='keywords') { return $meta_keywords; }
	if($what=='description') { return $meta_description; }
}



/*********************************************************************************************
* Other functions
*********************************************************************************************/

/*********************************************************************************************
* Function Name:  stripos($str,$needle)
* Author(s):  Found from PHP.NET.
*
*********************************************************************************************/
if (!function_exists("stripos")) {
  function stripos($str,$needle) {
   return strpos(strtolower($str),strtolower($needle));
  }
}

function show_surveys_comments($survey_id, $comment_id, $comment_partent_id, $level) {
	global $dbi, $op, $userid;
	if($comment_id=='') {
		$content = '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
		$result = sql_query("SELECT * FROM comments WHERE  module='".$op."'
													AND module_key ='".$survey_id."'
													AND comment_partent_id ='".$comment_partent_id."'
													ORDER BY comment_id DESC", $dbi);
		while($row = sql_fetch_array($result, $dbi)){

			$_module_key   = $row['module_key'];
			$_comment_partent_id   = $row['comment_partent_id'];
			$_comment_id   = $row['comment_id'];
			$author_id   = $row['author_id'];
			$creation   = $row['creation'];
			$comment   = $row['comment'];

			switch($level){
				case "1":
					if($i=='0') { $rwclass = "rowLevel1Dark"; $rwclass2 = "rowLevel2Dark"; $i=1; } else { $rwclass = "rowLevel1Bright"; $rwclass2 = "rowLevel2Bright"; $i=0; }
				break;
				case "2":
					if($i=='0') { $rwclass = "rowLevel2Dark"; $rwclass2 = "rowLevel3Dark"; $i=1; } else { $rwclass = "rowLevel2Bright"; $rwclass2 = "rowLevel3Bright"; $i=0; }
				break;
				case "3":
					if($i=='0') { $rwclass = "rowLevel1Dark"; $rwclass2 = "rowLevel2Dark"; $i=1; } else { $rwclass = "rowLevel1Bright"; $rwclass2 = "rowLevel2Bright"; $i=0; }
					$level = 2;
				break;
				default:
					if($i=='0') { $rwclass = "rowLevel1Dark"; $rwclass2 = "rowLevel2Dark"; $i=1; } else { $rwclass = "rowLevel1Bright"; $rwclass2 = "rowLevel2Bright"; $i=0; }
					$level = 1;
				break;
			}
			if($i2=='1') { $rwclass2 = 'rowBright'; $i2='0'; } else { $rwclass2 = 'rowDark'; $i2++; }
			$content .= '<tr class="'.$rwclass.'">';
			$content .=  '<td class="'.$rwclass.'" width="12" valign="top">';
			$content .= draw_line($image='black', $width='20', $height='14');
			$content .=  '</td>';
			$content .=  '<td class="'.$rwclass.'" valign="top">';
			$content .= draw_line($image='black', $width='100%', $height='1').'<br>';
			$content .=  '<div class="textTitleSmall">';
			$content .=  '<b>'.POSTED_ON.':</b> '.$creation.' - ';
			$content .=  '<b>'.AUTHOR.':</b> '.get_user_name($author_id, '3').' ';
			$content .=  '</div>';
			$content .=  '</td>';
			$content .=  '</tr>';

			$content .= '<tr class="'.$rwclass.'">';
			$content .=  '<td class="'.$rwclass.'"  valign="top">';
			$content .=  '</td>';
			$content .=  '<td  valign="top"  class="'.$rwclass.'">';
			$content .=  '<div  class="'.$rwclass.'">';
			$content .=  $comment;
			$content .=  '</div>';;
			$content .=  '</td>';
			$content .=  '</tr>';


			$content .=  '<tr class="'.$rwclass.'">';
			$content .=  '<td class="'.$rwclass.'" valign="top">';
			$content .=  '</td>';
			$content .=  '<td class="'.$rwclass.'" valign="top">';
			if( xomol_check_surveys_user_rights_specific($userid, 'ALLOW_COMMENTS_ADD') == '1') {
				// $survey_id_catid = checkSomethingFromTable($table='surveys', $what='survey_catid', $key='survey_id', $keyvalue=$_module_key, $langkey='', $langkeyvalue='', $sqlanswer='');
				$content .=  '<a href="index.php?op='.$op.'&op2=view_details_replay_comment&op3=replay_coment&survey_id='.$_module_key.'&comment_id='.$_comment_id.'&cat='.$survey_id_catid.'" class="textTitle">';
				$content .=  YOU_CAN_REPLAY;
				$content .=  '</a>';
			}
			$content .=  '</td>';
			$content .=  '</tr>';

			$undercomments = get_comments_undercomments($_comment_id);
			if(is_array($undercomments) ) {
				// if($i2=='1') { $rwclass2 = 'rowBright'; $i2='0'; } else { $rwclass2 = 'rowDark'; $i2++; }
				$content .=  '<tr class="'.$rwclass.'">';
				$content .=  '<td class="'.$rwclass.'" valign="top">';
				$content .=  '</td>';
				$content .= '<td class="'.$rwclass.'" valign="top">';

				$undercomments = array_unique($undercomments);
				$undercomments = array_reverse($undercomments);
				foreach($undercomments AS $key => $val) {
					//$content .= '$val: '.$val.'<br>';
					//$content .= '$survey_id: '.$survey_id.'<br>';
					//$content .= '$_comment_id: '.$_comment_id.'<br>';
					//$content .= '$op: '.$op.'<hr>';

					if($val>='1') {
						$level ++;
						$content .= show_surveys_comments($survey_id, $val, $val, $level, $edition_id, $week_expected, $year_expected);
					}
				}
				$content .= '</td>';
				$content .= '</tr>';

			}

		}
		$content .= '</table>';
	} else {

		$content =  '<table width="100%" border="0" cellspacing="2" cellpadding="0">';
		$result = sql_query("SELECT * FROM comments WHERE  comment_id='".$comment_id."' ", $dbi);
		$row = sql_fetch_array($result, $dbi);
		$_comment_partent_id   = $row['comment_partent_id'];
		$_comment_id   = $row['comment_id'];
		$author_id   = $row['author_id'];
		$creation   = $row['creation'];
		$comment   = $row['comment'];
		$_module_key   = $row['module_key'];

			switch($level){
				case "1":
					if($i=='0') { $rwclass = "rowLevel1Dark"; $rwclass2 = "rowLevel2Dark"; $i=1; } else { $rwclass = "rowLevel1Bright"; $rwclass2 = "rowLevel2Bright"; $i=0; }
				break;
				case "2":
					if($i=='0') { $rwclass = "rowLevel2Dark"; $rwclass2 = "rowLevel3Dark"; $i=1; } else { $rwclass = "rowLevel2Bright"; $rwclass2 = "rowLevel3Bright"; $i=0; }
				break;
				case "3":
					if($i=='0') { $rwclass = "rowLevel1Dark"; $rwclass2 = "rowLevel2Dark"; $i=1; } else { $rwclass = "rowLevel1Bright"; $rwclass2 = "rowLevel2Bright"; $i=0; }
					$level = 2;
				break;
				default:
					if($i=='0') { $rwclass = "rowLevel1Dark"; $rwclass2 = "rowLevel2Dark"; $i=1; } else { $rwclass = "rowLevel1Bright"; $rwclass2 = "rowLevel2Bright"; $i=0; }
					$level = 1;
				break;
			}
		// if($i2=='1') { $rwclass = 'rowBright'; $i2='0'; } else { $rwclass = 'rowDark'; $i2++; }
		$content .= '<tr class="'.$rwclass.'">';
		$content .=  '<td class="'.$rwclass.'" width="12" valign="top">';
		$content .= draw_line($image='black', $width='20', $height='10');
		$content .=  '</td>';
		$content .=  '<td class="'.$rwclass.'" valign="top">';
		$content .= draw_line($image='black', $width='100%', $height='1').'<br>';
		$content .=  '<div class="textTitleSmall">';
		$content .=  '<b>'.POSTED_ON.':</b> '.$creation.' - ';
		$content .=  '<b>'.AUTHOR.':</b> '.get_user_name($author_id, '3').' ';
		$content .=  '</div>';
		$content .=  '</td>';
		$content .=  '</tr>';
		$content .= '<tr class="'.$rwclass.'">';
		$content .=  '<td class="'.$rwclass.'" valign="top">';
		$content .=  '</td>';
		$content .=  '<td  valign="top">';
		$content .=  $comment;
		$content .=  '</td>';
		$content .=  '</tr>';

		$content .=  '<tr class="'.$rwclass.'">';
		$content .=  '<td class="'.$rwclass.'" width="12" valign="top">';
		$content .=  '</td>';
		$content .=  '<td class="'.$rwclass.'" valign="top">';
		if( xomol_check_surveys_user_rights_specific($userid, 'ALLOW_COMMENTS_ADD') == '1') {
			// $survey_id_catid = checkSomethingFromTable($table='surveys', $what='survey_catid', $key='survey_id', $keyvalue=$_module_key, $langkey='', $langkeyvalue='', $sqlanswer='');
			$content .=  '<a href="index.php?op='.$op.'&op2=view_details_replay_comment&op3=replay_coment&survey='.$_module_key.'&comment_id='.$_comment_id.'" class="textTitle">';
			$content .=  YOU_CAN_REPLAY;
			$content .=  '</a>';
		}
		$content .=  '</td>';
		$content .=  '</tr>';
		/*
		*/

		$undercomments = get_comments_undercomments($_comment_id);
		if(is_array($undercomments) ) {
			// if($i1=='1') { $rwclass = 'rowDark'; $i1='0'; } else { $rwclass = 'rowBright'; $i1++; }
			$content .=  '<tr class="'.$rwclass.'">';
			$content .=  '<td class="'.$rwclass.'" width="12" valign="top">';
			//$content .= draw_line($image='black', $width='12', $height='1');
			$content .=  '</td>';
			$content .= '<td class="'.$rwclass.'" valign="top">';

				$undercomments = array_unique($undercomments);
				$undercomments = array_reverse($undercomments);
			foreach($undercomments AS $key => $val) {
				//$content .= '$val: '.$val.'<br>';
				//$content .= '$survey_id: '.$survey_id.'<br>';
				//$content .= '$_comment_id: '.$_comment_id.'<br>';
				//$content .= '$op: '.$op.'<hr>';

				if($val>='1') {
					$level ++;
					$content .= show_surveys_comments($survey_id, $val, $val, $level, $edition_id, $week_expected, $year_expected);
				}
			}
			$content .= '</td>';
			$content .= '</tr>';

		}

		$content .= '</table>';
		//////////////////////////////////////////////////////////////////
		//////////////////////////////////////////////////////////////////
	}

	return $content;
}


?>