########################################################################
# XOMOL: Information System Tecnology
#
# Copyright (c) 1995-2008 by David Guttmann at Nahual.com
# http://xomol.com
#
# Filename: xomol_usersonline.sql
# Location: /install/xomol_usersonline.sql
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/
#########################################################################
## 
## Tabellenstruktur fr Tabelle 'usersonline'
## 

DROP TABLE IF EXISTS `usersonline`;
CREATE TABLE usersonline (
  user_id int(10) NOT NULL,
  `time` int(14) NOT NULL,
  host varchar(48) binary NOT NULL,
  guest int(1) NOT NULL default '0',
  session_id varchar(64) binary NOT NULL,
  PRIMARY KEY  (user_id,session_id),
  KEY `time` (`time`),
  KEY guest (guest),
  KEY host (host)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'usersonline'
## 


## 
## Tabellenstruktur fr Tabelle 'usersonline_configure'
## 

DROP TABLE IF EXISTS `usersonline_configure`;
CREATE TABLE usersonline_configure (
  config_id int(6) NOT NULL auto_increment,
  module_name varchar(64) NOT NULL default '',
  config_type varchar(64) NOT NULL default '0',
  config_title varchar(64) NOT NULL default '',
  config_description text NOT NULL,
  config_key varchar(128) NOT NULL default '',
  config_value varchar(128) NOT NULL default '',
  undeletable int(1) NOT NULL default '0',
  PRIMARY KEY  (config_id),
  KEY config_type (config_type,config_key)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'usersonline_configure'
## 


###########################################################

## 
## Tabellenstruktur fr Tabelle 'usersonline_metatags'
## 

DROP TABLE IF EXISTS `usersonline_metatags`;
CREATE TABLE usersonline_metatags (
  lid int(3) NOT NULL auto_increment,
  `language` varchar(20) NOT NULL default 'german',
  title text NOT NULL,
  keywords text NOT NULL,
  description text NOT NULL,
  PRIMARY KEY  (lid),
  KEY `language` (`language`)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'usersonline_metatags'
## 

INSERT INTO usersonline_metatags VALUES(1, 'english', 'Users Online', 'xomol cms, usersonline,users online,stats,curretly users,vicitors,guests,members', 'Interesting stats about this system..');
INSERT INTO usersonline_metatags VALUES(2, 'german', 'Benutzer Online', 'xomol cms,usersonline,benutzer online,stats, besucher,members', 'Interesante Statistikenvomdieses System!');
INSERT INTO usersonline_metatags VALUES(3, 'mexican', 'Usuarios Online', 'xomol cms,usersonline,usuarios online,estadisticas,vicitantes,miembros', 'Estadisticas de vicitantes de este servidor.');

###########################################################

## 
## Tabellenstruktur fr Tabelle 'usersonline_user_rights'
## 

DROP TABLE IF EXISTS `usersonline_user_rights`;
CREATE TABLE usersonline_user_rights (
  rights_id int(10) NOT NULL auto_increment,
  title varchar(64) NOT NULL,
  description varchar(128) NOT NULL,
  elemental int(1) NOT NULL,
  PRIMARY KEY  (title),
  KEY task_id (rights_id,elemental)
) TYPE=MyISAM ;

## 
## Daten fr Tabelle 'usersonline_user_rights'
## 

INSERT INTO usersonline_user_rights VALUES(100, 'ASYSTEM_ACCESS', 'Access Content Admin Panel', 1);
INSERT INTO usersonline_user_rights VALUES(110, 'A_CONFIGURE_ACCESS', 'Access Configuration Administration', 1);
INSERT INTO usersonline_user_rights VALUES(111, 'A_CONFIGURE_ADD', 'Add a new configuration key', 1);
INSERT INTO usersonline_user_rights VALUES(112, 'A_CONFIGURE_EDIT', 'Edit configuration key', 1);
INSERT INTO usersonline_user_rights VALUES(113, 'A_CONFIGURE_DELETE', 'Delete configuration key', 1);
INSERT INTO usersonline_user_rights VALUES(130, 'A_METAS_ACCESS', 'Access Metatags Administration', 1);
INSERT INTO usersonline_user_rights VALUES(131, 'A_METAS_EDIT', 'Edit main store header metatags', 1);
INSERT INTO usersonline_user_rights VALUES(140, 'A_MODULES_ACCESS', 'Access Modules Administration', 1);
INSERT INTO usersonline_user_rights VALUES(141, 'A_MODULES_EDIT', 'Edit store modules', 1);
INSERT INTO usersonline_user_rights VALUES(150, 'A_POSITIONS_ACCESS', 'Access Positions Administration', 1);
INSERT INTO usersonline_user_rights VALUES(151, 'A_POSITIONS_BLOCK_ADD', 'Add a new Block on a position', 1);
INSERT INTO usersonline_user_rights VALUES(152, 'A_POSITIONS_BLOCK_EDIT', 'Edit Block on a position', 1);
INSERT INTO usersonline_user_rights VALUES(153, 'A_POSITIONS_BLOCK_DEL', 'Delete Block', 1);
INSERT INTO usersonline_user_rights VALUES(154, 'A_POSITIONS_POS_ADD', 'Add a new Position', 1);
INSERT INTO usersonline_user_rights VALUES(155, 'A_POSITIONS_POS_EDIT', 'Edit Position', 1);
INSERT INTO usersonline_user_rights VALUES(156, 'A_POSITIONS_POS_DEL', 'Delete Position', 1);
INSERT INTO usersonline_user_rights VALUES(160, 'A_USER_DETAILS_ACCESS', 'Access User Details', 1);
INSERT INTO usersonline_user_rights VALUES(161, 'A_USER_RIGHTS_ACCESS', 'Access User Rights', 1);
INSERT INTO usersonline_user_rights VALUES(162, 'A_USER_RIGHTS_TASK_ADD', 'Add User Rights', 1);
INSERT INTO usersonline_user_rights VALUES(163, 'A_USER_RIGHTS_TASK_EDIT_SAME', 'Edit User Rights for same/higher Group ', 1);
INSERT INTO usersonline_user_rights VALUES(164, 'A_USER_RIGHTS_TASK_EDIT_LOW', 'Edit User Rights for same/lower Group ', 1);
INSERT INTO usersonline_user_rights VALUES(166, 'A_USER_RIGHTS_TASK2GROUP', 'Edit User Rights (Same UserGroup)', 1);
INSERT INTO usersonline_user_rights VALUES(169, 'A_USER_RIGHTS_TASK_VIEW', 'View User Rights tasks', 1);
INSERT INTO usersonline_user_rights VALUES(165, 'A_USER_RIGHTS_TASK_OVER', 'Override all User Rights from Groups', 1);
INSERT INTO usersonline_user_rights VALUES(167, 'A_USER_RIGHTS_SAME', 'Edit User Rights for same/higher Group', 1);
INSERT INTO usersonline_user_rights VALUES(168, 'A_USER_RIGHTS_LOW', 'Edit User Rights for same/lower Group ', 1);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'usersonline_user_rights2groups'
## 

DROP TABLE IF EXISTS `usersonline_user_rights2groups`;
CREATE TABLE usersonline_user_rights2groups (
  group_id int(10) NOT NULL,
  user_rights_id int(10) NOT NULL,
  `value` int(1) NOT NULL,
  PRIMARY KEY  (group_id,user_rights_id),
  KEY `value` (`value`)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'usersonline_user_rights2groups'
## 

INSERT INTO usersonline_user_rights2groups VALUES(1, 100, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 100, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 100, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 100, 1);
INSERT INTO usersonline_user_rights2groups VALUES(102, 100, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 110, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 110, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 110, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 110, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 110, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 111, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 111, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 111, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 111, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 111, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 113, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 113, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 113, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 113, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 113, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 112, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 112, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 112, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 112, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 112, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 130, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 130, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 130, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 130, 1);
INSERT INTO usersonline_user_rights2groups VALUES(102, 130, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 131, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 131, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 131, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 131, 1);
INSERT INTO usersonline_user_rights2groups VALUES(102, 131, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 140, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 140, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 140, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 140, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 140, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 141, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 141, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 141, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 141, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 141, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 150, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 150, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 150, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 150, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 150, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 151, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 151, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 151, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 151, 1);
INSERT INTO usersonline_user_rights2groups VALUES(102, 151, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 153, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 153, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 153, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 153, 1);
INSERT INTO usersonline_user_rights2groups VALUES(102, 153, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 152, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 152, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 152, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 152, 1);
INSERT INTO usersonline_user_rights2groups VALUES(102, 152, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 154, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 154, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 154, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 154, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 154, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 156, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 156, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 156, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 156, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 156, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 155, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 155, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 155, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 155, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 155, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 160, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 160, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 160, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 160, 1);
INSERT INTO usersonline_user_rights2groups VALUES(102, 160, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 161, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 161, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 161, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 161, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 161, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 168, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 168, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 168, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 168, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 168, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 167, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 167, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 167, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 167, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 167, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 166, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 166, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 166, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 166, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 166, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 162, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 162, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 162, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 162, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 162, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 164, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 164, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 164, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 164, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 164, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 163, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 163, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 163, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 163, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 163, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 165, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 165, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 165, 1);
INSERT INTO usersonline_user_rights2groups VALUES(101, 165, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 165, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 203, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 203, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 203, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 203, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 203, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 205, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 205, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 205, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 205, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 205, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 204, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 204, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 204, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 204, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 204, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 202, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 202, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 202, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 202, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 202, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 209, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 209, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 209, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 209, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 209, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 208, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 208, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 208, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 208, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 208, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 206, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 206, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 206, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 206, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 206, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 207, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 207, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 207, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 207, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 207, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 212, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 212, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 212, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 212, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 212, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 211, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 211, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 211, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 211, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 211, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 210, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 210, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 210, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 210, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 210, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 601, 0);
INSERT INTO usersonline_user_rights2groups VALUES(2, 601, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 601, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 601, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 601, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 602, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 602, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 602, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 602, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 602, 0);
INSERT INTO usersonline_user_rights2groups VALUES(2, 169, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 213, 1);
INSERT INTO usersonline_user_rights2groups VALUES(2, 213, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 213, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 213, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 213, 0);
INSERT INTO usersonline_user_rights2groups VALUES(1, 169, 1);
INSERT INTO usersonline_user_rights2groups VALUES(200, 169, 0);
INSERT INTO usersonline_user_rights2groups VALUES(102, 169, 0);
INSERT INTO usersonline_user_rights2groups VALUES(101, 169, 0);
INSERT INTO usersonline_user_rights2groups VALUES(100, 169, 1);
INSERT INTO usersonline_user_rights2groups VALUES(200, 165, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 163, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 164, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 162, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 166, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 167, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 168, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 161, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 160, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 155, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 156, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 154, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 152, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 153, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 151, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 150, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 141, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 140, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 131, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 130, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 112, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 113, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 111, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 110, 0);
INSERT INTO usersonline_user_rights2groups VALUES(200, 100, 0);

###########################################################

## 
## Tabellenstruktur fr Tabelle 'usersonline_user_rights2users'
## 

DROP TABLE IF EXISTS `usersonline_user_rights2users`;
CREATE TABLE usersonline_user_rights2users (
  user_id int(10) NOT NULL,
  user_rights_id int(10) NOT NULL,
  `value` int(1) NOT NULL,
  PRIMARY KEY  (user_id,user_rights_id),
  KEY `value` (`value`)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'usersonline_user_rights2users'
## 


###########################################################

## 
## Tabellenstruktur fr Tabelle 'usersonline_user_rights_desc'
## 

DROP TABLE IF EXISTS `usersonline_user_rights_desc`;
CREATE TABLE usersonline_user_rights_desc (
  rights_id varchar(10) NOT NULL,
  `language` varchar(32) NOT NULL,
  description varchar(128) NOT NULL,
  PRIMARY KEY  (rights_id),
  KEY `language` (`language`)
) TYPE=MyISAM;

## 
## Daten fr Tabelle 'usersonline_user_rights_desc'
## 

## 
## Recordsets for other Tables neeeded to be updated for automatitation.
## 



INSERT INTO `modules` VALUES('usersonline', 1, 1, ',1,2', 0, 0, '');

INSERT INTO `modules_desc` VALUES('usersonline', 'Usuaros Online', 'mexican');
INSERT INTO `modules_desc` VALUES('usersonline', 'Users Online', 'english');
INSERT INTO `modules_desc` VALUES('usersonline', 'Benutzer Online', 'german');

INSERT INTO themes_blocks VALUES('', 1191298880, 'usersonline', 'usersonline1', '1', 0, 4);
INSERT INTO themes_blocks VALUES('', 1213741183, 'usersonline', 'usersonline2', '1', 0, 4);
